var _excluded = ["size"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var NeetoCal = function NeetoCal(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 36 : _ref$size,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 800 800",
    fill: "none"
  }, props), /*#__PURE__*/React.createElement("rect", {
    width: 800,
    height: 800,
    rx: 160,
    fill: "black"
  }), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#NeetoCal_js__clip0_511_16431)"
  }, /*#__PURE__*/React.createElement("rect", {
    x: 221.365,
    y: 236.126,
    width: 354.915,
    height: 354.915,
    rx: 66.2508,
    fill: "#75DC66"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M221.365 302.377C221.365 265.787 251.027 236.126 287.616 236.126H510.029C546.619 236.126 576.28 265.787 576.28 302.377V354.431H221.365V302.377Z",
    fill: "#5BCC5A"
  }), /*#__PURE__*/React.createElement("rect", {
    x: 221.365,
    y: 354.427,
    width: 118.305,
    height: 118.305,
    fill: "#75DC66"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M221.365 472.731H339.67V591.036H287.616C251.026 591.036 221.365 561.375 221.365 524.786V472.731Z",
    fill: "#75DC66"
  }), /*#__PURE__*/React.createElement("rect", {
    x: 339.67,
    y: 472.731,
    width: 118.305,
    height: 118.305,
    fill: "#0DA84C"
  }), /*#__PURE__*/React.createElement("rect", {
    x: 457.975,
    y: 354.427,
    width: 118.305,
    height: 118.305,
    fill: "#0DA84C"
  }), /*#__PURE__*/React.createElement("rect", {
    x: 339.67,
    y: 354.427,
    width: 118.305,
    height: 118.305,
    fill: "#75DC66"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M457.975 472.731H576.28V524.786C576.28 561.375 546.618 591.036 510.029 591.036H457.975V472.731Z",
    fill: "#0DA84C"
  }), /*#__PURE__*/React.createElement("rect", {
    x: 447.329,
    y: 208.914,
    width: 42.5898,
    height: 69.8,
    rx: 21.2949,
    fill: "#0DA84C"
  }), /*#__PURE__*/React.createElement("rect", {
    x: 307.73,
    y: 208.914,
    width: 42.5898,
    height: 69.8,
    rx: 21.2949,
    fill: "#0DA84C"
  })), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("clipPath", {
    id: "NeetoCal_js__clip0_511_16431"
  }, /*#__PURE__*/React.createElement("rect", {
    width: 383.13,
    height: 383.13,
    fill: "white",
    transform: "translate(208 208.435)"
  }))));
};

export default NeetoCal;
//# sourceMappingURL=NeetoCal.js.map