var _excluded = ["size"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var NeetoChat = function NeetoChat(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 36 : _ref$size,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 800 800",
    fill: "none"
  }, props), /*#__PURE__*/React.createElement("rect", {
    width: 800,
    height: 800,
    rx: 160,
    fill: "black"
  }), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#NeetoChat_js__clip0_511_16524)"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M537.313 494.247C537.313 538.46 504.71 574.301 464.492 574.301H298.823C258.604 574.301 226.001 538.46 226.001 494.247V438.21C226.001 393.997 258.604 358.156 298.823 358.156H464.492C504.71 358.156 537.313 393.997 537.313 438.21V494.247Z",
    fill: "#75DC66"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M357.08 298.116L263.322 368.163L357.08 360.158V298.116Z",
    fill: "#75DC66"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M261.448 305.165C261.448 261.444 294.213 226.001 334.63 226.001H501.12C541.537 226.001 574.302 261.444 574.302 305.165V360.58C574.302 404.301 541.537 439.744 501.12 439.744H334.63C294.213 439.744 261.448 404.301 261.448 360.58V305.165Z",
    fill: "#5BCC5A"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M442.574 499.117L536.796 429.849L442.574 437.765V499.117Z",
    fill: "#5BCC5A"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M536.902 429.652C536.781 429.725 536.661 429.798 536.54 429.87L536.796 429.849L442.574 499.117L442.573 439.744L334.63 439.744C296.908 439.744 265.852 408.871 261.877 369.209C262.439 368.845 263.005 368.489 263.576 368.141L263.322 368.163L357.08 298.116L357.079 358.156L464.492 358.156C502.08 358.156 533.017 389.463 536.902 429.652Z",
    fill: "#0DA84C"
  })), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("clipPath", {
    id: "NeetoChat_js__clip0_511_16524"
  }, /*#__PURE__*/React.createElement("rect", {
    width: 348.3,
    height: 348.3,
    fill: "white",
    transform: "translate(226 226)"
  }))));
};

export default NeetoChat;
//# sourceMappingURL=NeetoChat.js.map