"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var NeetoCi = function NeetoCi(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 36 : _ref$size,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 800 800",
    fill: "none"
  }, props), /*#__PURE__*/_react.default.createElement("rect", {
    width: 800,
    height: 800,
    rx: 160,
    fill: "black"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M490.319 452.567C490.319 530.742 426.945 594.116 348.77 594.116C270.595 594.116 207.221 530.742 207.221 452.567C207.221 374.392 270.595 311.018 348.77 311.018C426.945 311.018 490.319 374.392 490.319 452.567Z",
    fill: "#5BCC5A"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M594.12 348.767C594.12 426.943 530.746 490.316 452.571 490.316C374.396 490.316 311.022 426.943 311.022 348.767C311.022 270.592 374.396 207.219 452.571 207.219C530.746 207.219 594.12 270.592 594.12 348.767Z",
    fill: "#75DC66"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M315.063 315.063C325.866 312.424 337.155 311.024 348.771 311.024C426.946 311.024 490.32 374.398 490.32 452.573C490.32 464.19 488.92 475.48 486.281 486.284C475.478 488.923 464.189 490.322 452.572 490.322C374.397 490.322 311.024 426.949 311.024 348.774C311.024 337.157 312.423 325.867 315.063 315.063Z",
    fill: "#0DA84C"
  }));
};

var _default = NeetoCi;
exports.default = _default;
//# sourceMappingURL=NeetoCi.js.map