"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var NeetoDesk = function NeetoDesk(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 36 : _ref$size,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 800 800",
    fill: "none"
  }, props), /*#__PURE__*/_react.default.createElement("rect", {
    width: 800,
    height: 800,
    rx: 160,
    fill: "black"
  }), /*#__PURE__*/_react.default.createElement("g", {
    clipPath: "url(#NeetoDesk_js__clip0_511_16521)"
  }, /*#__PURE__*/_react.default.createElement("path", {
    d: "M331.397 485.786C331.397 512.599 309.222 534.303 282.465 534.303C255.709 534.303 234.019 512.567 234.019 485.753C234.019 470.048 241.46 456.085 253.002 447.211C265.732 440.65 271.865 437.236 282.95 437.236C309.706 437.236 331.397 458.973 331.397 485.786Z",
    fill: "#75DC66"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M400.279 247.418C324.267 247.418 262.646 309.17 262.646 385.344C262.646 420.186 275.524 451.987 296.785 476.269L288.509 483.547L273.388 437.727C262.317 442.484 266.129 440.445 253.002 447.211C245.031 428.176 240.625 407.272 240.625 385.344C240.625 296.982 312.105 225.35 400.279 225.35C436.208 225.35 469.394 237.257 496.079 257.343L482.853 274.988C459.851 257.673 431.276 247.418 400.279 247.418Z",
    fill: "#75DC66"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M564.305 421.736C564.305 505.822 496.284 573.988 412.376 573.988C328.468 573.988 260.932 505.855 260.932 421.769C260.932 337.683 328.468 269.485 412.376 269.485C496.284 269.485 564.305 337.65 564.305 421.736Z",
    fill: "#5BCC5A"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M263.41 394.232C264.388 409.705 267.909 424.48 273.561 438.148C276.599 437.55 279.737 437.236 282.95 437.236C309.706 437.236 331.397 458.973 331.397 485.786C331.397 504.633 320.681 520.971 305.022 529.016C277.769 501.497 260.932 463.604 260.932 421.769C260.932 412.367 261.782 403.163 263.41 394.232Z",
    fill: "#0DA84C"
  })), /*#__PURE__*/_react.default.createElement("defs", null, /*#__PURE__*/_react.default.createElement("clipPath", {
    id: "NeetoDesk_js__clip0_511_16521"
  }, /*#__PURE__*/_react.default.createElement("rect", {
    width: 348.3,
    height: 348.3,
    fill: "white",
    transform: "translate(225.35 225.35)"
  }))));
};

var _default = NeetoDesk;
exports.default = _default;
//# sourceMappingURL=NeetoDesk.js.map