"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var NeetoEngage = function NeetoEngage(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 36 : _ref$size,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 800 800",
    fill: "none"
  }, props), /*#__PURE__*/_react.default.createElement("rect", {
    width: 800,
    height: 800,
    rx: 160,
    fill: "black"
  }), /*#__PURE__*/_react.default.createElement("g", {
    clipPath: "url(#NeetoEngage_js__clip0_511_16536)"
  }, /*#__PURE__*/_react.default.createElement("path", {
    d: "M435.43 493.486C435.43 537.76 399.54 573.651 355.266 573.651C310.993 573.651 275.102 537.76 275.102 493.486C275.102 449.213 310.993 413.322 355.266 413.322C399.54 413.322 435.43 449.213 435.43 493.486Z",
    fill: "#75DC66"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M228.051 393.284C228.051 343.717 268.233 303.535 317.8 303.535H367.467V483.033H317.8C268.233 483.033 228.051 442.851 228.051 393.284Z",
    fill: "#5BCC5A"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M367.466 303.532L547.086 226.771C558.584 221.858 571.361 230.293 571.361 242.796V543.766C571.361 556.269 558.584 564.705 547.086 559.791L367.466 483.03V303.532Z",
    fill: "#5BCC5A"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M367.466 414.243L367.466 483.03L317.8 483.033C303.349 483.033 289.695 479.616 277.603 473.549C286.466 438.92 317.878 413.321 355.269 413.321C359.416 413.321 363.489 413.636 367.466 414.243Z",
    fill: "#0DA84C"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M433.461 511.231L367.466 483.03L367.466 414.243C405.95 420.119 435.43 453.361 435.43 493.486C435.43 499.585 434.751 505.522 433.461 511.231Z",
    fill: "#0DA84C"
  })), /*#__PURE__*/_react.default.createElement("defs", null, /*#__PURE__*/_react.default.createElement("clipPath", {
    id: "NeetoEngage_js__clip0_511_16536"
  }, /*#__PURE__*/_react.default.createElement("rect", {
    width: 348.3,
    height: 348.3,
    fill: "white",
    transform: "translate(225.35 225.35)"
  }))));
};

var _default = NeetoEngage;
exports.default = _default;
//# sourceMappingURL=NeetoEngage.js.map