"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var NeetoInvisible = function NeetoInvisible(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 36 : _ref$size,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 800 800",
    fill: "none"
  }, props), /*#__PURE__*/_react.default.createElement("rect", {
    width: 800,
    height: 800,
    rx: 160,
    fill: "black"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M392.082 547.858C477.007 547.858 545.853 479.012 545.853 394.087C545.853 309.161 477.007 240.315 392.082 240.315C307.156 240.315 238.311 309.161 238.311 394.087C238.311 479.012 307.156 547.858 392.082 547.858ZM392.082 466.873C432.284 466.873 464.873 434.283 464.873 394.082C464.873 353.88 432.284 321.291 392.082 321.291C351.881 321.291 319.291 353.88 319.291 394.082C319.291 434.283 351.881 466.873 392.082 466.873Z",
    fill: "#5BCC5A"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M393.666 407.196C391.17 400.038 398.045 393.164 405.202 395.659L609.968 467.046C617.859 469.797 618.134 480.855 610.391 483.995L522.595 519.598C520.325 520.518 518.524 522.318 517.604 524.588L482.001 612.384C478.861 620.128 467.803 619.853 465.052 611.962L393.666 407.196Z",
    fill: "#75DC66"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M538.229 442.02L461.713 415.345C454.667 438.433 436.453 456.649 413.366 463.698L440.043 540.217C486.395 525.014 523.031 488.374 538.229 442.02Z",
    fill: "#0DA84C"
  }));
};

var _default = NeetoInvisible;
exports.default = _default;
//# sourceMappingURL=NeetoInvisible.js.map