"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var NeetoInvoice = function NeetoInvoice(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 36 : _ref$size,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 800 800",
    fill: "none"
  }, props), /*#__PURE__*/_react.default.createElement("rect", {
    width: 800,
    height: 800,
    rx: 160,
    fill: "black"
  }), /*#__PURE__*/_react.default.createElement("g", {
    clipPath: "url(#NeetoInvoice_js__clip0_511_16446)"
  }, /*#__PURE__*/_react.default.createElement("path", {
    d: "M543.15 573.651L255.05 573.651L255.05 502.701C255.05 423.144 319.543 358.651 399.1 358.651C478.657 358.651 543.15 423.144 543.15 502.701V573.651Z",
    fill: "#5BCC5A"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M255.05 225.351H543.15V296.3C543.15 375.857 478.656 440.351 399.1 440.351C319.543 440.351 255.05 375.857 255.05 296.301V225.351Z",
    fill: "#75DC66"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M499.599 399.5C473.646 424.779 438.191 440.351 399.1 440.351C360.008 440.351 324.554 424.779 298.6 399.501C324.554 374.222 360.008 358.651 399.1 358.651C438.192 358.651 473.646 374.222 499.599 399.5Z",
    fill: "#0DA84C"
  })), /*#__PURE__*/_react.default.createElement("defs", null, /*#__PURE__*/_react.default.createElement("clipPath", {
    id: "NeetoInvoice_js__clip0_511_16446"
  }, /*#__PURE__*/_react.default.createElement("rect", {
    width: 348.3,
    height: 348.3,
    fill: "white",
    transform: "translate(225.35 225.35)"
  }))));
};

var _default = NeetoInvoice;
exports.default = _default;
//# sourceMappingURL=NeetoInvoice.js.map