"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var NeetoSite = function NeetoSite(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 36 : _ref$size,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 800 800",
    fill: "none"
  }, props), /*#__PURE__*/_react.default.createElement("rect", {
    width: 800,
    height: 800,
    rx: 160,
    fill: "black"
  }), /*#__PURE__*/_react.default.createElement("g", {
    clipPath: "url(#NeetoSite_js__clip0_511_16500)"
  }, /*#__PURE__*/_react.default.createElement("path", {
    d: "M226.844 317.023C226.844 299.418 241.115 285.147 258.72 285.147H542.423C560.028 285.147 574.3 299.418 574.3 317.023V345.713H226.844V317.023Z",
    fill: "#5BCC5A"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M226.844 350.494H574.3V525.816C574.3 543.421 560.028 557.693 542.423 557.693H258.72C241.115 557.693 226.844 543.421 226.844 525.816V350.494Z",
    fill: "#5BCC5A"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M454.762 259.645C454.762 250.843 461.898 243.707 470.701 243.707H502.577C511.38 243.707 518.516 250.843 518.516 259.645V453.695L486.639 490.752L454.762 453.695V259.645Z",
    fill: "#0DA84C"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M454.762 259.645C454.762 250.843 461.898 243.707 470.701 243.707H502.577C511.38 243.707 518.516 250.843 518.516 259.645V350.494H454.762V259.645Z",
    fill: "#75DC66"
  })), /*#__PURE__*/_react.default.createElement("defs", null, /*#__PURE__*/_react.default.createElement("clipPath", {
    id: "NeetoSite_js__clip0_511_16500"
  }, /*#__PURE__*/_react.default.createElement("rect", {
    width: 348.3,
    height: 348.3,
    fill: "white",
    transform: "translate(226 226)"
  }))));
};

var _default = NeetoSite;
exports.default = _default;
//# sourceMappingURL=NeetoSite.js.map