"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["width", "height"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var Image = function Image(_ref) {
  var _ref$width = _ref.width,
      width = _ref$width === void 0 ? 80 : _ref$width,
      _ref$height = _ref.height,
      height = _ref$height === void 0 ? 26 : _ref$height,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: width,
    height: height,
    fill: "none",
    viewBox: "0 0 80 26"
  }, props), /*#__PURE__*/_react.default.createElement("path", {
    fill: "#101828",
    fillRule: "evenodd",
    d: "M48.783 5.976v13.83c0 1.087-.89 1.977-1.976 1.977H32.976A1.982 1.982 0 0 1 31 19.807V5.976C31 4.889 31.89 4 32.976 4h13.83c1.088 0 1.977.89 1.977 1.976Zm-9.88 11.37-2.47-2.973-3.457 4.446h13.83l-4.445-5.928-3.458 4.456Zm-2.551-5.507a1.72 1.72 0 1 0 0-3.442 1.72 1.72 0 0 0 0 3.442Z",
    clipRule: "evenodd",
    "data-dark-mode-color": "true"
  }));
};

var _default = Image;
exports.default = _default;
//# sourceMappingURL=Image.js.map