"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["width", "height"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var Subtitle = function Subtitle(_ref) {
  var _ref$width = _ref.width,
      width = _ref$width === void 0 ? 80 : _ref$width,
      _ref$height = _ref.height,
      height = _ref$height === void 0 ? 26 : _ref$height,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: width,
    height: height,
    fill: "none",
    viewBox: "0 0 80 26"
  }, props), /*#__PURE__*/_react.default.createElement("path", {
    fill: "#101828",
    d: "M30 19.385V7.167h1.48v5.441h6.514V7.167h1.48v12.218h-1.48V13.92H31.48v5.465H30ZM42.053 19.385v-1.074l4.033-4.414c.473-.518.863-.967 1.17-1.349.306-.386.532-.747.68-1.085.15-.342.226-.7.226-1.074 0-.43-.103-.802-.31-1.116a2.012 2.012 0 0 0-.835-.728 2.708 2.708 0 0 0-1.193-.256c-.47 0-.88.097-1.23.292-.345.19-.614.46-.805.805-.187.346-.28.752-.28 1.217H42.1c0-.716.165-1.344.495-1.885.33-.54.78-.962 1.348-1.265C44.517 7.151 45.16 7 45.871 7c.716 0 1.35.151 1.904.453.552.303.986.71 1.3 1.223.314.513.471 1.084.471 1.713 0 .45-.081.889-.244 1.318-.16.426-.438.901-.835 1.426-.394.521-.941 1.157-1.641 1.909l-2.744 2.935v.096h5.68v1.312h-7.709Z",
    "data-dark-mode-color": "true"
  }));
};

var _default = Subtitle;
exports.default = _default;
//# sourceMappingURL=Subtitle.js.map