"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size", "color", "strokeWidth"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var AddMenu = function AddMenu(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 24 24",
    fill: "none"
  }, props), /*#__PURE__*/_react.default.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M19.3742 12.5C19.3742 12.0858 19.0384 11.75 18.6242 11.75C18.21 11.75 17.8742 12.0858 17.8742 12.5V14.6242H15.75C15.3358 14.6242 15 14.96 15 15.3742C15 15.7884 15.3358 16.1242 15.75 16.1242H17.8742V18.2483C17.8742 18.6626 18.21 18.9983 18.6242 18.9983C19.0384 18.9983 19.3742 18.6626 19.3742 18.2483V16.1242H21.4983C21.9126 16.1242 22.2483 15.7884 22.2483 15.3742C22.2483 14.96 21.9126 14.6242 21.4983 14.6242H19.3742V12.5Z",
    fill: color
  }), /*#__PURE__*/_react.default.createElement("line", {
    x1: 3.75,
    y1: 7.25,
    x2: 20.25,
    y2: 7.25,
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round"
  }), /*#__PURE__*/_react.default.createElement("line", {
    x1: 3.75,
    y1: 11.25,
    x2: 14.25,
    y2: 11.25,
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round"
  }), /*#__PURE__*/_react.default.createElement("line", {
    x1: 3.75,
    y1: 15.25,
    x2: 10.25,
    y2: 15.25,
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round"
  }));
};

var _default = AddMenu;
exports.default = _default;
//# sourceMappingURL=AddMenu.js.map