"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size", "color", "strokeWidth"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var ApiTemplates = function ApiTemplates(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 24 24",
    fill: "none"
  }, props), /*#__PURE__*/_react.default.createElement("g", {
    clipPath: "url(#ApiTemplates_js__clip0_7489_175)"
  }, /*#__PURE__*/_react.default.createElement("path", {
    d: "M11 21H7C5.89543 21 5 20.1046 5 19V5C5 3.89543 5.89543 3 7 3H14.1716C14.702 3 15.2107 3.21071 15.5858 3.58579L18.4142 6.41421C18.7893 6.78929 19 7.29799 19 7.82843V11",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M9 8H15",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M9 11H15",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M15.8333 14C15.5902 14 15.3571 14.0966 15.1852 14.2685C15.0132 14.4404 14.9167 14.6736 14.9167 14.9167V16.2917C14.9167 16.6563 14.8201 17.0061 14.6482 17.2639C14.4763 17.5218 14.2431 17.6667 14 17.6667C14.2431 17.6667 14.4763 17.8115 14.6482 18.0694C14.8201 18.3273 14.9167 18.677 14.9167 19.0417V20.4167C14.9167 20.6598 15.0132 20.8929 15.1852 21.0648C15.3571 21.2368 15.5902 21.3333 15.8333 21.3333",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M20.4167 14C20.6598 14 20.8929 14.0966 21.0648 14.2685C21.2368 14.4404 21.3333 14.6736 21.3333 14.9167V16.2917C21.3333 16.6563 21.4299 17.0061 21.6018 17.2639C21.7737 17.5218 22.0069 17.6667 22.25 17.6667C22.0069 17.6667 21.7737 17.8115 21.6018 18.0694C21.4299 18.3273 21.3333 18.677 21.3333 19.0417V20.4167C21.3333 20.6598 21.2368 20.8929 21.0648 21.0648C20.8929 21.2368 20.6598 21.3333 20.4167 21.3333",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  })), /*#__PURE__*/_react.default.createElement("defs", null, /*#__PURE__*/_react.default.createElement("clipPath", {
    id: "ApiTemplates_js__clip0_7489_175"
  }, /*#__PURE__*/_react.default.createElement("rect", {
    width: 24,
    height: 24,
    fill: color
  }))));
};

var _default = ApiTemplates;
exports.default = _default;
//# sourceMappingURL=ApiTemplates.js.map