"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size", "color", "strokeWidth"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var Community = function Community(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 24 24",
    fill: "none"
  }, props), /*#__PURE__*/_react.default.createElement("g", {
    clipPath: "url(#Community_js__clip0_7699_87)"
  }, /*#__PURE__*/_react.default.createElement("path", {
    d: "M20 11C20 9.26127 19.4963 7.55976 18.5498 6.10119C17.6033 4.64261 16.2546 3.48943 14.6667 2.78103C13.0788 2.07264 11.3198 1.83938 9.60211 2.10944C7.88447 2.37951 6.28183 3.14133 4.98793 4.30283C3.69404 5.46432 2.7643 6.97575 2.3111 8.65439C1.8579 10.333 1.90065 12.107 2.43418 13.7619C2.96771 15.4167 3.96919 16.8816 5.31753 17.9794C6.66587 19.0773 8.30334 19.761 10.032 19.948",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M2.59998 8H19.4",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M2.59998 14H8.99998",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M10.5 2C9.22883 4.03694 8.40355 6.32003 8.07847 8.69896C7.7534 11.0779 7.93591 13.4987 8.614 15.802",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M11.5 2C13.0075 4.4142 13.884 7.16858 14.049 10.01",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M21.5555 22.6667C21.5555 21.9594 21.3185 21.2811 20.8965 20.781C20.4746 20.281 19.9023 20 19.3055 20H14.8055C14.2088 20 13.6365 20.281 13.2146 20.781C12.7926 21.2811 12.5555 21.9594 12.5555 22.6667",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M17.0555 18C18.4363 18 19.5555 16.8807 19.5555 15.5C19.5555 14.1193 18.4363 13 17.0555 13C15.6748 13 14.5555 14.1193 14.5555 15.5C14.5555 16.8807 15.6748 18 17.0555 18Z",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  })), /*#__PURE__*/_react.default.createElement("defs", null, /*#__PURE__*/_react.default.createElement("clipPath", {
    id: "Community_js__clip0_7699_87"
  }, /*#__PURE__*/_react.default.createElement("rect", {
    width: 24,
    height: 24,
    fill: color
  }))));
};

var _default = Community;
exports.default = _default;
//# sourceMappingURL=Community.js.map