"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size", "color", "strokeWidth"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var Hide = function Hide(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 24 24",
    fill: "none"
  }, props), /*#__PURE__*/_react.default.createElement("path", {
    d: "M20.4238 14.1336C20.4639 14.0576 20.5161 13.9894 20.554 13.912C20.8474 13.3173 21 12.6631 21 12C21 11.3369 20.8474 10.6827 20.554 10.088C19.7424 8.52832 18.5119 7.22589 17.0008 6.32708C15.4897 5.42827 13.7579 4.9687 12 5C11.7752 5 11.5567 5.03 11.3348 5.04462M14.5571 13.5571C14.3237 13.9505 14.0036 14.2854 13.621 14.5362C13.2385 14.787 12.8036 14.947 12.3498 15.004C11.8959 15.0611 11.4351 15.0136 11.0024 14.8653C10.5696 14.717 10.1765 14.4718 9.8531 14.1484C9.52966 13.8249 9.28442 13.4318 9.13612 12.9991C8.98781 12.5664 8.94038 12.1055 8.99743 11.6517C9.05447 11.1978 9.2145 10.763 9.46528 10.3805C9.71606 9.99791 10.051 9.67774 10.4444 9.4444L14.5571 13.5571ZM17.9941 16.9941C16.27 18.3018 14.1639 19.0066 12 19C10.2421 19.0313 8.51026 18.5717 6.99917 17.6729C5.48807 16.7741 4.25759 15.4717 3.44598 13.912C3.1526 13.3173 3 12.6631 3 12C3 11.3369 3.1526 10.6827 3.44598 10.088C4.27389 8.43931 5.59364 7.08861 7.2227 6.22272L17.9941 16.9941Z",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M21 20L4 3",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }));
};

var _default = Hide;
exports.default = _default;
//# sourceMappingURL=Hide.js.map