"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size", "color", "strokeWidth"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var Layers = function Layers(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 24 24",
    fill: "none"
  }, props), /*#__PURE__*/_react.default.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M4.97182 7.83381L12.0563 12.0845L19.1409 7.83381L12.0563 3.58309L4.97182 7.83381ZM3.4855 6.97632C2.83816 7.36472 2.83817 8.3029 3.4855 8.6913L11.5419 13.5251C11.8585 13.7151 12.2542 13.7151 12.5708 13.5251L20.6272 8.6913C21.2745 8.3029 21.2745 7.36472 20.6272 6.97632L12.5708 2.14251C12.2542 1.9525 11.8585 1.9525 11.5419 2.14251L3.4855 6.97632Z",
    fill: color
  }), /*#__PURE__*/_react.default.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M3.42035 11.9363C3.63988 11.5851 4.1026 11.4783 4.45385 11.6978L11.9396 16.3764C12.0186 16.4258 12.1185 16.4271 12.1988 16.3799L20.1761 11.6874C20.5331 11.4773 20.9928 11.5965 21.2028 11.9535C21.4128 12.3106 21.2936 12.7702 20.9366 12.9803L12.9593 17.6728C12.3971 18.0035 11.6977 17.9941 11.1446 17.6484L3.65885 12.9698C3.3076 12.7503 3.20082 12.2876 3.42035 11.9363Z",
    fill: color
  }), /*#__PURE__*/_react.default.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M3.42035 16.1863C3.63988 15.8351 4.1026 15.7283 4.45385 15.9478L11.9396 20.6264C12.0186 20.6758 12.1185 20.6771 12.1988 20.6299L20.1761 15.9374C20.5331 15.7273 20.9928 15.8465 21.2028 16.2035C21.4128 16.5606 21.2936 17.0202 20.9366 17.2303L12.9593 21.9228C12.3971 22.2535 11.6977 22.2441 11.1446 21.8984L3.65885 17.2198C3.3076 17.0003 3.20082 16.5376 3.42035 16.1863Z",
    fill: color
  }));
};

var _default = Layers;
exports.default = _default;
//# sourceMappingURL=Layers.js.map