"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size", "color", "strokeWidth"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var Link = function Link(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 24 24",
    fill: "none"
  }, props), /*#__PURE__*/_react.default.createElement("path", {
    d: "M17.7166 12.3594L19.4466 10.6294C21.1392 8.9873 21.1801 6.284 19.538 4.59141C17.8959 2.89882 15.1926 2.85789 13.5 4.5C13.4691 4.53001 13.4386 4.56048 13.4086 4.59141L10.0109 7.951C8.34355 9.61717 8.3426 12.3195 10.0088 13.9869L10.0109 13.989L9.9999 14C10.3445 14.3381 10.7447 14.6144 11.1829 14.817",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M12.806 9.193C13.2443 9.39593 13.6445 9.67262 13.989 10.011C15.6564 11.6772 15.6573 14.3795 13.9912 16.0469L13.989 16.049L10.8082 19.268C9.11565 20.9101 6.41235 20.8692 4.77024 19.1766C3.16318 17.5201 3.16318 14.8865 4.77024 13.23L6.50024 11.5",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }));
};

var _default = Link;
exports.default = _default;
//# sourceMappingURL=Link.js.map