"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size", "color", "strokeWidth"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var PhoneRing = function PhoneRing(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: size,
    height: size,
    fill: "none",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/_react.default.createElement("path", {
    stroke: color,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: strokeWidth,
    d: "M18.75 11.0001H21.08M10.048 13.8691C8.87804 12.6991 7.99604 11.3891 7.41004 10.0601C7.28604 9.77908 7.35904 9.45008 7.57604 9.23308L8.39504 8.41408C9.06604 7.74308 9.06604 6.79408 8.48004 6.20808L7.30604 5.03508C6.52504 4.25408 5.25904 4.25408 4.47804 5.03508L3.82604 5.68608C3.08504 6.42708 2.77604 7.49608 2.97604 8.55608C3.47004 11.1691 4.98804 14.0301 7.43704 16.4791C9.88604 18.9281 12.747 20.4461 15.36 20.9401C16.42 21.1401 17.489 20.8311 18.23 20.0901L18.881 19.4391C19.662 18.6581 19.662 17.3921 18.881 16.6111L17.708 15.4381C17.122 14.8521 16.172 14.8521 15.587 15.4381L14.684 16.3421C14.467 16.5591 14.138 16.6321 13.857 16.5081C12.528 15.9211 11.218 15.0381 10.048 13.8691V13.8691ZM12.92 5.17008V2.83008V5.17008ZM17.09 6.82008L18.74 5.18008L17.09 6.82008Z"
  }));
};

var _default = PhoneRing;
exports.default = _default;
//# sourceMappingURL=PhoneRing.js.map