"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size", "color", "strokeWidth"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var Report = function Report(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 24 24",
    fill: "none"
  }, props), /*#__PURE__*/_react.default.createElement("path", {
    d: "M7.5 19.825V16.3655C7.5 16.2688 7.42165 16.1905 7.325 16.1905H3.175C3.07835 16.1905 3 16.2688 3 16.3655V19.825C3 19.9216 3.07835 20 3.175 20H7.325C7.42165 20 7.5 19.9216 7.5 19.825ZM7.5 19.825V7.22262C7.5 7.12597 7.57835 7.04762 7.675 7.04762H11.825C11.9216 7.04762 12 7.12597 12 7.22262V19.825M7.5 19.825C7.5 19.9216 7.57835 20 7.675 20H11.825C11.9216 20 12 19.9216 12 19.825M12 19.825V11.794C12 11.6974 12.0784 11.619 12.175 11.619H16.325C16.4216 11.619 16.5 11.6974 16.5 11.794V19.825M12 19.825C12 19.9216 12.0784 20 12.175 20H16.325C16.4216 20 16.5 19.9216 16.5 19.825M16.5 19.825L16.5 4.175C16.5 4.07835 16.5784 4 16.675 4H20.825C20.9217 4 21 4.07835 21 4.175V19.825C21 19.9216 20.9217 20 20.825 20H16.675C16.5784 20 16.5 19.9216 16.5 19.825Z",
    stroke: color,
    strokeWidth: strokeWidth
  }));
};

var _default = Report;
exports.default = _default;
//# sourceMappingURL=Report.js.map