"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var NeetoGit = function NeetoGit(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 36 : _ref$size,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 396 396",
    fill: "none"
  }, props), /*#__PURE__*/_react.default.createElement("g", {
    clipPath: "url(#NeetoGit_js__clip0_511_16481)"
  }, /*#__PURE__*/_react.default.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M261.769 153.258C246.972 153.258 234.977 165.253 234.977 180.051V215.931C234.977 260.323 198.99 296.31 154.598 296.31H107.789C92.9917 296.31 80.9961 284.314 80.9961 269.517C80.9961 254.72 92.9917 242.724 107.789 242.724H154.598C169.395 242.724 181.391 230.728 181.391 215.931V180.051C181.391 135.659 217.377 99.6719 261.769 99.6719H338.741C353.538 99.6719 365.534 111.667 365.534 126.465C365.534 141.262 353.538 153.258 338.741 153.258H261.769Z",
    fill: "#75DC66"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M70.6553 269.516C70.6553 254.718 82.6509 242.723 97.4482 242.723H338.741C353.538 242.723 365.534 254.718 365.534 269.516C365.534 284.313 353.538 296.308 338.741 296.308H97.4482C82.6509 296.308 70.6553 284.313 70.6553 269.516Z",
    fill: "#5BCC5A"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M230.403 242.725C219.369 273.943 189.596 296.31 154.598 296.31H107.789C92.9922 296.31 80.9966 284.314 80.9966 269.517C80.9966 254.769 92.913 242.804 107.643 242.725H230.403Z",
    fill: "#0DA84C"
  }), /*#__PURE__*/_react.default.createElement("circle", {
    cx: 56.3031,
    cy: 269.735,
    r: 55.372,
    fill: "#5BCC5A"
  }), /*#__PURE__*/_react.default.createElement("circle", {
    cx: 338.961,
    cy: 126.683,
    r: 55.372,
    fill: "#75DC66"
  }), /*#__PURE__*/_react.default.createElement("circle", {
    cx: 338.96,
    cy: 269.735,
    r: 55.372,
    fill: "#5BCC5A"
  })), /*#__PURE__*/_react.default.createElement("defs", null, /*#__PURE__*/_react.default.createElement("clipPath", {
    id: "NeetoGit_js__clip0_511_16481"
  }, /*#__PURE__*/_react.default.createElement("rect", {
    width: 394.74,
    height: 394.74,
    fill: "white",
    transform: "translate(0.930176 0.929688)"
  }))));
};

var _default = NeetoGit;
exports.default = _default;
//# sourceMappingURL=NeetoGit.js.map