"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size", "height", "width"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var Chrome = function Chrome(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      height = _ref.height,
      width = _ref.width,
      props = _objectWithoutProperties(_ref, _excluded);

  height = height || size;
  width = width || size;
  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: width,
    height: height,
    fill: "none",
    viewBox: "0 0 100 100"
  }, props), /*#__PURE__*/_react.default.createElement("path", {
    fill: "#EF3F36",
    d: "M50.002 6.262S75.79 5.11 89.462 30.938H47.807s-7.86-.253-14.576 9.25c-1.929 3.988-4.002 8.097-1.675 16.194-3.352-5.658-17.796-30.718-17.796-30.718S23.948 7.284 50.002 6.262Z"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fill: "#FCD900",
    d: "M88.123 71.831s-11.9 22.837-41.172 21.708c3.617-6.235 20.833-35.944 20.833-35.944s4.16-6.655-.747-17.202c-2.496-3.665-5.04-7.497-13.238-9.54 6.595-.059 35.59 0 35.59 0s10.863 17.985-1.266 40.978Z"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fill: "#61BC5B",
    d: "M12.06 72.01s-13.9-21.684 1.724-46.383c3.605 6.235 20.821 35.944 20.821 35.944s3.714 6.92 15.324 7.953c4.425-.325 9.03-.601 14.914-6.644-3.244 5.719-17.796 30.706-17.796 30.706s-21.074.385-34.987-21.576Z"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fill: "#5AB055",
    d: "m46.94 93.754 5.858-24.363s6.439-.505 11.84-6.403C61.286 68.863 46.94 93.754 46.94 93.754Z"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fill: "#fff",
    d: "M30.374 50.278c0-10.74 8.741-19.45 19.52-19.45 10.777 0 19.518 8.71 19.518 19.45 0 10.74-8.74 19.45-19.519 19.45-10.778-.013-19.519-8.71-19.519-19.45Z"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fill: "url(#Chrome_js__a)",
    d: "M33.642 50.279c0-8.938 7.27-16.194 16.253-16.194 8.97 0 16.252 7.244 16.252 16.194 0 8.938-7.27 16.194-16.252 16.194-8.97 0-16.253-7.256-16.253-16.194Z"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fill: "#EACA05",
    d: "m89.377 30.865-24.124 7.052s-3.641-5.323-11.466-7.052c6.788-.037 35.59 0 35.59 0Z"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fill: "#DF3A32",
    d: "M31.085 55.493c-3.388-5.85-17.325-29.83-17.325-29.83l17.868 17.612s-1.833 3.76-1.145 9.142l.602 3.076Z"
  }), /*#__PURE__*/_react.default.createElement("defs", null, /*#__PURE__*/_react.default.createElement("linearGradient", {
    id: "Chrome_js__a",
    x1: 49.894,
    x2: 49.894,
    y1: 34.314,
    y2: 65.498,
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/_react.default.createElement("stop", {
    stopColor: "#86BBE5"
  }), /*#__PURE__*/_react.default.createElement("stop", {
    offset: 1,
    stopColor: "#1072BA"
  }))));
};

var _default = Chrome;
exports.default = _default;
//# sourceMappingURL=Chrome.js.map