"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size", "height", "width"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var Edge = function Edge(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      height = _ref.height,
      width = _ref.width,
      props = _objectWithoutProperties(_ref, _excluded);

  height = height || size;
  width = width || size;
  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: width,
    height: height,
    fill: "none",
    viewBox: "0 0 100 100"
  }, props), /*#__PURE__*/_react.default.createElement("path", {
    fill: "url(#Edge_js__a)",
    d: "M85.742 73.047c-9.765 15.039-25.586 19.14-31.836 18.75-37.304-1.758-31.64-51.172-9.18-50.977-16.015 10.157 5.86 43.75 38.087 30.664 3.32-2.343 3.906.586 2.93 1.563Z"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fill: "url(#Edge_js__b)",
    d: "M60.742 49.805c3.516-16.016-6.054-26.367-25.195-26.367-19.14 0-28.125 17.968-28.125 27.148 0 24.219 24.414 49.414 56.055 39.648C37.305 97.852 21.68 67.578 34.96 49.22c8.984-12.89 24.023-13.282 25.781.586Zm19.531-30.47h.196-.196Z"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fill: "url(#Edge_js__c)",
    d: "M7.617 49.414C9.961-2.93 81.836-5.859 92.187 39.453c2.735 20.898-16.796 29.102-32.421 22.461-8.203-5.078 5.078-3.906-.586-19.336-9.375-21.875-49.024-20.117-51.563 6.836Z"
  }), /*#__PURE__*/_react.default.createElement("defs", null, /*#__PURE__*/_react.default.createElement("radialGradient", {
    id: "Edge_js__a",
    cx: 0,
    cy: 0,
    r: 1,
    gradientTransform: "matrix(29.6422 0 0 25.5011 62.456 66.32)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/_react.default.createElement("stop", {
    offset: 0.8,
    stopColor: "#148"
  }), /*#__PURE__*/_react.default.createElement("stop", {
    offset: 1,
    stopColor: "#137"
  })), /*#__PURE__*/_react.default.createElement("radialGradient", {
    id: "Edge_js__b",
    cx: 0,
    cy: 0,
    r: 1,
    gradientTransform: "matrix(36.5234 0 0 36.5273 43.945 63.169)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/_react.default.createElement("stop", {
    offset: 0.8,
    stopColor: "#38C"
  }), /*#__PURE__*/_react.default.createElement("stop", {
    offset: 1,
    stopColor: "#269"
  })), /*#__PURE__*/_react.default.createElement("linearGradient", {
    id: "Edge_js__c",
    x1: 7.617,
    x2: 75.447,
    y1: 35.91,
    y2: 86.817,
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/_react.default.createElement("stop", {
    offset: 0.1,
    stopColor: "#5AD"
  }), /*#__PURE__*/_react.default.createElement("stop", {
    offset: 0.6,
    stopColor: "#5C8"
  }), /*#__PURE__*/_react.default.createElement("stop", {
    offset: 0.8,
    stopColor: "#7D5"
  }))));
};

var _default = Edge;
exports.default = _default;
//# sourceMappingURL=Edge.js.map