"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size", "height", "width"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var GoogleMeet = function GoogleMeet(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      height = _ref.height,
      width = _ref.width,
      props = _objectWithoutProperties(_ref, _excluded);

  height = height || size;
  width = width || size;
  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: width,
    height: height,
    viewBox: "0 0 48 48"
  }, props), /*#__PURE__*/_react.default.createElement("path", {
    fill: "#fff",
    d: "M12 32V16h16v16z"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fill: "#1e88e5",
    d: "M3 17v14l5 1 5-1V17l-5-1z"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fill: "#4caf50",
    d: "M37 24v14a3 3 0 0 1-3 3H13l-1-5 1-5h14v-7l5-1 5 1z"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fill: "#fbc02d",
    d: "M37 10v14H27v-7H13l-1-5 1-5h21a3 3 0 0 1 3 3z"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fill: "#1565c0",
    d: "M13 31v10H6a3 3 0 0 1-3-3v-7h10z"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fill: "#e53935",
    d: "M13 7v10H3z"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fill: "#2e7d32",
    d: "m38 24-1 8.45L27 24l10-8.45z"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fill: "#4caf50",
    d: "M46 10.11v27.78c0 .84-.98 1.31-1.63.78L37 32.45v-16.9l7.37-6.22c.65-.53 1.63-.06 1.63.78z"
  }));
};

var _default = GoogleMeet;
exports.default = _default;
//# sourceMappingURL=GoogleMeet.js.map