"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size", "height", "width"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var GoogleSheets = function GoogleSheets(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      height = _ref.height,
      width = _ref.width,
      props = _objectWithoutProperties(_ref, _excluded);

  height = height || size;
  width = width || size;
  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: width,
    height: height,
    fill: "none",
    viewBox: "0 0 40 46"
  }, props), /*#__PURE__*/_react.default.createElement("path", {
    fill: "#13A562",
    fillRule: "evenodd",
    d: "M2.763 0H22.92l11.54 11.54v31.697A2.763 2.763 0 0 1 31.696 46H2.763A2.763 2.763 0 0 1 0 43.237V2.763A2.763 2.763 0 0 1 2.763 0Z",
    clipRule: "evenodd"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fill: "#F1F1F1",
    fillRule: "evenodd",
    d: "M8.94 25.682h16.742v1.95H8.94v-1.95Z",
    clipRule: "evenodd"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fill: "#F1F1F1",
    fillRule: "evenodd",
    d: "M16.417 22.431h1.95v13.491h-1.95v-13.49Z",
    clipRule: "evenodd"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fill: "#F1F1F1",
    fillRule: "evenodd",
    d: "M8.94 30.558h16.742v1.95H8.94v-1.95Z",
    clipRule: "evenodd"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fill: "#F1F1F1",
    d: "M9.753 23.081v12.191h15.116v-12.19H9.753Zm-1.95-1.95H26.82v16.092H7.802V21.13Z"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fill: "#049052",
    fillRule: "evenodd",
    d: "m23.731 10.728 10.728 10.89V11.54l-10.728-.811Z",
    clipRule: "evenodd"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fill: "#8BD1AF",
    fillRule: "evenodd",
    d: "m22.919 0 11.54 11.54h-8.777a2.763 2.763 0 0 1-2.763-2.763V0Z",
    clipRule: "evenodd"
  }));
};

var _default = GoogleSheets;
exports.default = _default;
//# sourceMappingURL=GoogleSheets.js.map