"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size", "height", "width"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var Linear = function Linear(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      height = _ref.height,
      width = _ref.width,
      props = _objectWithoutProperties(_ref, _excluded);

  height = height || size;
  width = width || size;
  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    xmlSpace: "preserve",
    width: width,
    height: height,
    style: {
      enableBackground: "new 0 0 50 50"
    },
    viewBox: "0 0 50 50"
  }, props), /*#__PURE__*/_react.default.createElement("g", {
    fill: "#5E6AD2"
  }, /*#__PURE__*/_react.default.createElement("path", {
    d: "M41.3 44c.5-.4.9-.8 1.3-1.3 9.8-9.8 9.8-25.6 0-35.4-9.8-9.8-25.6-9.8-35.4 0-.4.5-.8.9-1.2 1.4L41.3 44zM38.3 46.2 3.8 11.7c-.7 1.1-1.3 2.2-1.8 3.4L34.9 48c1.2-.5 2.3-1.1 3.4-1.8zM31.1 49.3.7 18.9c-.4 1.5-.6 3-.7 4.5L26.6 50c1.5-.1 3-.3 4.5-.7zM21.1 49.8.2 28.9c.8 5.1 3.1 9.9 7 13.9 4 3.8 8.9 6.2 13.9 7z"
  })));
};

var _default = Linear;
exports.default = _default;
//# sourceMappingURL=Linear.js.map