"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size", "height", "width"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var Shopify = function Shopify(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      height = _ref.height,
      width = _ref.width,
      props = _objectWithoutProperties(_ref, _excluded);

  height = height || size;
  width = width || size;
  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: width,
    height: height,
    fill: "none",
    viewBox: "0 0 48 48"
  }, props), /*#__PURE__*/_react.default.createElement("g", {
    clipPath: "url(#Shopify_js__a)"
  }, /*#__PURE__*/_react.default.createElement("path", {
    fill: "#95BF47",
    d: "M39.851 9.363a.475.475 0 0 0-.423-.395c-.168-.028-3.877-.282-3.877-.282l-2.828-2.828c-.255-.282-.819-.2-1.032-.14-.027 0-.564.168-1.441.453-.853-2.468-2.363-4.73-5.022-4.73H25C24.239.455 23.306 0 22.518 0c-6.192.028-9.142 7.75-10.075 11.695l-4.328 1.328c-1.327.423-1.376.454-1.555 1.72L2.91 42.88 30.261 48l14.822-3.195c0-.028-5.205-35.173-5.232-35.441v-.001ZM28.733 6.645c-.687.227-1.472.454-2.317.709v-.51a11.274 11.274 0 0 0-.564-3.75c1.386.214 2.317 1.768 2.882 3.55v.001Zm-4.55-3.223a11.79 11.79 0 0 1 .619 4.145v.255L20.02 9.294c.936-3.495 2.662-5.222 4.162-5.873Zm-1.838-1.72c.283.006.558.094.791.254-1.995.929-4.104 3.275-5.008 7.97l-3.784 1.16c1.067-3.564 3.557-9.391 7.999-9.391l.002.007Z"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fill: "#5E8E3E",
    d: "M39.43 8.968c-.169-.028-3.878-.282-3.878-.282l-2.827-2.828a.564.564 0 0 0-.395-.168L30.266 48l14.822-3.195-5.235-35.413a.51.51 0 0 0-.423-.423v-.001Z"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fill: "#fff",
    d: "m25.231 17.168-1.84 5.431a8.522 8.522 0 0 0-3.564-.85c-2.886 0-3.027 1.81-3.027 2.264 0 2.473 6.477 3.423 6.477 9.25 0 4.582-2.914 7.522-6.825 7.522-4.695 0-7.1-2.914-7.1-2.914L10.6 33.71s2.46 2.122 4.555 2.122a1.853 1.853 0 0 0 1.923-1.867c0-3.255-5.317-3.395-5.317-8.714 0-4.471 3.223-8.827 9.7-8.827 2.546.037 3.764.742 3.764.742l.006.003Z"
  })), /*#__PURE__*/_react.default.createElement("defs", null, /*#__PURE__*/_react.default.createElement("clipPath", {
    id: "Shopify_js__a"
  }, /*#__PURE__*/_react.default.createElement("path", {
    fill: "#fff",
    d: "M0 0h48v48H0z"
  }))));
};

var _default = Shopify;
exports.default = _default;
//# sourceMappingURL=Shopify.js.map