"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size", "height", "width"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var Slack = function Slack(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      height = _ref.height,
      width = _ref.width,
      props = _objectWithoutProperties(_ref, _excluded);

  height = height || size;
  width = width || size;
  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: width,
    height: height,
    fill: "none",
    viewBox: "0 0 32 32"
  }, props), /*#__PURE__*/_react.default.createElement("path", {
    fill: "#36C5F0",
    fillRule: "evenodd",
    d: "M11.71 0a3.196 3.196 0 0 0-3.194 3.2 3.197 3.197 0 0 0 3.194 3.199h3.195V3.2A3.2 3.2 0 0 0 11.709 0c.002 0 .002 0 0 0Zm0 8.533H3.193A3.197 3.197 0 0 0 0 11.733a3.197 3.197 0 0 0 3.193 3.2h8.516a3.197 3.197 0 0 0 3.194-3.199 3.197 3.197 0 0 0-3.194-3.2Z",
    clipRule: "evenodd"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fill: "#2EB67D",
    fillRule: "evenodd",
    d: "M31.935 11.733a3.197 3.197 0 0 0-3.194-3.2 3.197 3.197 0 0 0-3.195 3.2v3.2h3.195a3.197 3.197 0 0 0 3.194-3.2Zm-8.517 0V3.199A3.198 3.198 0 0 0 20.225 0a3.197 3.197 0 0 0-3.194 3.2v8.533a3.197 3.197 0 0 0 3.193 3.2 3.197 3.197 0 0 0 3.194-3.2Z",
    clipRule: "evenodd"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fill: "#ECB22E",
    fillRule: "evenodd",
    d: "M20.225 32a3.197 3.197 0 0 0 3.194-3.2 3.197 3.197 0 0 0-3.194-3.199h-3.194v3.2a3.199 3.199 0 0 0 3.194 3.2Zm0-8.535h8.517a3.197 3.197 0 0 0 3.194-3.199 3.197 3.197 0 0 0-3.193-3.2h-8.516a3.197 3.197 0 0 0-3.194 3.199 3.196 3.196 0 0 0 3.192 3.2Z",
    clipRule: "evenodd"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fill: "#E01E5A",
    fillRule: "evenodd",
    d: "M0 20.266a3.197 3.197 0 0 0 3.194 3.2 3.197 3.197 0 0 0 3.194-3.2v-3.2H3.194A3.197 3.197 0 0 0 0 20.266Zm8.516 0v8.533A3.197 3.197 0 0 0 11.71 32a3.197 3.197 0 0 0 3.194-3.198v-8.533a3.194 3.194 0 1 0-6.387-.003s0 .002 0 0Z",
    clipRule: "evenodd"
  }));
};

var _default = Slack;
exports.default = _default;
//# sourceMappingURL=Slack.js.map