"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size", "height", "width"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var Wordpress = function Wordpress(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      height = _ref.height,
      width = _ref.width,
      props = _objectWithoutProperties(_ref, _excluded);

  height = height || size;
  width = width || size;
  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: width,
    height: height,
    fill: "none",
    viewBox: "0 0 48 48"
  }, props), /*#__PURE__*/_react.default.createElement("path", {
    fill: "#464342",
    d: "M3.41 24c0 8.149 4.736 15.192 11.604 18.529L5.193 15.62A20.51 20.51 0 0 0 3.41 24Zm34.488-1.04c0-2.544-.914-4.306-1.698-5.678-1.044-1.696-2.022-3.132-2.022-4.828 0-1.893 1.436-3.654 3.457-3.654.092 0 .178.011.267.016A20.513 20.513 0 0 0 24 3.411c-7.193 0-13.521 3.69-17.202 9.28.483.015.938.025 1.325.025 2.153 0 5.486-.261 5.486-.261 1.11-.066 1.241 1.565.133 1.696 0 0-1.116.131-2.357.196l7.498 22.301 4.505-13.513-3.207-8.789a37.569 37.569 0 0 1-2.16-.196c-1.109-.065-.979-1.761.13-1.696 0 0 3.4.261 5.424.261 2.153 0 5.487-.26 5.487-.26 1.11-.066 1.241 1.564.132 1.695 0 0-1.118.131-2.357.196l7.44 22.133 2.054-6.863c.89-2.848 1.568-4.893 1.568-6.655Z"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fill: "#464342",
    d: "m24.36 25.8-6.176 17.95a20.588 20.588 0 0 0 12.653-.328 1.8 1.8 0 0 1-.147-.283L24.36 25.8Zm17.706-11.679c.088.656.138 1.36.138 2.118 0 2.089-.39 4.438-1.565 7.374l-6.29 18.183c6.122-3.57 10.239-10.2 10.239-17.796 0-3.58-.914-6.946-2.523-9.879Z"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fill: "#464342",
    d: "M24 0C10.767 0 0 10.766 0 24s10.767 24 24 24 24.002-10.766 24.002-24S37.233 0 24 0Zm0 46.9C11.374 46.9 1.1 36.627 1.1 24 1.1 11.372 11.373 1.1 24 1.1 36.626 1.1 46.9 11.373 46.9 24c0 12.627-10.273 22.9-22.899 22.9Z"
  }));
};

var _default = Wordpress;
exports.default = _default;
//# sourceMappingURL=Wordpress.js.map