"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["width", "height"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var NeetoGit = function NeetoGit(_ref) {
  var _ref$width = _ref.width,
      width = _ref$width === void 0 ? "100%" : _ref$width,
      _ref$height = _ref.height,
      height = _ref$height === void 0 ? 36 : _ref$height,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: width,
    height: height,
    viewBox: "0 0 352 144",
    fill: "none"
  }, props), /*#__PURE__*/_react.default.createElement("g", {
    clipPath: "url(#NeetoGit_js__clip0_318_36236)",
    "data-logo-icon": "neeto-typeface-logo__icon"
  }, /*#__PURE__*/_react.default.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M93.0041 57.1214C88.1747 57.1214 84.2597 61.0364 84.2597 65.8658V77.576C84.2597 92.0641 72.5148 103.809 58.0268 103.809H42.7499C37.9206 103.809 34.0056 99.894 34.0056 95.0646C34.0056 90.2353 37.9206 86.3203 42.7499 86.3203H58.0268C62.8561 86.3203 66.7711 82.4053 66.7711 77.576V65.8658C66.7711 51.3777 78.516 39.6328 93.0041 39.6328H118.125C122.954 39.6328 126.869 43.5478 126.869 48.3771C126.869 53.2065 122.954 57.1214 118.125 57.1214H93.0041Z",
    fill: "#75DC66"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M30.6306 95.0646C30.6306 90.2353 34.5456 86.3203 39.3749 86.3203H118.125C122.954 86.3203 126.869 90.2353 126.869 95.0646C126.869 99.894 122.954 103.809 118.125 103.809H39.3749C34.5456 103.809 30.6306 99.894 30.6306 95.0646Z",
    fill: "#5BCC5A"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M58.0265 86.3203H42.7497C37.9203 86.3203 34.0054 90.2353 34.0054 95.0646C34.0054 99.892 37.9172 103.806 42.7439 103.809C42.7458 103.809 42.7477 103.809 42.7497 103.809H58.0265C58.0299 103.809 58.0333 103.809 58.0367 103.809C69.4543 103.805 79.1666 96.5061 82.7668 86.3203H58.0265Z",
    fill: "#0DA84C"
  }), /*#__PURE__*/_react.default.createElement("circle", {
    cx: 25.9466,
    cy: 95.1341,
    r: 18.0716,
    fill: "#5BCC5A"
  }), /*#__PURE__*/_react.default.createElement("circle", {
    cx: 118.197,
    cy: 48.4466,
    r: 18.0716,
    fill: "#75DC66"
  }), /*#__PURE__*/_react.default.createElement("circle", {
    cx: 118.197,
    cy: 95.1341,
    r: 18.0716,
    fill: "#5BCC5A"
  })), /*#__PURE__*/_react.default.createElement("g", {
    "data-logo-text": "neeto-typeface-logo__text"
  }, /*#__PURE__*/_react.default.createElement("path", {
    d: "M230.498 79.2887C228.653 75.9063 226.116 73.3309 222.888 71.5628C219.659 69.7947 215.892 68.9106 211.587 68.9106C206.821 68.9106 202.593 69.9869 198.903 72.1394C195.213 74.2919 192.33 77.3669 190.254 81.3644C188.178 85.3619 187.141 89.9744 187.141 95.2019C187.141 100.583 188.178 105.273 190.254 109.27C192.407 113.268 195.366 116.342 199.133 118.495C202.9 120.647 207.282 121.724 212.279 121.724C218.429 121.724 223.464 120.109 227.385 116.881C231.305 113.575 233.881 109.001 235.111 103.158H207.436V90.82H251.024V104.888C249.948 110.5 247.641 115.689 244.105 120.455C240.569 125.222 235.995 129.065 230.383 131.987C224.848 134.831 218.621 136.253 211.702 136.253C203.938 136.253 196.904 134.523 190.6 131.064C184.373 127.528 179.453 122.646 175.84 116.419C172.304 110.193 170.536 103.12 170.536 95.2019C170.536 87.2838 172.304 80.2113 175.84 73.9844C179.453 67.6806 184.373 62.7991 190.6 59.3397C196.904 55.8034 203.899 54.0353 211.587 54.0353C220.658 54.0353 228.538 56.2647 235.226 60.7234C241.914 65.1053 246.527 71.2938 249.063 79.2887H230.498Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M268.849 64.0675C266.004 64.0675 263.621 63.1834 261.699 61.4153C259.854 59.5703 258.932 57.3025 258.932 54.6119C258.932 51.9212 259.854 49.6919 261.699 47.9237C263.621 46.0787 266.004 45.1562 268.849 45.1562C271.693 45.1562 274.038 46.0787 275.883 47.9237C277.805 49.6919 278.765 51.9212 278.765 54.6119C278.765 57.3025 277.805 59.5703 275.883 61.4153C274.038 63.1834 271.693 64.0675 268.849 64.0675ZM276.805 71.6781V135.561H260.661V71.6781H276.805Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M309.245 84.9391V115.843C309.245 117.995 309.745 119.571 310.744 120.571C311.82 121.493 313.588 121.954 316.048 121.954H323.544V135.561H313.396C299.789 135.561 292.986 128.95 292.986 115.728V84.9391H285.375V71.6781H292.986V55.8803H309.245V71.6781H323.544V84.9391H309.245Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M229.622 25.5097C229.622 26.3731 229.564 27.1502 229.449 27.841H211.978C212.122 29.5679 212.726 30.9206 213.79 31.8992C214.854 32.8777 216.163 33.367 217.716 33.367C219.959 33.367 221.555 32.4028 222.504 30.4745H229.018C228.327 32.777 227.005 34.6766 225.049 36.1732C223.094 37.6411 220.692 38.375 217.845 38.375C215.544 38.375 213.474 37.8713 211.633 36.864C209.822 35.8278 208.398 34.3744 207.363 32.5036C206.356 30.6328 205.853 28.4742 205.853 26.0278C205.853 23.5525 206.356 21.3795 207.363 19.5087C208.369 17.638 209.778 16.1989 211.59 15.1915C213.402 14.1842 215.487 13.6805 217.845 13.6805C220.117 13.6805 222.144 14.1698 223.927 15.1484C225.739 16.1269 227.134 17.5228 228.112 19.3361C229.118 21.1205 229.622 23.1784 229.622 25.5097ZM223.367 23.7828C223.338 22.2286 222.777 20.991 221.684 20.07C220.592 19.1202 219.254 18.6453 217.673 18.6453C216.177 18.6453 214.912 19.1058 213.877 20.0268C212.87 20.919 212.252 22.171 212.022 23.7828H223.367Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M256.245 25.5097C256.245 26.3731 256.188 27.1502 256.073 27.841H238.602C238.746 29.5679 239.35 30.9206 240.414 31.8992C241.478 32.8777 242.787 33.367 244.34 33.367C246.583 33.367 248.179 32.4028 249.128 30.4745H255.641C254.951 32.777 253.628 34.6766 251.673 36.1732C249.717 37.6411 247.316 38.375 244.469 38.375C242.168 38.375 240.098 37.8713 238.257 36.864C236.445 35.8278 235.022 34.3744 233.987 32.5036C232.98 30.6328 232.477 28.4742 232.477 26.0278C232.477 23.5525 232.98 21.3795 233.987 19.5087C234.993 17.638 236.402 16.1989 238.214 15.1915C240.026 14.1842 242.111 13.6805 244.469 13.6805C246.741 13.6805 248.768 14.1698 250.551 15.1484C252.363 16.1269 253.758 17.5228 254.736 19.3361C255.742 21.1205 256.245 23.1784 256.245 25.5097ZM249.99 23.7828C249.962 22.2286 249.401 20.991 248.308 20.07C247.215 19.1202 245.878 18.6453 244.296 18.6453C242.801 18.6453 241.536 19.1058 240.5 20.0268C239.494 20.919 238.875 22.171 238.645 23.7828H249.99Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M267.785 18.9874V30.6615C267.785 31.4674 267.997 31.9999 268.371 32.374C268.774 32.7194 269.435 32.8921 270.356 32.8921H273.16V37.9864H269.364C264.273 37.9864 261.838 35.383 261.838 30.4326V18.9874H258.636V13.9515H261.838V8H267.785V13.9515H273.16V18.9874H267.785Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M287.989 38.375C285.689 38.375 283.618 37.8713 281.778 36.864C279.937 35.8278 278.485 34.3744 277.421 32.5036C276.385 30.6328 275.868 28.4742 275.868 26.0278C275.868 23.5813 276.4 21.4227 277.464 19.5519C278.557 17.6811 280.038 16.2421 281.907 15.2347C283.776 14.1986 285.861 13.6805 288.162 13.6805C290.463 13.6805 292.548 14.1986 294.417 15.2347C296.286 16.2421 297.753 17.6811 298.817 19.5519C299.91 21.4227 300.456 23.5813 300.456 26.0278C300.456 28.4742 299.895 30.6328 298.774 32.5036C297.681 34.3744 296.185 35.8278 294.287 36.864C292.418 37.8713 290.319 38.375 287.989 38.375ZM287.989 33.108C289.082 33.108 290.103 32.849 291.052 32.3309C292.03 31.784 292.806 30.9782 293.382 29.9132C293.957 28.8483 294.244 27.5532 294.244 26.0278C294.244 23.754 293.64 22.0127 292.432 20.8039C291.253 19.5663 289.801 18.9475 288.076 18.9475C286.35 18.9475 284.898 19.5663 283.719 20.8039C282.568 22.0127 281.993 23.754 281.993 26.0278C281.993 28.3015 282.554 30.0572 283.676 31.2948C284.826 32.5036 286.264 33.108 287.989 33.108Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M200.752 8H189.159L200.752 25.3903V8Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M172 38.375L172 8H180.372L200.752 38.375H192.136L178.724 18.666V38.375H172Z",
    fill: "black",
    "data-dark-mode-color": "true"
  })), /*#__PURE__*/_react.default.createElement("defs", null, /*#__PURE__*/_react.default.createElement("clipPath", {
    id: "NeetoGit_js__clip0_318_36236"
  }, /*#__PURE__*/_react.default.createElement("rect", {
    width: 129.375,
    height: 128.25,
    fill: "white",
    transform: "translate(7.3125 7.875)"
  }))));
};

var _default = NeetoGit;
exports.default = _default;
//# sourceMappingURL=NeetoGit.js.map