var _excluded = ["width", "height"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var AndroidMockup = function AndroidMockup(_ref) {
  var _ref$width = _ref.width,
      width = _ref$width === void 0 ? 80 : _ref$width,
      _ref$height = _ref.height,
      height = _ref$height === void 0 ? 26 : _ref$height,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement("svg", _extends({
    width: width,
    height: height,
    fill: "none",
    viewBox: "0 0 80 26"
  }, props), /*#__PURE__*/React.createElement("path", {
    fill: "#101828",
    stroke: "#1A1A1A",
    strokeWidth: 0.058,
    d: "M35.308 1.029h8.519c.446 0 .784.134 1.01.36.227.227.346.55.346.933V23.75c0 .674-.547 1.221-1.221 1.221H35.25a1.221 1.221 0 0 1-1.221-1.221V2.298c0-.678.474-1.27 1.279-1.27Z"
  }), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#AndroidMockup_js__a)",
    "data-figma-skip-parse": "true"
  }, /*#__PURE__*/React.createElement("foreignObject", {
    width: 2028.12,
    height: 2028.12,
    x: -1014.06,
    y: -1014.06,
    transform: "matrix(0 .01188 -.00547 0 39.606 12.99)"
  }, /*#__PURE__*/React.createElement("div", {
    xmlns: "http://www.w3.org/1999/xhtml",
    style: {
      background: "conic-gradient(from 90deg,#3f3f3f 0deg,#5c5c5c 38.2895deg,#454545 40.2708deg,#000 43.1375deg,#464646 47.5174deg,#636161 85.4292deg,#606060 134.137deg,#000 135.905deg,#ababab 139.397deg,#6d6d6d 156.8deg,#7a7a7a 179.477deg,#7c7c7c 213.466deg,#545454 221.509deg,#000 224.586deg,#505050 226.956deg,#444 302.028deg,#343434 311.987deg,#000 315.712deg,#252527 319.352deg,#363636 348.207deg,#3f3f3f 360deg)",
      height: "100%",
      width: "100%",
      opacity: 1
    }
  }))), /*#__PURE__*/React.createElement("path", {
    stroke: "#1A1A1A",
    strokeWidth: 0.058,
    d: "M43.87 1.144h-8.543c-.364 0-.654.113-.853.314-.2.201-.31.493-.31.854V23.76c0 .594.481 1.076 1.076 1.076h8.731c.595 0 1.077-.482 1.077-1.077l.02-21.432-1.198-1.183Zm0 0c.41 0 .708.131.904.342m-.904-.342.904.342m0 0c.196.212.293.507.293.84l-.293-.84Z",
    "data-figma-gradient-fill": "{\"type\":\"GRADIENT_ANGULAR\",\"stops\":[{\"color\":{\"r\":0.36250001192092896,\"g\":0.36250001192092896,\"b\":0.36250001192092896,\"a\":1.0},\"position\":0.10635985434055328},{\"color\":{\"r\":0.27058824896812439,\"g\":0.27058824896812439,\"b\":0.27058824896812439,\"a\":1.0},\"position\":0.11186322569847107},{\"color\":{\"r\":0.0,\"g\":0.0,\"b\":0.0,\"a\":1.0},\"position\":0.11982651799917221},{\"color\":{\"r\":0.27450981736183167,\"g\":0.27450981736183167,\"b\":0.27450981736183167,\"a\":1.0},\"position\":0.13199278712272644},{\"color\":{\"r\":0.38823530077934265,\"g\":0.38039216399192810,\"b\":0.38039216399192810,\"a\":1.0},\"position\":0.23730345070362091},{\"color\":{\"r\":0.37647059559822083,\"g\":0.37647059559822083,\"b\":0.37647059559822083,\"a\":1.0},\"position\":0.37260404229164124},{\"color\":{\"r\":0.0,\"g\":0.0,\"b\":0.0,\"a\":1.0},\"position\":0.37751340866088867},{\"color\":{\"r\":0.67058825492858887,\"g\":0.67058825492858887,\"b\":0.67058825492858887,\"a\":1.0},\"position\":0.38721415400505066},{\"color\":{\"r\":0.42745098471641541,\"g\":0.42745098471641541,\"b\":0.42745098471641541,\"a\":1.0},\"position\":0.43555471301078796},{\"color\":{\"r\":0.47843137383460999,\"g\":0.47843137383460999,\"b\":0.47843137383460999,\"a\":1.0},\"position\":0.49854609370231628},{\"color\":{\"r\":0.48627451062202454,\"g\":0.48627451062202454,\"b\":0.48627451062202454,\"a\":1.0},\"position\":0.59296053647994995},{\"color\":{\"r\":0.32941177487373352,\"g\":0.32941177487373352,\"b\":0.32941177487373352,\"a\":1.0},\"position\":0.61530184745788574},{\"color\":{\"r\":0.0,\"g\":0.0,\"b\":0.0,\"a\":1.0},\"position\":0.62385094165802002},{\"color\":{\"r\":0.31372550129890442,\"g\":0.31372550129890442,\"b\":0.31372550129890442,\"a\":1.0},\"position\":0.63043242692947388},{\"color\":{\"r\":0.26666668057441711,\"g\":0.26666668057441711,\"b\":0.26666668057441711,\"a\":1.0},\"position\":0.83896654844284058},{\"color\":{\"r\":0.20392157137393951,\"g\":0.20392157137393951,\"b\":0.20392157137393951,\"a\":1.0},\"position\":0.86663019657135010},{\"color\":{\"r\":0.0,\"g\":0.0,\"b\":0.0,\"a\":1.0},\"position\":0.87697714567184448},{\"color\":{\"r\":0.14509804546833038,\"g\":0.14509804546833038,\"b\":0.15294118225574493,\"a\":1.0},\"position\":0.88708794116973877},{\"color\":{\"r\":0.21176470816135406,\"g\":0.21176470816135406,\"b\":0.21176470816135406,\"a\":1.0},\"position\":0.96724039316177368}],\"stopsVar\":[],\"transform\":{\"m00\":6.7002323125020806e-16,\"m01\":-10.942309379577637,\"m02\":45.076831817626953,\"m10\":23.750,\"m11\":1.4542682201629481e-15,\"m12\":1.1152343750},\"opacity\":1.0,\"blendMode\":\"NORMAL\",\"visible\":true}"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#F6F7F8",
    stroke: "#101828",
    strokeWidth: 0.019,
    d: "M43.865 1.27h-8.5c-.314 0-.578.084-.765.261-.186.177-.292.446-.292.81v21.42c0 .535.435.97.97.97h8.684a.971.971 0 0 0 .97-.97V2.336c0-.343-.105-.61-.291-.792-.187-.181-.454-.275-.776-.275Z"
  }), /*#__PURE__*/React.createElement("rect", {
    width: 4.269,
    height: 0.087,
    x: 37.49,
    y: 1.115,
    fill: "#1A1A1A",
    rx: 0.043
  }), /*#__PURE__*/React.createElement("g", {
    filter: "url(#AndroidMockup_js__b)"
  }, /*#__PURE__*/React.createElement("circle", {
    cx: 39.62,
    cy: 1.88,
    r: 0.255,
    fill: "#101828"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 39.62,
    cy: 1.88,
    r: 0.243,
    stroke: "url(#AndroidMockup_js__c)",
    strokeWidth: 0.024
  })), /*#__PURE__*/React.createElement("path", {
    fill: "url(#AndroidMockup_js__d)",
    d: "M39.722 1.993a.153.153 0 1 1-.204-.227.153.153 0 0 1 .204.227Z"
  }), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#AndroidMockup_js__e)",
    "data-figma-skip-parse": "true"
  }, /*#__PURE__*/React.createElement("foreignObject", {
    width: 3012.95,
    height: 3012.95,
    x: -1506.47,
    y: -1506.47,
    transform: "matrix(-.00011 .0001 -.0001 -.00011 39.62 1.88)"
  }, /*#__PURE__*/React.createElement("div", {
    xmlns: "http://www.w3.org/1999/xhtml",
    style: {
      background: "conic-gradient(from 90deg,transparent 0deg,transparent 148.125deg,#000 183.75deg,transparent 294.375deg,transparent 360deg)",
      height: "100%",
      width: "100%",
      opacity: 1
    }
  }))), /*#__PURE__*/React.createElement("path", {
    d: "M39.722 1.993a.153.153 0 1 1-.204-.227.153.153 0 0 1 .204.227Z",
    "data-figma-gradient-fill": "{\"type\":\"GRADIENT_ANGULAR\",\"stops\":[{\"color\":{\"r\":0.0,\"g\":0.0,\"b\":0.0,\"a\":0.0},\"position\":0.41145834326744080},{\"color\":{\"r\":0.0,\"g\":0.0,\"b\":0.0,\"a\":1.0},\"position\":0.51041668653488159},{\"color\":{\"r\":0.0,\"g\":0.0,\"b\":0.0,\"a\":0.0},\"position\":0.81770831346511841}],\"stopsVar\":[],\"transform\":{\"m00\":-0.22716559469699860,\"m01\":-0.20467200875282288,\"m02\":39.836090087890625,\"m10\":0.20467200875282288,\"m11\":-0.22716559469699860,\"m12\":1.8906952142715454},\"opacity\":1.0,\"blendMode\":\"NORMAL\",\"visible\":true}"
  }), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#AndroidMockup_js__f)",
    "data-figma-skip-parse": "true"
  }, /*#__PURE__*/React.createElement("foreignObject", {
    width: 3012.95,
    height: 3012.95,
    x: -1506.47,
    y: -1506.47,
    transform: "matrix(-.00011 .0001 -.0001 -.00011 39.62 1.88)"
  }, /*#__PURE__*/React.createElement("div", {
    xmlns: "http://www.w3.org/1999/xhtml",
    style: {
      background: "conic-gradient(from 90deg,#000 0deg,#000 33.8466deg,rgba(0,0,0,.13) 60.5113deg,rgba(0,0,0,.13) 108.052deg,#000 165.195deg,#000 228.075deg,transparent 243.85deg,transparent 316.969deg,#000 360deg)",
      height: "100%",
      width: "100%",
      opacity: 1
    }
  }))), /*#__PURE__*/React.createElement("path", {
    d: "M39.722 1.993a.153.153 0 1 1-.204-.227.153.153 0 0 1 .204.227Z",
    "data-figma-gradient-fill": "{\"type\":\"GRADIENT_ANGULAR\",\"stops\":[{\"color\":{\"r\":0.0,\"g\":0.0,\"b\":0.0,\"a\":1.0},\"position\":0.094018273055553436},{\"color\":{\"r\":0.0,\"g\":0.0,\"b\":0.0,\"a\":0.12999999523162842},\"position\":0.16808699071407318},{\"color\":{\"r\":0.0,\"g\":0.0,\"b\":0.0,\"a\":0.12999999523162842},\"position\":0.30014511942863464},{\"color\":{\"r\":0.0,\"g\":0.0,\"b\":0.0,\"a\":1.0},\"position\":0.45887422561645508},{\"color\":{\"r\":0.0,\"g\":0.0,\"b\":0.0,\"a\":1.0},\"position\":0.63354188203811646},{\"color\":{\"r\":0.0,\"g\":0.0,\"b\":0.0,\"a\":0.0},\"position\":0.67736220359802246},{\"color\":{\"r\":0.0,\"g\":0.0,\"b\":0.0,\"a\":0.0},\"position\":0.88046979904174805},{\"color\":{\"r\":0.0,\"g\":0.0,\"b\":0.0,\"a\":1.0},\"position\":1.0}],\"stopsVar\":[],\"transform\":{\"m00\":-0.22716559469699860,\"m01\":-0.20467200875282288,\"m02\":39.836090087890625,\"m10\":0.20467200875282288,\"m11\":-0.22716559469699860,\"m12\":1.8906952142715454},\"opacity\":1.0,\"blendMode\":\"NORMAL\",\"visible\":true}"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "url(#AndroidMockup_js__g)",
    d: "M39.708 1.837a.054.054 0 0 1-.06.043.048.048 0 0 1-.04-.058.054.054 0 0 1 .06-.043c.028.004.046.03.04.058Z"
  }), /*#__PURE__*/React.createElement("g", {
    fill: "#1A1A1A",
    stroke: "#1A1A1A",
    strokeWidth: 0.01,
    filter: "url(#AndroidMockup_js__h)"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M45.217 4.716h.052c.024 0 .044.02.044.043v2.779c0 .024-.02.043-.044.043h-.052V4.716ZM45.217 9.485h.052c.024 0 .044.02.044.044v1.432c0 .024-.02.043-.044.043h-.052V9.486Z"
  })), /*#__PURE__*/React.createElement("path", {
    fill: "#191919",
    d: "M43.461 24.808h.212V25h-.212zM35.481 24.808h.212V25h-.212zM45.039 3.077h.173v.26h-.173zM34 3.077h.192v.26H34z"
  }), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("radialGradient", {
    id: "AndroidMockup_js__c",
    cx: 0,
    cy: 0,
    r: 1,
    gradientTransform: "rotate(55.222 18.153 38.548) scale(.5584)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    stopColor: "#121212"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 1,
    stopColor: "#090909"
  })), /*#__PURE__*/React.createElement("radialGradient", {
    id: "AndroidMockup_js__d",
    cx: 0,
    cy: 0,
    r: 1,
    gradientTransform: "matrix(-.11358 .10234 -.10234 -.11358 39.62 1.88)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0.214,
    stopColor: "#191919"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.271,
    stopColor: "#365153"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.396,
    stopColor: "#1F5558"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.516,
    stopColor: "#60ACBA"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.714,
    stopColor: "#416961"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.917,
    stopColor: "#191919"
  })), /*#__PURE__*/React.createElement("radialGradient", {
    id: "AndroidMockup_js__g",
    cx: 0,
    cy: 0,
    r: 1,
    gradientTransform: "rotate(101.258 19.078 17.186) scale(.05136 .05049)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0.125,
    stopColor: "#58A9D7"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 1,
    stopOpacity: 0
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "AndroidMockup_js__a"
  }, /*#__PURE__*/React.createElement("path", {
    strokeWidth: 0.058,
    d: "M43.87 1.144h-8.543c-.364 0-.654.113-.853.314-.2.201-.31.493-.31.854V23.76c0 .594.481 1.076 1.076 1.076h8.731c.595 0 1.077-.482 1.077-1.077l.02-21.432-1.198-1.183Zm0 0c.41 0 .708.131.904.342m-.904-.342.904.342m0 0c.196.212.293.507.293.84l-.293-.84Z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "AndroidMockup_js__e"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M39.722 1.993a.153.153 0 1 1-.204-.227.153.153 0 0 1 .204.227Z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "AndroidMockup_js__f"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M39.722 1.993a.153.153 0 1 1-.204-.227.153.153 0 0 1 .204.227Z"
  })), /*#__PURE__*/React.createElement("filter", {
    id: "AndroidMockup_js__b",
    width: 0.543,
    height: 0.543,
    x: 39.349,
    y: 1.608,
    colorInterpolationFilters: "sRGB",
    filterUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("feFlood", {
    floodOpacity: 0,
    result: "BackgroundImageFix"
  }), /*#__PURE__*/React.createElement("feColorMatrix", {
    in: "SourceAlpha",
    result: "hardAlpha",
    values: "0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"
  }), /*#__PURE__*/React.createElement("feMorphology", {
    in: "SourceAlpha",
    operator: "dilate",
    radius: 0.004,
    result: "effect1_dropShadow_224_89"
  }), /*#__PURE__*/React.createElement("feOffset", null), /*#__PURE__*/React.createElement("feGaussianBlur", {
    stdDeviation: 0.006
  }), /*#__PURE__*/React.createElement("feColorMatrix", {
    values: "0 0 0 0 0.0705882 0 0 0 0 0.0313726 0 0 0 0 0.0235294 0 0 0 1 0"
  }), /*#__PURE__*/React.createElement("feBlend", {
    in2: "BackgroundImageFix",
    result: "effect1_dropShadow_224_89"
  }), /*#__PURE__*/React.createElement("feBlend", {
    in: "SourceGraphic",
    in2: "effect1_dropShadow_224_89",
    result: "shape"
  })), /*#__PURE__*/React.createElement("filter", {
    id: "AndroidMockup_js__h",
    width: 0.115,
    height: 6.376,
    x: 45.202,
    y: 4.672,
    colorInterpolationFilters: "sRGB",
    filterUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("feFlood", {
    floodOpacity: 0,
    result: "BackgroundImageFix"
  }), /*#__PURE__*/React.createElement("feBlend", {
    in: "SourceGraphic",
    in2: "BackgroundImageFix",
    result: "shape"
  }), /*#__PURE__*/React.createElement("feColorMatrix", {
    in: "SourceAlpha",
    result: "hardAlpha",
    values: "0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"
  }), /*#__PURE__*/React.createElement("feOffset", {
    dy: 0.038
  }), /*#__PURE__*/React.createElement("feGaussianBlur", {
    stdDeviation: 0.019
  }), /*#__PURE__*/React.createElement("feComposite", {
    in2: "hardAlpha",
    k2: -1,
    k3: 1,
    operator: "arithmetic"
  }), /*#__PURE__*/React.createElement("feColorMatrix", {
    values: "0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0"
  }), /*#__PURE__*/React.createElement("feBlend", {
    in2: "shape",
    result: "effect1_innerShadow_224_89"
  }), /*#__PURE__*/React.createElement("feColorMatrix", {
    in: "SourceAlpha",
    result: "hardAlpha",
    values: "0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"
  }), /*#__PURE__*/React.createElement("feOffset", {
    dy: -0.038
  }), /*#__PURE__*/React.createElement("feGaussianBlur", {
    stdDeviation: 0.019
  }), /*#__PURE__*/React.createElement("feComposite", {
    in2: "hardAlpha",
    k2: -1,
    k3: 1,
    operator: "arithmetic"
  }), /*#__PURE__*/React.createElement("feColorMatrix", {
    values: "0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0"
  }), /*#__PURE__*/React.createElement("feBlend", {
    in2: "effect1_innerShadow_224_89",
    result: "effect2_innerShadow_224_89"
  }), /*#__PURE__*/React.createElement("feColorMatrix", {
    in: "SourceAlpha",
    result: "hardAlpha",
    values: "0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"
  }), /*#__PURE__*/React.createElement("feOffset", {
    dx: -0.019
  }), /*#__PURE__*/React.createElement("feGaussianBlur", {
    stdDeviation: 0.005
  }), /*#__PURE__*/React.createElement("feComposite", {
    in2: "hardAlpha",
    k2: -1,
    k3: 1,
    operator: "arithmetic"
  }), /*#__PURE__*/React.createElement("feColorMatrix", {
    values: "0 0 0 0 0.294118 0 0 0 0 0.294118 0 0 0 0 0.294118 0 0 0 1 0"
  }), /*#__PURE__*/React.createElement("feBlend", {
    in2: "effect2_innerShadow_224_89",
    result: "effect3_innerShadow_224_89"
  }))));
};

export default AndroidMockup;
//# sourceMappingURL=AndroidMockup.js.map