var _excluded = ["width", "height"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var Avatar = function Avatar(_ref) {
  var _ref$width = _ref.width,
      width = _ref$width === void 0 ? 80 : _ref$width,
      _ref$height = _ref.height,
      height = _ref$height === void 0 ? 26 : _ref$height,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement("svg", _extends({
    width: width,
    height: height,
    fill: "none",
    viewBox: "0 0 80 26"
  }, props), /*#__PURE__*/React.createElement("circle", {
    cx: 40,
    cy: 13,
    r: 11,
    fill: "#101828",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 40,
    cy: 10,
    r: 3,
    fill: "#E9EBED",
    "data-theme-inverted": "true"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#E9EBED",
    d: "M35 17a3 3 0 0 1 3-3h4a3 3 0 0 1 3 3v1H35v-1Z",
    "data-theme-inverted": "true"
  }));
};

export default Avatar;
//# sourceMappingURL=Avatar.js.map