var _excluded = ["width", "height"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var Browser = function Browser(_ref) {
  var _ref$width = _ref.width,
      width = _ref$width === void 0 ? 80 : _ref$width,
      _ref$height = _ref.height,
      height = _ref$height === void 0 ? 26 : _ref$height,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement("svg", _extends({
    width: width,
    height: height,
    fill: "none",
    viewBox: "0 0 80 26"
  }, props), /*#__PURE__*/React.createElement("path", {
    fill: "#101828",
    d: "M23.594 1.6c0-.21 0-.315.04-.395a.375.375 0 0 1 .165-.164c.08-.041.185-.041.395-.041h32.55c.21 0 .315 0 .395.04.07.037.128.094.164.165.04.08.04.185.04.395v.712h-33.75V1.6Z",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 24.297,
    cy: 1.656,
    r: 0.141,
    fill: "#ED6B5D",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 24.766,
    cy: 1.656,
    r: 0.141,
    fill: "#F4BE50",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 25.234,
    cy: 1.656,
    r: 0.141,
    fill: "#61C554",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#B5B5B5",
    d: "M26.205 1.656c0 .006.002.01.006.014l.17.168a.018.018 0 0 0 .013.006.02.02 0 0 0 .02-.02.02.02 0 0 0-.006-.014l-.156-.154.156-.154a.02.02 0 0 0 .006-.014.02.02 0 0 0-.02-.02.019.019 0 0 0-.014.006l-.17.168a.02.02 0 0 0-.005.014Z",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#4D4D4D",
    d: "M27.445 1.656a.02.02 0 0 0-.006-.014l-.17-.168a.02.02 0 0 0-.014-.005.02.02 0 0 0-.02.02c0 .005.003.01.006.013l.156.154-.155.154a.02.02 0 0 0-.006.014c0 .011.008.02.02.02a.02.02 0 0 0 .014-.006l.169-.168a.02.02 0 0 0 .006-.014Z",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/React.createElement("path", {
    stroke: "#4D4D4D",
    strokeWidth: 0.023,
    d: "M33.777 1.628c0-.053 0-.091.003-.122a.184.184 0 0 1 .017-.07.176.176 0 0 1 .076-.077.183.183 0 0 1 .07-.017c.031-.002.07-.002.123-.002h14.4c.052 0 .091 0 .122.002.03.003.052.008.07.017.033.017.06.044.077.077.009.018.014.04.016.07.003.03.003.07.003.122v.056c0 .053 0 .092-.003.123a.182.182 0 0 1-.016.07.175.175 0 0 1-.077.077.183.183 0 0 1-.07.016 1.65 1.65 0 0 1-.122.003h-14.4c-.053 0-.092 0-.123-.003a.183.183 0 0 1-.07-.016.176.176 0 0 1-.076-.077.184.184 0 0 1-.017-.07 1.648 1.648 0 0 1-.003-.123v-.056Z",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#B5B5B5",
    d: "M37.86 1.797h.13c.02 0 .032-.012.032-.034v-.099c0-.023-.011-.034-.032-.034h-.13c-.02 0-.032.011-.032.034v.099c0 .022.011.034.032.034Zm-.007-.156h.022v-.048c0-.037.023-.056.05-.056.026 0 .05.02.05.056v.048h.022v-.045c0-.054-.035-.08-.072-.08-.037 0-.072.026-.072.08v.045Z",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#F6F7F8",
    d: "M38.423 1.54v-.224h.026v.087h.002a.045.045 0 0 1 .018-.02.054.054 0 0 1 .03-.007c.011 0 .021.003.03.007a.045.045 0 0 1 .019.02c.004.01.006.02.006.033v.104h-.026v-.098c0-.014-.003-.025-.009-.032-.006-.007-.015-.01-.028-.01a.043.043 0 0 0-.022.005.038.038 0 0 0-.015.015.053.053 0 0 0-.005.025v.095h-.026Zm.235 0c-.016 0-.028-.003-.036-.01-.007-.006-.01-.017-.01-.032V1.4h-.026v-.022h.025v-.041h.027v.041h.035v.022h-.035v.09c0 .01.002.017.005.02.004.005.01.007.018.007a.094.094 0 0 0 .012 0v.021a.22.22 0 0 1-.015.002Zm.11 0c-.016 0-.028-.003-.035-.01-.007-.006-.011-.017-.011-.032V1.4h-.025v-.022h.025v-.041h.027v.041h.035v.022h-.035v.09c0 .01.002.017.005.02.004.005.01.007.018.007a.094.094 0 0 0 .012 0v.021a.193.193 0 0 1-.015.002Zm.054.053V1.38h.026v.026h.003a.053.053 0 0 1 .03-.025.061.061 0 0 1 .02-.004.06.06 0 0 1 .035.01c.01.008.018.017.024.03a.105.105 0 0 1 .008.043.105.105 0 0 1-.008.044.067.067 0 0 1-.024.03.061.061 0 0 1-.035.01.06.06 0 0 1-.038-.013.05.05 0 0 1-.012-.016h-.003v.08h-.026Zm.073-.073c.01 0 .018-.003.025-.008a.045.045 0 0 0 .016-.02.083.083 0 0 0 .005-.032.082.082 0 0 0-.005-.033.044.044 0 0 0-.016-.02.043.043 0 0 0-.025-.008.043.043 0 0 0-.025.008.047.047 0 0 0-.017.02.081.081 0 0 0-.005.032c0 .013.002.023.005.033.004.008.01.015.017.02a.043.043 0 0 0 .025.008Zm.168.022a.087.087 0 0 1-.031-.005.056.056 0 0 1-.022-.015.043.043 0 0 1-.01-.023h.027a.03.03 0 0 0 .012.016.046.046 0 0 0 .025.006.053.053 0 0 0 .02-.003.033.033 0 0 0 .012-.01.02.02 0 0 0 .005-.012.018.018 0 0 0-.006-.014.05.05 0 0 0-.022-.01l-.025-.005a.09.09 0 0 1-.024-.01.037.037 0 0 1-.014-.014.04.04 0 0 1-.005-.02.04.04 0 0 1 .008-.024.053.053 0 0 1 .021-.017.073.073 0 0 1 .03-.006c.012 0 .022.002.03.006a.05.05 0 0 1 .021.015.044.044 0 0 1 .01.022H39.1a.026.026 0 0 0-.012-.015.042.042 0 0 0-.024-.006.044.044 0 0 0-.017.003.027.027 0 0 0-.011.008.02.02 0 0 0-.005.013c0 .004.001.007.003.01a.023.023 0 0 0 .009.007l.015.006.025.005a.075.075 0 0 1 .034.016.036.036 0 0 1 .01.028.04.04 0 0 1-.008.025.056.056 0 0 1-.023.017.083.083 0 0 1-.032.006Zm.126 0a.019.019 0 0 1-.014-.007.019.019 0 0 1-.005-.013c0-.006.002-.01.005-.014a.019.019 0 0 1 .014-.006c.005 0 .01.002.014.006a.019.019 0 0 1 .005.014c0 .005-.002.01-.005.013a.019.019 0 0 1-.014.006Zm0-.116a.019.019 0 0 1-.014-.006.019.019 0 0 1-.005-.013c0-.006.002-.01.005-.014a.019.019 0 0 1 .014-.006c.005 0 .01.002.014.006a.019.019 0 0 1 .005.014c0 .005-.002.01-.005.013a.019.019 0 0 1-.014.006Zm.138-.11-.068.277h-.025l.068-.277h.025Zm.093 0-.068.277h-.025l.068-.277h.025Zm.055.224-.045-.16h.026l.031.127h.003l.036-.128h.024l.036.128h.003l.031-.128h.026l-.045.16h-.026l-.036-.123h-.002l-.036.124h-.026Zm.236 0-.045-.16h.026l.031.127h.003l.036-.128h.024l.036.128h.002l.032-.128h.026l-.045.16h-.026l-.036-.123h-.002l-.036.124h-.026Zm.236 0-.045-.16h.026l.031.127h.003l.036-.128h.024l.036.128h.002l.032-.128h.026l-.045.16h-.026l-.036-.123h-.003l-.035.124h-.026Zm.204.001a.02.02 0 0 1-.02-.02c0-.005.002-.01.006-.013a.02.02 0 0 1 .014-.006c.005 0 .01.002.013.006a.018.018 0 0 1 .006.014c0 .005-.002.01-.006.013a.019.019 0 0 1-.013.006Zm.069-.001v-.16h.026v.023h.002a.045.045 0 0 1 .018-.02.054.054 0 0 1 .029-.007c.018 0 .032.006.041.016.01.01.015.025.015.044v.104h-.026v-.098c0-.014-.003-.025-.009-.032-.006-.007-.016-.01-.028-.01a.043.043 0 0 0-.022.005.038.038 0 0 0-.015.015.053.053 0 0 0-.005.025v.095h-.026Zm.243.002a.074.074 0 0 1-.039-.01.067.067 0 0 1-.025-.028.102.102 0 0 1-.01-.044c0-.017.004-.031.01-.044a.068.068 0 0 1 .063-.04c.014 0 .027.004.037.01.01.007.019.017.024.029a.098.098 0 0 1 .009.042v.01h-.129v-.02h.116l-.013.018v-.01a.075.075 0 0 0-.006-.031.04.04 0 0 0-.038-.025.043.043 0 0 0-.024.007.043.043 0 0 0-.016.018.07.07 0 0 0-.006.03v.011c0 .011.002.021.006.03.004.007.01.014.017.018a.049.049 0 0 0 .025.006.054.054 0 0 0 .019-.003.042.042 0 0 0 .013-.007.027.027 0 0 0 .007-.01h.027a.049.049 0 0 1-.008.016.061.061 0 0 1-.033.024.085.085 0 0 1-.026.003Zm.175 0a.067.067 0 0 1-.065-.039.1.1 0 0 1-.009-.043c0-.017.003-.031.009-.044a.07.07 0 0 1 .025-.03.068.068 0 0 1 .038-.01c.014 0 .027.004.037.01.01.007.019.017.024.029a.097.097 0 0 1 .009.042v.01h-.129v-.02h.116l-.013.018v-.01a.074.074 0 0 0-.006-.031.04.04 0 0 0-.015-.018.043.043 0 0 0-.023-.007.043.043 0 0 0-.024.007.044.044 0 0 0-.016.018.07.07 0 0 0-.005.03v.011c0 .011.001.021.005.03.004.007.01.014.017.018a.048.048 0 0 0 .025.006.055.055 0 0 0 .019-.003.041.041 0 0 0 .013-.007.028.028 0 0 0 .008-.01h.026a.05.05 0 0 1-.008.016.06.06 0 0 1-.013.014.068.068 0 0 1-.02.01.084.084 0 0 1-.025.003Zm.165-.001c-.016 0-.028-.004-.036-.01-.007-.007-.01-.018-.01-.033V1.4h-.026v-.022h.025v-.041h.027v.041h.035v.022h-.035v.09c0 .01.002.017.005.02.004.005.01.007.018.007a.094.094 0 0 0 .012 0v.021a.22.22 0 0 1-.015.002Zm.118.001a.067.067 0 0 1-.065-.039.1.1 0 0 1-.01-.043.1.1 0 0 1 .01-.045.066.066 0 0 1 .025-.029.075.075 0 0 1 .04-.01c.015 0 .028.004.039.01.011.007.02.017.026.029a.1.1 0 0 1 .009.044.1.1 0 0 1-.01.045.067.067 0 0 1-.064.038Zm0-.022a.044.044 0 0 0 .042-.028.082.082 0 0 0 .005-.032.083.083 0 0 0-.006-.033.043.043 0 0 0-.016-.02.045.045 0 0 0-.025-.008.045.045 0 0 0-.026.007.043.043 0 0 0-.016.02.085.085 0 0 0-.006.033c0 .013.002.024.006.033.003.009.009.016.016.02a.045.045 0 0 0 .026.008Zm.132.021a.019.019 0 0 1-.014-.006.019.019 0 0 1-.006-.013c0-.006.002-.01.006-.014a.019.019 0 0 1 .014-.006c.005 0 .01.002.014.006a.019.019 0 0 1 .005.014.02.02 0 0 1-.02.02Zm.129.001a.068.068 0 0 1-.065-.04.1.1 0 0 1-.009-.043.1.1 0 0 1 .01-.044.068.068 0 0 1 .064-.039c.013 0 .024.003.033.007a.058.058 0 0 1 .034.044v.001h-.026a.037.037 0 0 0-.014-.02.044.044 0 0 0-.027-.009.043.043 0 0 0-.042.028.08.08 0 0 0-.005.032c0 .012.002.023.006.032.003.01.009.016.016.021a.042.042 0 0 0 .025.008c.01 0 .02-.003.026-.008a.039.039 0 0 0 .015-.02h.026a.068.068 0 0 1-.012.026.057.057 0 0 1-.022.018.078.078 0 0 1-.033.006Zm.17 0a.075.075 0 0 1-.039-.01.068.068 0 0 1-.025-.028.102.102 0 0 1-.01-.044c0-.018.004-.033.01-.045a.067.067 0 0 1 .065-.039c.015 0 .028.004.04.01.01.007.019.017.024.029a.1.1 0 0 1 .01.044.1.1 0 0 1-.01.045.066.066 0 0 1-.064.038Zm0-.022a.045.045 0 0 0 .042-.028.084.084 0 0 0 .006-.032.085.085 0 0 0-.005-.033.044.044 0 0 0-.017-.02.045.045 0 0 0-.025-.008.045.045 0 0 0-.026.007.045.045 0 0 0-.016.02.085.085 0 0 0-.006.033c0 .013.002.024.006.033.004.009.009.016.016.02a.045.045 0 0 0 .026.008Zm.115.02v-.16h.026v.024h.002a.043.043 0 0 1 .016-.02.049.049 0 0 1 .027-.008.05.05 0 0 1 .02.004c.006.002.01.006.015.01a.05.05 0 0 1 .01.015h.002a.053.053 0 0 1 .028-.025.06.06 0 0 1 .021-.004c.011 0 .02.002.028.006a.04.04 0 0 1 .017.018.061.061 0 0 1 .006.029v.11h-.026v-.104a.045.045 0 0 0-.003-.02.023.023 0 0 0-.011-.012.039.039 0 0 0-.02-.004.035.035 0 0 0-.032.019.038.038 0 0 0-.004.018v.104h-.026v-.11a.031.031 0 0 0-.004-.016.027.027 0 0 0-.012-.01.038.038 0 0 0-.017-.005.034.034 0 0 0-.02.006.04.04 0 0 0-.013.015.044.044 0 0 0-.004.02v.1h-.026Zm.334-.224-.068.277h-.025l.068-.277h.024Zm.024.224v-.16h.026v.023h.002a.045.045 0 0 1 .017-.02.055.055 0 0 1 .03-.007c.018 0 .032.006.041.016.01.01.015.025.015.044v.104h-.026v-.098c0-.014-.003-.025-.01-.032-.005-.007-.015-.01-.028-.01a.043.043 0 0 0-.022.005.038.038 0 0 0-.014.015.055.055 0 0 0-.005.025v.095h-.026Zm.243.002a.067.067 0 0 1-.065-.039.1.1 0 0 1-.008-.043c0-.017.003-.031.008-.044a.07.07 0 0 1 .026-.03.068.068 0 0 1 .037-.01c.015 0 .027.004.038.01.01.007.019.017.024.029a.098.098 0 0 1 .008.042v.01h-.128v-.02h.115l-.012.018v-.01a.074.074 0 0 0-.006-.031.04.04 0 0 0-.016-.018.043.043 0 0 0-.023-.007.043.043 0 0 0-.023.007.044.044 0 0 0-.016.018.07.07 0 0 0-.006.03v.011c0 .011.002.021.006.03.004.007.01.014.016.018a.048.048 0 0 0 .026.006.055.055 0 0 0 .019-.003.041.041 0 0 0 .013-.007.028.028 0 0 0 .007-.01h.027a.05.05 0 0 1-.008.016.06.06 0 0 1-.014.014.068.068 0 0 1-.02.01.084.084 0 0 1-.025.003Zm.174 0a.074.074 0 0 1-.04-.01.067.067 0 0 1-.025-.028.102.102 0 0 1-.008-.044c0-.017.003-.031.008-.044a.068.068 0 0 1 .063-.04c.015 0 .028.004.038.01.01.007.019.017.024.029a.097.097 0 0 1 .009.042v.01h-.129v-.02h.115l-.012.018v-.01a.074.074 0 0 0-.006-.031.04.04 0 0 0-.039-.025.043.043 0 0 0-.023.007.043.043 0 0 0-.016.018.07.07 0 0 0-.006.03v.011c0 .011.002.021.006.03.004.007.01.014.017.018a.048.048 0 0 0 .025.006.055.055 0 0 0 .019-.003.042.042 0 0 0 .013-.007.028.028 0 0 0 .007-.01h.027a.049.049 0 0 1-.008.016.059.059 0 0 1-.014.014.071.071 0 0 1-.02.01.084.084 0 0 1-.025.003Zm.166-.001c-.017 0-.029-.004-.036-.01-.007-.007-.011-.018-.011-.033V1.4h-.025v-.022h.025v-.041h.027v.041h.035v.022h-.035v.09c0 .01.001.017.005.02.004.005.01.007.018.007a.094.094 0 0 0 .012 0v.021a.193.193 0 0 1-.015.002Zm.117.001a.067.067 0 0 1-.065-.039.1.1 0 0 1-.009-.043.1.1 0 0 1 .01-.045.066.066 0 0 1 .025-.029.075.075 0 0 1 .04-.01c.015 0 .028.004.039.01.01.007.02.017.025.029a.1.1 0 0 1 .01.044.1.1 0 0 1-.01.045.066.066 0 0 1-.065.038Zm0-.022a.044.044 0 0 0 .042-.028.082.082 0 0 0 .006-.032.083.083 0 0 0-.006-.033.043.043 0 0 0-.016-.02.045.045 0 0 0-.026-.008.045.045 0 0 0-.026.007.045.045 0 0 0-.016.02.087.087 0 0 0-.005.033c0 .013.002.024.005.033a.045.045 0 0 0 .042.028Zm.14.02-.045-.16h.025l.032.127h.002l.036-.128h.025l.035.128h.003l.031-.128h.026l-.045.16h-.026l-.036-.123h-.002l-.036.124h-.026Zm.205 0v-.16h.026v.16h-.026Zm.013-.192a.018.018 0 0 1-.018-.018c0-.005.002-.009.005-.012a.018.018 0 0 1 .013-.005c.005 0 .01.001.013.005a.017.017 0 0 1 .005.012c0 .005-.002.01-.005.013a.017.017 0 0 1-.013.005Zm.062.192v-.16h.026v.023h.002a.038.038 0 0 1 .016-.02.05.05 0 0 1 .027-.007.08.08 0 0 1 .013.001v.026a.077.077 0 0 0-.016-.002.047.047 0 0 0-.022.005.038.038 0 0 0-.015.014.038.038 0 0 0-.005.02v.1h-.026Zm.177.002a.067.067 0 0 1-.065-.039.1.1 0 0 1-.009-.043c0-.017.003-.031.009-.044a.07.07 0 0 1 .025-.03.068.068 0 0 1 .038-.01c.015 0 .027.004.038.01.01.007.018.017.024.029a.098.098 0 0 1 .008.042v.01h-.128v-.02h.115l-.013.018v-.01a.075.075 0 0 0-.006-.031.04.04 0 0 0-.015-.018.043.043 0 0 0-.023-.007.043.043 0 0 0-.023.007.044.044 0 0 0-.016.018.07.07 0 0 0-.006.03v.011c0 .011.002.021.005.03.004.007.01.014.017.018a.049.049 0 0 0 .025.006.055.055 0 0 0 .02-.003.04.04 0 0 0 .012-.007.028.028 0 0 0 .008-.01h.026a.05.05 0 0 1-.008.016.06.06 0 0 1-.013.014.068.068 0 0 1-.02.01.084.084 0 0 1-.025.003Zm.119-.002V1.4h-.027v-.02h.027V1.36c0-.01.002-.02.005-.026a.034.034 0 0 1 .016-.016.057.057 0 0 1 .026-.005.083.083 0 0 1 .017.002v.02h-.012c-.01 0-.016.002-.02.006-.004.005-.006.011-.006.02v.017h.036v.022h-.036v.139h-.026Zm.1 0v-.16h.026v.023h.002a.038.038 0 0 1 .016-.02.05.05 0 0 1 .027-.007.085.085 0 0 1 .013.001v.026a.077.077 0 0 0-.016-.002.047.047 0 0 0-.022.005.038.038 0 0 0-.015.014.04.04 0 0 0-.005.02v.1h-.026Zm.16.002a.063.063 0 0 1-.028-.005.048.048 0 0 1-.019-.017.046.046 0 0 1-.007-.025c0-.01.002-.018.007-.025a.045.045 0 0 1 .02-.016.09.09 0 0 1 .032-.007l.059-.003v.02l-.056.004a.049.049 0 0 0-.027.007.022.022 0 0 0-.008.019c0 .008.003.015.009.02a.039.039 0 0 0 .023.006.05.05 0 0 0 .024-.005.041.041 0 0 0 .016-.015.036.036 0 0 0 .006-.02v-.05c0-.01-.003-.018-.01-.023-.005-.005-.014-.008-.026-.008a.048.048 0 0 0-.024.006.025.025 0 0 0-.012.014h-.026a.043.043 0 0 1 .01-.023.055.055 0 0 1 .022-.014.081.081 0 0 1 .03-.006c.014 0 .025.003.034.007.009.004.016.01.02.018a.054.054 0 0 1 .008.029v.11h-.026v-.024h-.003a.054.054 0 0 1-.028.023.063.063 0 0 1-.02.003Zm.124-.002v-.16h.026v.024h.002a.043.043 0 0 1 .043-.028.05.05 0 0 1 .02.004c.006.002.01.006.015.01a.048.048 0 0 1 .01.015h.002a.052.052 0 0 1 .029-.025.059.059 0 0 1 .02-.004c.011 0 .02.002.028.006a.04.04 0 0 1 .017.018.061.061 0 0 1 .006.029v.11h-.026v-.104a.047.047 0 0 0-.003-.02.024.024 0 0 0-.011-.012.039.039 0 0 0-.02-.004.035.035 0 0 0-.032.019.038.038 0 0 0-.004.018v.104h-.026v-.11a.031.031 0 0 0-.004-.016.027.027 0 0 0-.012-.01.038.038 0 0 0-.017-.005.034.034 0 0 0-.02.006.04.04 0 0 0-.012.015.044.044 0 0 0-.005.02v.1h-.026Zm.33.002a.074.074 0 0 1-.039-.01.067.067 0 0 1-.025-.028.102.102 0 0 1-.01-.044c0-.017.004-.031.01-.044a.068.068 0 0 1 .063-.04c.014 0 .027.004.037.01.01.007.019.017.024.029a.098.098 0 0 1 .009.042v.01h-.129v-.02h.116l-.013.018v-.01a.075.075 0 0 0-.006-.031.04.04 0 0 0-.038-.025.043.043 0 0 0-.024.007.043.043 0 0 0-.016.018.07.07 0 0 0-.006.03v.011c0 .011.002.021.006.03.004.007.01.014.017.018a.049.049 0 0 0 .025.006.054.054 0 0 0 .019-.003.042.042 0 0 0 .013-.007.029.029 0 0 0 .008-.01h.026a.049.049 0 0 1-.008.016.061.061 0 0 1-.033.024.085.085 0 0 1-.026.003Z",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#B5B5B5",
    d: "M48.18 1.681a.114.114 0 1 0 .228 0 .01.01 0 0 0-.01-.01c-.006 0-.01.004-.01.01a.094.094 0 0 1-.093.095.094.094 0 0 1-.093-.095c0-.052.041-.094.093-.094.01 0 .019 0 .027.003l-.039.038a.011.011 0 0 0-.003.008c0 .006.005.01.01.01a.01.01 0 0 0 .008-.003l.053-.054a.01.01 0 0 0 .003-.008.011.011 0 0 0-.003-.008l-.053-.054a.01.01 0 0 0-.008-.003c-.005 0-.01.004-.01.01 0 .003.001.006.003.008l.034.034a.114.114 0 0 0-.136.113ZM55.19 1.714a.013.013 0 0 0 .013-.013v-.17l-.001-.026.011.012.025.027a.012.012 0 0 0 .01.004.012.012 0 0 0 .007-.02l-.056-.055c-.003-.003-.006-.004-.01-.004-.003 0-.006 0-.01.004l-.055.054a.012.012 0 0 0-.004.009c0 .007.005.012.012.012a.012.012 0 0 0 .009-.004l.025-.027.011-.012V1.7c0 .008.005.014.013.014Zm-.096.13h.19c.036 0 .053-.018.053-.052v-.166c0-.034-.017-.051-.052-.051h-.046v.027h.045c.017 0 .026.009.026.026v.163c0 .017-.01.026-.026.026h-.19c-.016 0-.025-.009-.025-.026v-.163c0-.017.01-.026.026-.026h.046v-.027h-.047c-.034 0-.052.017-.052.051v.166c0 .034.018.052.052.052ZM56.219 1.656c0 .011.01.02.02.02h.147v.148c0 .01.01.02.02.02a.02.02 0 0 0 .02-.02v-.148h.148c.01 0 .02-.009.02-.02a.02.02 0 0 0-.02-.02h-.147v-.147a.02.02 0 0 0-.02-.02.02.02 0 0 0-.021.02v.147h-.147a.02.02 0 0 0-.02.02Z",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/React.createElement("path", {
    stroke: "#101828",
    strokeWidth: 0.3,
    d: "M23.744 2.462h33.45V24.4c0 .108 0 .18-.005.234a.246.246 0 0 1-.02.093.225.225 0 0 1-.098.099.25.25 0 0 1-.093.02 3.21 3.21 0 0 1-.234.004h-32.55c-.108 0-.18 0-.234-.005a.25.25 0 0 1-.093-.02.225.225 0 0 1-.099-.098.245.245 0 0 1-.02-.093 3.212 3.212 0 0 1-.004-.234V2.462Z",
    "data-dark-mode-color": "true"
  }));
};

export default Browser;
//# sourceMappingURL=Browser.js.map