var _excluded = ["width", "height"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var Slider = function Slider(_ref) {
  var _ref$width = _ref.width,
      width = _ref$width === void 0 ? 80 : _ref$width,
      _ref$height = _ref.height,
      height = _ref$height === void 0 ? 26 : _ref$height,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement("svg", _extends({
    width: width,
    height: height,
    fill: "none",
    viewBox: "0 0 80 26"
  }, props), /*#__PURE__*/React.createElement("rect", {
    width: 64,
    height: 4,
    x: 8,
    y: 11,
    fill: "#D8D8D8",
    rx: 2
  }), /*#__PURE__*/React.createElement("rect", {
    width: 28,
    height: 4,
    x: 8,
    y: 11,
    fill: "#101828",
    "data-theme-inverted": "true",
    rx: 2
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 35,
    cy: 13,
    r: 4.688,
    fill: "#101828",
    stroke: "#F6F7F8",
    strokeWidth: 0.625,
    "data-theme-inverted": "true"
  }));
};

export default Slider;
//# sourceMappingURL=Slider.js.map