var _excluded = ["size", "color", "strokeWidth"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var AppSwitcher = function AppSwitcher(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 20 20",
    fill: "none"
  }, props), /*#__PURE__*/React.createElement("path", {
    d: "M8 4.5C8 2.567 6.433 1 4.5 1H1V8H8V4.5Z",
    stroke: color,
    strokeWidth: strokeWidth
  }), /*#__PURE__*/React.createElement("path", {
    d: "M8 15.5C8 13.567 6.433 12 4.5 12H1V19H8V15.5Z",
    stroke: color,
    strokeWidth: strokeWidth
  }), /*#__PURE__*/React.createElement("path", {
    d: "M19 4.5C19 2.567 17.433 1 15.5 1H12V8H19V4.5Z",
    stroke: color,
    strokeWidth: strokeWidth
  }), /*#__PURE__*/React.createElement("path", {
    d: "M19 15.5C19 13.567 17.433 12 15.5 12H12V19H19V15.5Z",
    stroke: color,
    strokeWidth: strokeWidth
  }));
};

export default AppSwitcher;
//# sourceMappingURL=AppSwitcher.js.map