var _excluded = ["size", "color", "strokeWidth"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var Apple = function Apple(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 16 16",
    fill: "none"
  }, props), /*#__PURE__*/React.createElement("path", {
    d: "M7.72876 6.11211C7.29142 6.11211 6.61009 5.60277 5.90209 5.60277C4.96076 5.60277 4.09942 6.17811 3.61409 7.02211C2.63809 8.71677 3.36276 11.2208 4.31476 12.5981C4.78209 13.2688 5.33276 14.0234 6.06342 13.9994C6.76409 13.9694 7.02742 13.5441 7.87809 13.5441C8.72276 13.5441 8.96209 13.9994 9.70476 13.9814C10.4594 13.9694 10.9388 13.2988 11.3994 12.6221C11.9328 11.8434 12.1541 11.0888 12.1661 11.0468C12.1481 11.0408 10.6988 10.4841 10.6808 8.80677C10.6688 7.40544 11.8248 6.73477 11.8788 6.70477C11.2201 5.74077 10.2081 5.63277 9.85476 5.60877C8.93209 5.53677 8.16009 6.11211 7.72876 6.11211V6.11211Z",
    stroke: color,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M9.10197 1.96996C9.68128 1.75428 10.0602 2.07228 9.94838 2.68024C9.83652 3.28819 9.27622 3.95588 8.69691 4.17156C8.1176 4.38724 7.73865 4.06924 7.8505 3.46129C7.96235 2.85333 8.52266 2.18564 9.10197 1.96996",
    stroke: color,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }));
};

export default Apple;
//# sourceMappingURL=Apple.js.map