var _excluded = ["size", "color", "strokeWidth"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var Bank = function Bank(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 24 24",
    fill: "none"
  }, props), /*#__PURE__*/React.createElement("path", {
    d: "M11.8276 3.20011C11.9241 3.10813 12.0759 3.10813 12.1724 3.20011L18.3332 9.06899C18.4966 9.22464 18.3864 9.5 18.1607 9.5H5.83928C5.61361 9.5 5.50345 9.22464 5.66684 9.06899L11.8276 3.20011Z",
    fill: color,
    stroke: color,
    strokeWidth: strokeWidth
  }), /*#__PURE__*/React.createElement("line", {
    x1: 6.75,
    y1: 17.25,
    x2: 6.75,
    y2: 12.75,
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round"
  }), /*#__PURE__*/React.createElement("line", {
    x1: 10.0833,
    y1: 17.25,
    x2: 10.0833,
    y2: 12.75,
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round"
  }), /*#__PURE__*/React.createElement("line", {
    x1: 13.4167,
    y1: 17.25,
    x2: 13.4167,
    y2: 12.75,
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round"
  }), /*#__PURE__*/React.createElement("line", {
    x1: 16.75,
    y1: 17.25,
    x2: 16.75,
    y2: 12.75,
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round"
  }), /*#__PURE__*/React.createElement("line", {
    x1: 5.54999,
    y1: 20.25,
    x2: 18.05,
    y2: 20.25,
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round"
  }));
};

export default Bank;
//# sourceMappingURL=Bank.js.map