var _excluded = ["size", "color", "strokeWidth"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var Blockquote = function Blockquote(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 24 24",
    fill: "none"
  }, props), /*#__PURE__*/React.createElement("path", {
    d: "M20.667 20.125H3.33301M20.667 14.708H3.33301M20.667 9.292H16.334M20.667 3.875H16.334M9.29201 6.042H12C12.299 6.042 12.542 6.285 12.542 6.584V8.75C12.542 9.049 12.299 9.292 12 9.292H9.83301C9.53401 9.292 9.29101 9.049 9.29101 8.75L9.29201 6.042ZM9.29201 6.042C9.29201 3.875 9.69801 3.515 10.917 2.792M3.33301 6.042H6.04101C6.34001 6.042 6.58301 6.285 6.58301 6.584V8.75C6.58301 9.049 6.34001 9.292 6.04101 9.292H3.87501C3.57601 9.292 3.33301 9.049 3.33301 8.75V6.042ZM3.33301 6.042C3.33301 3.875 3.73901 3.515 4.95801 2.792",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }));
};

export default Blockquote;
//# sourceMappingURL=Blockquote.js.map