var _excluded = ["size", "color", "strokeWidth"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var BusinessHour = function BusinessHour(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 24 24",
    fill: "none"
  }, props), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#BusinessHour_js__clip0_7295_594)"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M17.6304 5.87338C16.7367 4.49592 15.4631 3.40683 13.9636 2.73773C12.4642 2.06863 10.803 1.84816 9.18093 2.10298C7.55885 2.3578 6.0453 3.07699 4.8232 4.17363C3.6011 5.27028 2.72278 6.69742 2.29439 8.28257C1.866 9.86773 1.90588 11.543 2.40922 13.106C2.91255 14.669 3.85779 16.0527 5.13068 17.09C6.40358 18.1272 7.94964 18.7735 9.582 18.9509C9.88422 18.983 10.1902 19 10.5 19",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M10 6V10.2857L12 12",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M14 22V20.6667C14 19.9594 14.281 19.2811 14.781 18.781C15.2811 18.281 15.9594 18 16.6667 18H19.3333C20.0406 18 20.7189 18.281 21.219 18.781C21.719 19.2811 22 19.9594 22 20.6667V22",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M15.3334 12.6667C15.3334 13.3739 15.6143 14.0522 16.1144 14.5523C16.6145 15.0524 17.2928 15.3333 18 15.3333C18.7073 15.3333 19.3856 15.0524 19.8857 14.5523C20.3858 14.0522 20.6667 13.3739 20.6667 12.6667C20.6667 11.9594 20.3858 11.2811 19.8857 10.781C19.3856 10.281 18.7073 10 18 10C17.2928 10 16.6145 10.281 16.1144 10.781C15.6143 11.2811 15.3334 11.9594 15.3334 12.6667Z",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  })), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("clipPath", {
    id: "BusinessHour_js__clip0_7295_594"
  }, /*#__PURE__*/React.createElement("rect", {
    width: 24,
    height: 24,
    fill: color
  }))));
};

export default BusinessHour;
//# sourceMappingURL=BusinessHour.js.map