var _excluded = ["size", "color", "strokeWidth"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var CenterAlign = function CenterAlign(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 18 19",
    fill: "none"
  }, props), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#CenterAlign_js__clip0_1047_4338)"
  }, /*#__PURE__*/React.createElement("rect", {
    x: 3,
    y: 11.3335,
    width: 11.5714,
    height: 3.85714,
    rx: 1,
    fill: color
  }), /*#__PURE__*/React.createElement("mask", {
    id: "CenterAlign_js__path-2-inside-1_1047_4338",
    fill: color
  }, /*#__PURE__*/React.createElement("rect", {
    x: 4.5,
    y: 6.19043,
    width: 9,
    height: 3.85714,
    rx: 1
  })), /*#__PURE__*/React.createElement("rect", {
    x: 4.5,
    y: 6.19043,
    width: 9,
    height: 3.85714,
    rx: 1,
    stroke: color,
    strokeWidth: strokeWidth,
    mask: "url(#CenterAlign_js__path-2-inside-1_1047_4338)"
  }), /*#__PURE__*/React.createElement("line", {
    x1: 9,
    y1: 9.61914,
    x2: 9,
    y2: 17.1191,
    stroke: color,
    strokeWidth: strokeWidth
  }), /*#__PURE__*/React.createElement("line", {
    x1: 9,
    y1: 2.86914,
    x2: 9,
    y2: 6.61914,
    stroke: color,
    strokeWidth: strokeWidth
  })), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("clipPath", {
    id: "CenterAlign_js__clip0_1047_4338"
  }, /*#__PURE__*/React.createElement("rect", {
    width: 18,
    height: 18,
    fill: color,
    transform: "translate(0 0.619141)"
  }))));
};

export default CenterAlign;
//# sourceMappingURL=CenterAlign.js.map