var _excluded = ["size", "color", "strokeWidth"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var FlowChart = function FlowChart(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 24 24",
    fill: "none"
  }, props), /*#__PURE__*/React.createElement("rect", {
    x: 8,
    y: 2,
    width: 8,
    height: 5,
    rx: 0.5,
    stroke: color,
    strokeWidth: strokeWidth
  }), /*#__PURE__*/React.createElement("rect", {
    x: 2,
    y: 17,
    width: 8,
    height: 5,
    rx: 0.5,
    stroke: color,
    strokeWidth: strokeWidth
  }), /*#__PURE__*/React.createElement("rect", {
    x: 14,
    y: 17,
    width: 8,
    height: 5,
    rx: 0.5,
    stroke: color,
    strokeWidth: strokeWidth
  }), /*#__PURE__*/React.createElement("rect", {
    x: 9.14999,
    y: 12.5355,
    width: 4,
    height: 4,
    rx: 0.5,
    transform: "rotate(-45 9.14999 12.5355)",
    stroke: color,
    strokeWidth: strokeWidth
  }), /*#__PURE__*/React.createElement("path", {
    d: "M15 12.5H17.5C17.7761 12.5 18 12.7239 18 13V17",
    stroke: color,
    strokeWidth: strokeWidth
  }), /*#__PURE__*/React.createElement("path", {
    d: "M9 12.5H6.5C6.22386 12.5 6 12.7239 6 13V17",
    stroke: color,
    strokeWidth: strokeWidth
  }), /*#__PURE__*/React.createElement("path", {
    d: "M12 7V10",
    stroke: color,
    strokeWidth: strokeWidth
  }));
};

export default FlowChart;
//# sourceMappingURL=FlowChart.js.map