var _excluded = ["size", "color", "strokeWidth"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var HourGlass = function HourGlass(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement("svg", _extends({
    width: size,
    height: size,
    fill: "none",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/React.createElement("path", {
    stroke: color,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: strokeWidth,
    d: "M7.41667 7.55556H16.5833M12 12C10.6739 12 9.40215 12.5619 8.46447 13.5621C7.52678 14.5623 7 15.9188 7 17.3333V19.1111C7 19.3469 7.0878 19.573 7.24408 19.7397C7.40036 19.9064 7.61232 20 7.83333 20H16.1667C16.3877 20 16.5996 19.9064 16.7559 19.7397C16.9122 19.573 17 19.3469 17 19.1111V17.3333C17 15.9188 16.4732 14.5623 15.5355 13.5621C14.5979 12.5619 13.3261 12 12 12ZM12 12C10.6739 12 9.40215 11.4381 8.46447 10.4379C7.52678 9.43771 7 8.08115 7 6.66667V4.88889C7 4.65314 7.0878 4.42705 7.24408 4.26035C7.40036 4.09365 7.61232 4 7.83333 4H16.1667C16.3877 4 16.5996 4.09365 16.7559 4.26035C16.9122 4.42705 17 4.65314 17 4.88889V6.66667C17 8.08115 16.4732 9.43771 15.5355 10.4379C14.5979 11.4381 13.3261 12 12 12Z"
  }));
};

export default HourGlass;
//# sourceMappingURL=HourGlass.js.map