var _excluded = ["size", "color", "strokeWidth"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var InvalidUrl = function InvalidUrl(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 24 24",
    fill: "none"
  }, props), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#InvalidUrl_js__clip0_7495_408)"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M10.8856 7.62653V11.1807",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M11.5 17.3971H3.68209C3.38518 17.3937 3.09432 17.3127 2.83844 17.1621C2.58256 17.0115 2.37058 16.7965 2.22357 16.5385C2.07656 16.2805 1.99966 15.9885 2.00051 15.6916C2.00136 15.3947 2.07993 15.1032 2.22842 14.846L9.43103 2.82033C9.58257 2.57021 9.79605 2.3625 10.0508 2.21896C10.3056 2.07541 10.5932 2 10.8856 2C11.178 2 11.4656 2.07541 11.7203 2.21896C11.9751 2.3625 12.1886 2.56932 12.3402 2.81944L17.2391 11",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M10.8856 13.8464H10.8945",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M16.1311 18.8689C16.3541 19.0966 16.6204 19.2774 16.9142 19.4009C17.208 19.5244 17.5235 19.588 17.8422 19.588C18.1609 19.588 18.4764 19.5244 18.7703 19.4009C19.0641 19.2774 19.3303 19.0966 19.5534 18.8689L22.2912 16.1311C22.745 15.6773 23 15.0617 23 14.4199C23 13.7781 22.745 13.1626 22.2912 12.7088C21.8374 12.255 21.2219 12 20.5801 12C19.9383 12 19.3227 12.255 18.8689 12.7088L18.5267 13.051M18.8689 16.1311C18.6459 15.9034 18.3796 15.7226 18.0858 15.5991C17.792 15.4756 17.4765 15.412 17.1578 15.412C16.8391 15.412 16.5236 15.4756 16.2297 15.5991C15.9359 15.7226 15.6697 15.9034 15.4466 16.1311L12.7088 18.8689C12.255 19.3227 12 19.9383 12 20.5801C12 21.2219 12.255 21.8374 12.7088 22.2912C13.1626 22.745 13.7781 23 14.4199 23C15.0617 23 15.6773 22.745 16.1311 22.2912L16.4733 21.949",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  })), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("clipPath", {
    id: "InvalidUrl_js__clip0_7495_408"
  }, /*#__PURE__*/React.createElement("rect", {
    width: 24,
    height: 24,
    fill: color
  }))));
};

export default InvalidUrl;
//# sourceMappingURL=InvalidUrl.js.map