var _excluded = ["size", "color", "strokeWidth"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var MappedField = function MappedField(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 24 24",
    fill: "none"
  }, props), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#MappedField_js__clip0_7295_379)"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M13.5 18.75C13.0359 18.75 12.5908 18.9344 12.2626 19.2626C11.9344 19.5908 11.75 20.0359 11.75 20.5C11.75 20.9641 11.9344 21.4092 12.2626 21.7374C12.5908 22.0656 13.0359 22.25 13.5 22.25C13.9641 22.25 14.4092 22.0656 14.7374 21.7374C15.0656 21.4092 15.25 20.9641 15.25 20.5C15.25 20.0359 15.0656 19.5908 14.7374 19.2626C14.4092 18.9344 13.9641 18.75 13.5 18.75Z",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M20.5 17L20.5 19.5C20.5 19.7652 20.3946 20.0196 20.2071 20.2071C20.0196 20.3946 19.7652 20.5 19.5 20.5L15.5 20.5",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M19 17.5L20.5 16L22 17.5",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M20 13.75C20.4641 13.75 20.9092 13.5656 21.2374 13.2374C21.5656 12.9092 21.75 12.4641 21.75 12C21.75 11.5359 21.5656 11.0908 21.2374 10.7626C20.9092 10.4344 20.4641 10.25 20 10.25C19.5359 10.25 19.0908 10.4344 18.7626 10.7626C18.4344 11.0908 18.25 11.5359 18.25 12C18.25 12.4641 18.4344 12.9092 18.7626 13.2374C19.0908 13.5656 19.5359 13.75 20 13.75Z",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M13 15.5L13 13C13 12.7348 13.1054 12.4804 13.2929 12.2929C13.4804 12.1054 13.7348 12 14 12L18 12",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M14.5 15L13 16.5L11.5 15",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M20 8V7C20 5.89543 19.1046 5 18 5H6C4.89543 5 4 5.89543 4 7V11C4 12.1046 4.89543 13 6 13H10",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M7 7V11",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round"
  })), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("clipPath", {
    id: "MappedField_js__clip0_7295_379"
  }, /*#__PURE__*/React.createElement("rect", {
    width: 24,
    height: 24,
    fill: color
  }))));
};

export default MappedField;
//# sourceMappingURL=MappedField.js.map