var _excluded = ["size", "color", "strokeWidth"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var Notes = function Notes(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 24 24",
    fill: "none"
  }, props), /*#__PURE__*/React.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M10 2.25C8.48079 2.25 7.25 3.48079 7.25 5V6.25H6C4.48079 6.25 3.25 7.48079 3.25 9V19C3.25 20.5192 4.48079 21.75 6 21.75H14C15.5192 21.75 16.75 20.5192 16.75 19V17.75H18C19.5192 17.75 20.75 16.5192 20.75 15V5C20.75 3.48079 19.5192 2.25 18 2.25H10ZM16.75 16.25H18C18.6908 16.25 19.25 15.6908 19.25 15V5C19.25 4.30921 18.6908 3.75 18 3.75H10C9.30921 3.75 8.75 4.30921 8.75 5V6.25H14C15.5192 6.25 16.75 7.48079 16.75 9V16.25ZM8 7.75H6C5.30921 7.75 4.75 8.30921 4.75 9V19C4.75 19.6908 5.30921 20.25 6 20.25H14C14.6908 20.25 15.25 19.6908 15.25 19V17V9C15.25 8.30921 14.6908 7.75 14 7.75H8ZM8 12.25C7.58579 12.25 7.25 12.5858 7.25 13C7.25 13.4142 7.58579 13.75 8 13.75H12C12.4142 13.75 12.75 13.4142 12.75 13C12.75 12.5858 12.4142 12.25 12 12.25H8ZM8 15.25C7.58579 15.25 7.25 15.5858 7.25 16C7.25 16.4142 7.58579 16.75 8 16.75H12C12.4142 16.75 12.75 16.4142 12.75 16C12.75 15.5858 12.4142 15.25 12 15.25H8Z",
    fill: color
  }));
};

export default Notes;
//# sourceMappingURL=Notes.js.map