var _excluded = ["size", "color", "strokeWidth"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var ThankYouPage = function ThankYouPage(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 24 24",
    fill: "none"
  }, props), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#ThankYouPage_js__clip0_7487_150)"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M9.75 17H4.25C3.65326 17 3.08097 16.8156 2.65901 16.4874C2.23705 16.1592 2 15.7141 2 15.25V4.75C2 4.28587 2.23705 3.84075 2.65901 3.51256C3.08097 3.18437 3.65326 3 4.25 3H17.75C18.3467 3 18.919 3.18437 19.341 3.51256C19.7629 3.84075 20 4.28587 20 4.75V10",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M5 6H5.01",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M7.00999 6H7.01999",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M9.01999 6H9.02999",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M14.3822 15.1689V19.9333C14.3822 20.0912 14.3195 20.2427 14.2078 20.3544C14.0961 20.4661 13.9446 20.5288 13.7867 20.5288H12.5956C12.4376 20.5288 12.2861 20.4661 12.1744 20.3544C12.0627 20.2427 12 20.0912 12 19.9333V15.7644C12 15.6065 12.0627 15.455 12.1744 15.3433C12.2861 15.2316 12.4376 15.1689 12.5956 15.1689H14.3822ZM14.3822 15.1689C15.014 15.1689 15.6199 14.9179 16.0667 14.4711C16.5134 14.0244 16.7644 13.4185 16.7644 12.7867V12.1911C16.7644 11.8752 16.8899 11.5722 17.1133 11.3489C17.3366 11.1255 17.6396 11 17.9555 11C18.2714 11 18.5744 11.1255 18.7977 11.3489C19.0211 11.5722 19.1466 11.8752 19.1466 12.1911V15.1689H20.9333C21.2492 15.1689 21.5521 15.2943 21.7755 15.5177C21.9989 15.7411 22.1244 16.0441 22.1244 16.36L21.5288 19.3377C21.4432 19.7031 21.2807 20.0168 21.0659 20.2316C20.851 20.4464 20.5955 20.5507 20.3377 20.5288H16.1689C15.695 20.5288 15.2406 20.3406 14.9055 20.0055C14.5704 19.6704 14.3822 19.216 14.3822 18.7422",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M2 8H20",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round"
  })), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("clipPath", {
    id: "ThankYouPage_js__clip0_7487_150"
  }, /*#__PURE__*/React.createElement("rect", {
    width: 24,
    height: 24,
    fill: color
  }))));
};

export default ThankYouPage;
//# sourceMappingURL=ThankYouPage.js.map