var _excluded = ["size", "color", "strokeWidth"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var TicketField = function TicketField(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 24 24",
    fill: "none"
  }, props), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#TicketField_js__clip0_7295_361)"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M16.8571 14.6667H19.75M16.8571 17.3333H19.75M15.25 14.6667V14.6736M15.25 17.3267V17.3336M13 20.6667L13 11.3333C13 10.9797 13.1355 10.6406 13.3766 10.3905C13.6177 10.1405 13.9447 10 14.2857 10L16.2143 10C16.2143 10.3536 16.3497 10.6928 16.5909 10.9428C16.832 11.1929 17.159 11.3333 17.5 11.3333C17.841 11.3333 18.168 11.1929 18.4091 10.9428C18.6503 10.6928 18.7857 10.3536 18.7857 10L20.7143 10C21.0553 10 21.3823 10.1405 21.6234 10.3905C21.8645 10.6406 22 10.9797 22 11.3333L22 20.6667C22 21.0203 21.8645 21.3594 21.6234 21.6095C21.3823 21.8595 21.0553 22 20.7143 22H18.7857C18.7857 21.6464 18.6503 21.3072 18.4091 21.0572C18.168 20.8071 17.841 20.6667 17.5 20.6667C17.159 20.6667 16.832 20.8071 16.5909 21.0572C16.3497 21.3072 16.2143 21.6464 16.2143 22H14.2857C13.9447 22 13.6177 21.8595 13.3766 21.6095C13.1355 21.3594 13 21.0203 13 20.6667Z",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M20 8V7C20 5.89543 19.1046 5 18 5H6C4.89543 5 4 5.89543 4 7V11C4 12.1046 4.89543 13 6 13H10",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M7 7V11",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round"
  })), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("clipPath", {
    id: "TicketField_js__clip0_7295_361"
  }, /*#__PURE__*/React.createElement("rect", {
    width: 24,
    height: 24,
    fill: color
  }))));
};

export default TicketField;
//# sourceMappingURL=TicketField.js.map