var _excluded = ["size", "color", "strokeWidth"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var UserInfo = function UserInfo(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 24 24",
    fill: "none"
  }, props), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#UserInfo_js__clip0_7363_1223)"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M10.5 19C9.38376 19 8.27846 18.7801 7.24719 18.353C6.21592 17.9258 5.27889 17.2997 4.48959 16.5104C3.70029 15.7211 3.07419 14.7841 2.64702 13.7528C2.21986 12.7215 2 11.6162 2 10.5C2 8.24566 2.89553 6.08365 4.48959 4.48959C6.08365 2.89553 8.24566 2 10.5 2C12.7543 2 14.9163 2.89553 16.5104 4.48959C17.3074 5.28662 17.9298 6.22564 18.353 7.24719",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M10.5 7.66669H10.5094",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M9.55556 10.5H10.5V14.2778H11.4444",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M14 22V20.6667C14 19.9594 14.281 19.2811 14.781 18.781C15.2811 18.281 15.9594 18 16.6667 18H19.3333C20.0406 18 20.7189 18.281 21.219 18.781C21.719 19.2811 22 19.9594 22 20.6667V22",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M15.3334 12.6667C15.3334 13.3739 15.6143 14.0522 16.1144 14.5523C16.6145 15.0524 17.2928 15.3333 18 15.3333C18.7073 15.3333 19.3856 15.0524 19.8857 14.5523C20.3858 14.0522 20.6667 13.3739 20.6667 12.6667C20.6667 11.9594 20.3858 11.2811 19.8857 10.781C19.3856 10.281 18.7073 10 18 10C17.2928 10 16.6145 10.281 16.1144 10.781C15.6143 11.2811 15.3334 11.9594 15.3334 12.6667Z",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  })), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("clipPath", {
    id: "UserInfo_js__clip0_7363_1223"
  }, /*#__PURE__*/React.createElement("rect", {
    width: 24,
    height: 24,
    fill: color
  }))));
};

export default UserInfo;
//# sourceMappingURL=UserInfo.js.map