var _excluded = ["size", "color", "strokeWidth"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var VideoAccessControl = function VideoAccessControl(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 24 24",
    fill: "none"
  }, props), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#VideoAccessControl_js__clip0_7295_323)"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M11.5 21H7C6.46957 21 5.96086 20.7893 5.58579 20.4142C5.21071 20.0391 5 19.5304 5 19V13C5 12.4696 5.21071 11.9609 5.58579 11.5858C5.96086 11.2107 6.46957 11 7 11H17",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M8 11V7C8 5.93913 8.42143 4.92172 9.17157 4.17157C9.92172 3.42143 10.9391 3 12 3C13.0609 3 14.0783 3.42143 14.8284 4.17157C15.5786 4.92172 16 5.93913 16 7V11",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M19 15.6667L21.2765 14.5287C21.3527 14.4906 21.4374 14.4726 21.5225 14.4764C21.6076 14.4803 21.6903 14.5058 21.7628 14.5506C21.8353 14.5953 21.8951 14.6579 21.9366 14.7323C21.9781 14.8067 22 14.8905 22 14.9757V18.3577C22 18.4429 21.9781 18.5266 21.9366 18.601C21.8951 18.6754 21.8353 18.738 21.7628 18.7828C21.6903 18.8275 21.6076 18.8531 21.5225 18.8569C21.4374 18.8607 21.3527 18.8427 21.2765 18.8047L19 17.6667V15.6667Z",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M13 14.6667C13 14.4014 13.1054 14.1471 13.2929 13.9596C13.4804 13.772 13.7348 13.6667 14 13.6667H18C18.2652 13.6667 18.5196 13.772 18.7071 13.9596C18.8947 14.1471 19 14.4014 19 14.6667V18.6667C19 18.9319 18.8947 19.1862 18.7071 19.3738C18.5196 19.5613 18.2652 19.6667 18 19.6667H14C13.7348 19.6667 13.4804 19.5613 13.2929 19.3738C13.1054 19.1862 13 18.9319 13 18.6667V14.6667Z",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  })), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("clipPath", {
    id: "VideoAccessControl_js__clip0_7295_323"
  }, /*#__PURE__*/React.createElement("rect", {
    width: 24,
    height: 24,
    fill: color
  }))));
};

export default VideoAccessControl;
//# sourceMappingURL=VideoAccessControl.js.map