var _excluded = ["size", "color", "strokeWidth"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var Volume50 = function Volume50(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 24 24",
    fill: "none"
  }, props), /*#__PURE__*/React.createElement("path", {
    d: "M12 6.38467C12 5.49798 10.9315 5.04993 10.2991 5.67141L7.66794 8.25696C7.48093 8.44073 7.22923 8.5437 6.96704 8.5437H4C3.44771 8.5437 3 8.99142 3 9.5437V13.3908C3 13.943 3.44772 14.3908 4 14.3908H6.90071C7.16291 14.3908 7.41462 14.4937 7.60163 14.6775L10.2991 17.3284C10.9315 17.9499 12 17.5019 12 16.6152V6.38467Z",
    fill: color
  }), /*#__PURE__*/React.createElement("path", {
    d: "M14 9.35803C14.5651 10.1429 14.8662 11.0612 14.8662 12C14.8662 12.9388 14.5651 13.8571 14 14.642",
    stroke: color,
    strokeLinecap: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M12 10.5C12.3208 10.9456 12.4918 11.467 12.4918 12C12.4918 12.533 12.3208 13.0544 12 13.5",
    stroke: color,
    strokeLinecap: "round"
  }));
};

export default Volume50;
//# sourceMappingURL=Volume50.js.map