var _excluded = ["size"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var NeetoChat = function NeetoChat(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 36 : _ref$size,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 349 349",
    fill: "none"
  }, props), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#NeetoChat_js__clip0_511_16525)"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M311.313 268.247C311.313 312.46 278.71 348.301 238.492 348.301H72.8226C32.6043 348.301 0.000976562 312.46 0.000976562 268.247V212.21C0.000976562 167.997 32.6043 132.156 72.8226 132.156H238.492C278.71 132.156 311.313 167.997 311.313 212.21V268.247Z",
    fill: "#75DC66"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M131.08 72.1159L37.3221 142.163L131.08 134.158V72.1159Z",
    fill: "#75DC66"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M35.4481 79.1651C35.4481 35.444 68.2129 0.000976562 108.63 0.000976562H275.12C315.537 0.000976562 348.302 35.444 348.302 79.1651V134.58C348.302 178.301 315.537 213.744 275.12 213.744H108.63C68.2129 213.744 35.4481 178.301 35.4481 134.58V79.1651Z",
    fill: "#5BCC5A"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M216.574 273.117L310.796 203.849L216.574 211.765V273.117Z",
    fill: "#5BCC5A"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M310.902 203.652C310.781 203.725 310.661 203.798 310.54 203.87L310.796 203.849L216.574 273.117L216.573 213.744L108.63 213.744C70.9083 213.744 39.8519 182.871 35.8774 143.209C36.4387 142.845 37.0048 142.489 37.5756 142.141L37.3221 142.163L131.08 72.1159L131.079 132.156L238.492 132.156C276.08 132.156 307.017 163.463 310.902 203.652Z",
    fill: "#0DA84C"
  })), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("clipPath", {
    id: "NeetoChat_js__clip0_511_16525"
  }, /*#__PURE__*/React.createElement("rect", {
    width: 348.3,
    height: 348.3,
    fill: "white"
  }))));
};

export default NeetoChat;
//# sourceMappingURL=NeetoChat.js.map