var _excluded = ["size", "height", "width"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var Daily = function Daily(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      height = _ref.height,
      width = _ref.width,
      props = _objectWithoutProperties(_ref, _excluded);

  height = height || size;
  width = width || size;
  return /*#__PURE__*/React.createElement("svg", _extends({
    width: width,
    height: height,
    fill: "none",
    viewBox: "0 0 80 32"
  }, props), /*#__PURE__*/React.createElement("linearGradient", {
    id: "Daily_js__a",
    x1: 8.887,
    x2: 8.887,
    y1: -0.223,
    y2: 30,
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0,
    stopColor: "#1bebb9"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 1,
    stopColor: "#ff9254"
  })), /*#__PURE__*/React.createElement("g", {
    fill: "#121a24"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M21.589 27.015c2.298 0 4.209-1.343 5.015-2.925v2.597h4.298V4h-4.299v9.403c-.865-1.582-2.417-2.687-4.925-2.687-3.91 0-6.866 3.015-6.866 8.15v.239c0 5.194 2.986 7.91 6.777 7.91zm1.283-3.373c-2.15 0-3.642-1.523-3.642-4.627v-.239c0-3.104 1.344-4.746 3.762-4.746 2.358 0 3.73 1.582 3.73 4.686v.24c0 3.163-1.581 4.686-3.85 4.686zM37.953 27.015c2.448 0 3.821-.955 4.717-2.209v1.88h4.209V16.509c0-4.24-2.717-5.792-6.538-5.792s-6.746 1.642-7.015 5.344h4.09c.18-1.344.955-2.21 2.657-2.21 1.97 0 2.537 1.016 2.537 2.866v.627H40.85c-4.776 0-8.12 1.373-8.12 5.015 0 3.284 2.389 4.657 5.224 4.657zM39.237 24c-1.582 0-2.269-.746-2.269-1.88 0-1.672 1.463-2.21 3.97-2.21h1.672v1.314c0 1.731-1.463 2.776-3.373 2.776zM49.647 26.687h4.299V11.075h-4.299zm2.12-17.732c1.402 0 2.477-1.015 2.477-2.358 0-1.343-1.075-2.358-2.477-2.358-1.374 0-2.448 1.015-2.448 2.358 0 1.343 1.074 2.358 2.447 2.358zM56.977 26.687h4.298V4h-4.298zM70.563 32l8.429-20.925h-4.12l-3.522 9.373-3.791-9.373h-4.657l6.25 14.12L66.378 32z",
    "data-dark-mode-color": "true"
  })), /*#__PURE__*/React.createElement("path", {
    fill: "url(#Daily_js__a)",
    d: "M0 32h4.188L17.076 0h-4.085z"
  }));
};

export default Daily;
//# sourceMappingURL=Daily.js.map