var _excluded = ["size", "height", "width"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var Github = function Github(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      height = _ref.height,
      width = _ref.width,
      props = _objectWithoutProperties(_ref, _excluded);

  height = height || size;
  width = width || size;
  return /*#__PURE__*/React.createElement("svg", _extends({
    width: width,
    height: height,
    viewBox: "0 0 32 32"
  }, props), /*#__PURE__*/React.createElement("path", {
    d: "M15.953 0C7.133 0 0 7.332 0 16.406c0 7.25 4.57 13.39 10.906 15.563.793.164 1.086-.352 1.086-.785 0-.383-.027-1.688-.027-3.043-4.438.976-5.363-1.957-5.363-1.957-.711-1.903-1.77-2.391-1.77-2.391-1.453-1.004.106-1.004.106-1.004 1.613.11 2.457 1.684 2.457 1.684 1.425 2.5 3.722 1.793 4.648 1.359.133-1.062.555-1.793 1.004-2.203-3.54-.379-7.262-1.79-7.262-8.094 0-1.793.633-3.258 1.637-4.398-.16-.407-.715-2.094.16-4.348 0 0 1.344-.434 4.383 1.684 1.3-.36 2.64-.54 3.988-.543 1.348 0 2.719.191 3.988.543 3.036-2.118 4.383-1.684 4.383-1.684.871 2.254.317 3.941.16 4.348 1.028 1.14 1.637 2.605 1.637 4.398 0 6.305-3.723 7.688-7.289 8.094.582.52 1.082 1.496 1.082 3.043 0 2.2-.027 3.965-.027 4.508 0 .437.293.953 1.082.789 6.34-2.172 10.91-8.313 10.91-15.563C31.906 7.332 24.746 0 15.953 0Zm0 0",
    "data-dark-mode-color": "true",
    style: {
      stroke: "none",
      fillRule: "evenodd",
      fill: "#24292f",
      fillOpacity: 1
    }
  }));
};

export default Github;
//# sourceMappingURL=Github.js.map