var _excluded = ["size", "height", "width"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var Instagram = function Instagram(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      height = _ref.height,
      width = _ref.width,
      props = _objectWithoutProperties(_ref, _excluded);

  height = height || size;
  width = width || size;
  return /*#__PURE__*/React.createElement("svg", _extends({
    width: width,
    height: height,
    viewBox: "0 0 32 32"
  }, props), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("radialGradient", {
    id: "Instagram_js__a",
    cx: 158.429,
    cy: 578.088,
    r: 65,
    fx: 158.429,
    fy: 578.088,
    gradientTransform: "matrix(0 -.48048 .447 0 -249.793 110.304)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0,
    style: {
      stopColor: "#fd5",
      stopOpacity: 1
    }
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.1,
    style: {
      stopColor: "#fd5",
      stopOpacity: 1
    }
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.5,
    style: {
      stopColor: "#ff543e",
      stopOpacity: 1
    }
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 1,
    style: {
      stopColor: "#c837ab",
      stopOpacity: 1
    }
  })), /*#__PURE__*/React.createElement("radialGradient", {
    id: "Instagram_js__b",
    cx: 147.694,
    cy: 473.455,
    r: 65,
    fx: 147.694,
    fy: 473.455,
    gradientTransform: "matrix(.04217 .2106 -.86831 .17386 399.843 -110.907)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0,
    style: {
      stopColor: "#3771c8",
      stopOpacity: 1
    }
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.128,
    style: {
      stopColor: "#3771c8",
      stopOpacity: 1
    }
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 1,
    style: {
      stopColor: "#60f",
      stopOpacity: 0
    }
  }))), /*#__PURE__*/React.createElement("path", {
    d: "M16.008.242c-6.578 0-8.504.008-8.88.04-1.347.109-2.19.323-3.105.78a6.21 6.21 0 0 0-1.808 1.325c-1 1.039-1.61 2.316-1.828 3.832-.106.738-.137.886-.145 4.652v5.121c0 6.574.008 8.496.04 8.871.109 1.313.316 2.14.753 3.043a6.635 6.635 0 0 0 4.3 3.516c.653.168 1.368.262 2.29.305.39.015 4.367.027 8.348.027 3.984 0 7.964-.004 8.343-.024 1.067-.05 1.688-.132 2.372-.308a6.615 6.615 0 0 0 4.304-3.524c.426-.882.645-1.742.742-2.988.02-.27.028-4.598.028-8.922 0-4.324-.008-8.644-.028-8.918-.101-1.265-.316-2.113-.761-3.015a6.185 6.185 0 0 0-1.348-1.848c-1.043-.996-2.316-1.602-3.836-1.82-.738-.106-.883-.137-4.652-.145Zm0 0",
    style: {
      stroke: "none",
      fillRule: "nonzero",
      fill: "url(#Instagram_js__a)"
    }
  }), /*#__PURE__*/React.createElement("path", {
    d: "M16.008.242c-6.578 0-8.504.008-8.88.04-1.347.109-2.19.323-3.105.78a6.21 6.21 0 0 0-1.808 1.325c-1 1.039-1.61 2.316-1.828 3.832-.106.738-.137.886-.145 4.652v5.121c0 6.574.008 8.496.04 8.871.109 1.313.316 2.14.753 3.043a6.635 6.635 0 0 0 4.3 3.516c.653.168 1.368.262 2.29.305.39.015 4.367.027 8.348.027 3.984 0 7.964-.004 8.343-.024 1.067-.05 1.688-.132 2.372-.308a6.615 6.615 0 0 0 4.304-3.524c.426-.882.645-1.742.742-2.988.02-.27.028-4.598.028-8.922 0-4.324-.008-8.644-.028-8.918-.101-1.265-.316-2.113-.761-3.015a6.185 6.185 0 0 0-1.348-1.848c-1.043-.996-2.316-1.602-3.836-1.82-.738-.106-.883-.137-4.652-.145Zm0 0",
    style: {
      stroke: "none",
      fillRule: "nonzero",
      fill: "url(#Instagram_js__b)"
    }
  }), /*#__PURE__*/React.createElement("path", {
    d: "M16 4.363c-3.16 0-3.555.016-4.797.07-1.238.06-2.086.255-2.824.54-.766.3-1.414.695-2.063 1.343A5.8 5.8 0 0 0 4.973 8.38c-.285.738-.485 1.586-.54 2.824-.054 1.238-.07 1.637-.07 4.797 0 3.16.016 3.555.07 4.797.06 1.238.255 2.086.54 2.824.3.766.695 1.414 1.343 2.063a5.8 5.8 0 0 0 2.063 1.343c.738.285 1.586.48 2.824.54 1.238.054 1.637.07 4.797.07 3.16 0 3.555-.016 4.797-.07 1.238-.06 2.086-.255 2.824-.54a5.8 5.8 0 0 0 2.063-1.343 5.736 5.736 0 0 0 1.34-2.063c.288-.738.484-1.586.542-2.824.055-1.242.07-1.637.07-4.797 0-3.16-.015-3.559-.07-4.797-.058-1.238-.253-2.086-.543-2.824a5.736 5.736 0 0 0-1.34-2.063 5.748 5.748 0 0 0-2.062-1.343c-.742-.285-1.586-.48-2.828-.54-1.238-.054-1.633-.07-4.797-.07Zm-1.043 2.098H16c3.11 0 3.477.012 4.703.066 1.133.051 1.75.243 2.16.403.543.21.93.46 1.336.867.41.41.66.797.871 1.34.16.41.352 1.027.403 2.16.054 1.226.066 1.594.066 4.7 0 3.105-.012 3.476-.066 4.702-.051 1.133-.243 1.75-.403 2.16-.21.543-.46.93-.87 1.336-.407.407-.794.66-1.337.871-.41.16-1.027.348-2.16.399-1.226.058-1.594.07-4.703.07-3.105 0-3.473-.012-4.7-.07-1.136-.05-1.753-.242-2.163-.399a3.603 3.603 0 0 1-1.336-.87 3.618 3.618 0 0 1-.871-1.34c-.16-.407-.348-1.024-.403-2.16-.054-1.227-.066-1.594-.066-4.7 0-3.11.012-3.476.066-4.703.055-1.133.243-1.75.403-2.16.21-.543.465-.93.87-1.336.407-.41.794-.66 1.337-.871.41-.16 1.027-.352 2.164-.403 1.07-.046 1.488-.062 3.656-.066Zm7.254 1.934a1.395 1.395 0 1 0 .002 2.795 1.395 1.395 0 0 0-.002-2.8ZM16 10.023A5.977 5.977 0 0 0 10.023 16c0 3.3 2.676 5.973 5.977 5.973 3.3 0 5.977-2.672 5.977-5.973 0-3.3-2.676-5.977-5.977-5.977Zm0 2.098a3.878 3.878 0 1 1 0 7.757 3.878 3.878 0 0 1 0-7.757Zm0 0",
    style: {
      stroke: "none",
      fillRule: "nonzero",
      fill: "#fff",
      fillOpacity: 1
    }
  }));
};

export default Instagram;
//# sourceMappingURL=Instagram.js.map