var _excluded = ["size", "height", "width"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var Webhook = function Webhook(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      height = _ref.height,
      width = _ref.width,
      props = _objectWithoutProperties(_ref, _excluded);

  height = height || size;
  width = width || size;
  return /*#__PURE__*/React.createElement("svg", _extends({
    width: width,
    height: height,
    fill: "none",
    viewBox: "0 0 32 30"
  }, props), /*#__PURE__*/React.createElement("path", {
    fill: "#7547DB",
    fillRule: "evenodd",
    d: "M16.232 10.504a2.998 2.998 0 0 1-3.19-2.99 2.998 2.998 0 0 1 2.996-2.997A2.998 2.998 0 0 1 18.365 9.4l3.313 6.09a7.455 7.455 0 1 1 2.546 14.462 7.484 7.484 0 0 1-4.098-1.224 1.07 1.07 0 0 1-.199-1.623c.003-.003.005-.005.01-.006a1.12 1.12 0 0 1 1.423-.18 5.27 5.27 0 1 0 2.864-9.692c-1.007 0-2.436.44-3.296.986a.386.386 0 0 1-.57-.124l-4.126-7.586Zm-1.376 12.954a7.459 7.459 0 0 1-11.07 5.159 7.46 7.46 0 0 1 .38-13.122 1.066 1.066 0 0 1 1.506.64c.001.003.002.006 0 .01a1.12 1.12 0 0 1-.556 1.323 5.27 5.27 0 1 0 6.962 7.327c.504-.872.837-2.33.794-3.347a.385.385 0 0 1 .392-.432l8.633.22a2.998 2.998 0 0 1 4.185-1.268 2.998 2.998 0 0 1 1.097 4.093 2.998 2.998 0 0 1-5.393-.427l-6.93-.176Zm-3.619-10.227a7.456 7.456 0 1 1 11.251-9.437 7.484 7.484 0 0 1 .99 4.16 1.067 1.067 0 0 1-1.316.98 1.12 1.12 0 0 1-.867-1.143 5.268 5.268 0 0 0-7.898-4.834 5.273 5.273 0 0 0-1.929 7.2c.504.871 1.6 1.89 2.502 2.36a.384.384 0 0 1 .178.556L9.642 20.44a2.998 2.998 0 0 1-.995 4.258 2.998 2.998 0 0 1-4.094-1.097 2.998 2.998 0 0 1 3.067-4.457l3.617-5.913Z",
    clipRule: "evenodd"
  }));
};

export default Webhook;
//# sourceMappingURL=Webhook.js.map