var _excluded = ["size"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var NeetoPlanner = function NeetoPlanner(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 36 : _ref$size,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 800 800",
    fill: "none"
  }, props), /*#__PURE__*/React.createElement("rect", {
    width: 800,
    height: 800,
    rx: 160,
    fill: "black"
  }), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#NeetoPlanner_js__clip0_511_16459)"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M226.337 244.652C226.337 234.537 234.537 226.338 244.651 226.338H342.325V555.987C342.325 566.101 334.126 574.3 324.011 574.3H240.256C232.569 574.3 226.337 568.069 226.337 560.382V244.652Z",
    fill: "#5BCC5A"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M458.312 439.999C458.312 450.114 450.113 458.313 439.999 458.313H360.639C350.524 458.313 342.325 450.114 342.325 439.999L342.325 226.338H458.312V439.999Z",
    fill: "#5BCC5A"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M458.312 342.325H356.243C348.556 342.325 342.325 348.557 342.325 356.244V458.313H439.999C450.113 458.313 458.312 450.114 458.312 439.999V342.325Z",
    fill: "#0DA84C"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M458.312 226.338H555.986C566.101 226.338 574.3 234.537 574.3 244.652V382.005C574.3 392.12 566.101 400.319 555.986 400.319H458.312V226.338Z",
    fill: "#75DC66"
  })), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("clipPath", {
    id: "NeetoPlanner_js__clip0_511_16459"
  }, /*#__PURE__*/React.createElement("rect", {
    width: 348.3,
    height: 348.3,
    fill: "white",
    transform: "translate(226 226)"
  }))));
};

export default NeetoPlanner;
//# sourceMappingURL=NeetoPlanner.js.map