"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var NeetoQuiz = function NeetoQuiz(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 36 : _ref$size,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 800 800",
    fill: "none"
  }, props), /*#__PURE__*/_react.default.createElement("rect", {
    width: 800,
    height: 800,
    rx: 160,
    fill: "black"
  }), /*#__PURE__*/_react.default.createElement("g", {
    clipPath: "url(#NeetoQuiz_js__clip0_511_16527)"
  }, /*#__PURE__*/_react.default.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M395.983 489.913C448.703 489.913 491.441 447.175 491.441 394.455C491.441 341.735 448.703 298.997 395.983 298.997C343.263 298.997 300.525 341.735 300.525 394.455C300.525 447.175 343.263 489.913 395.983 489.913ZM395.983 562.91C489.018 562.91 564.438 487.49 564.438 394.455C564.438 301.42 489.018 226 395.983 226C302.947 226 227.527 301.42 227.527 394.455C227.527 487.49 302.947 562.91 395.983 562.91Z",
    fill: "#5BCC5A"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M409.958 408.431C427.47 390.919 455.862 390.919 473.373 408.431L560.57 495.627C578.081 513.139 578.081 541.531 560.57 559.042C543.058 576.554 514.666 576.554 497.154 559.042L409.958 471.846C392.446 454.335 392.446 425.942 409.958 408.431Z",
    fill: "#75DC66"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M423.883 485.772L479.115 541.003C505.541 525.98 527.507 504.014 542.53 477.588L487.299 422.356C478.058 452.639 454.166 476.531 423.883 485.772Z",
    fill: "#0DA84C"
  })), /*#__PURE__*/_react.default.createElement("defs", null, /*#__PURE__*/_react.default.createElement("clipPath", {
    id: "NeetoQuiz_js__clip0_511_16527"
  }, /*#__PURE__*/_react.default.createElement("rect", {
    width: 347.962,
    height: 347.962,
    fill: "white",
    transform: "translate(226 226)"
  }))));
};

var _default = NeetoQuiz;
exports.default = _default;
//# sourceMappingURL=NeetoQuiz.js.map