"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var NeetoReplay = function NeetoReplay(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 36 : _ref$size,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 800 800",
    fill: "none"
  }, props), /*#__PURE__*/_react.default.createElement("rect", {
    width: 800,
    height: 800,
    rx: 160,
    fill: "black"
  }), /*#__PURE__*/_react.default.createElement("g", {
    clipPath: "url(#NeetoReplay_js__clip0_511_16503)"
  }, /*#__PURE__*/_react.default.createElement("path", {
    d: "M318.815 526.146V273.97C318.815 251.483 343.761 237.964 362.601 250.241L563.363 381.075C577.079 390.014 577.079 410.102 563.363 419.041L362.601 549.874C343.761 562.152 318.815 548.633 318.815 526.146Z",
    fill: "#5BCC5A"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M225.35 480.95V318.033C225.35 295.228 250.926 281.774 269.718 294.694L394.993 380.82C408.089 389.824 408.089 409.16 394.993 418.163L269.718 504.289C250.926 517.209 225.35 503.755 225.35 480.95Z",
    fill: "#75DC66"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M318.816 470.533L394.993 418.163C408.089 409.16 408.089 389.824 394.993 380.82L318.816 328.445V470.533Z",
    fill: "#0DA84C"
  })), /*#__PURE__*/_react.default.createElement("defs", null, /*#__PURE__*/_react.default.createElement("clipPath", {
    id: "NeetoReplay_js__clip0_511_16503"
  }, /*#__PURE__*/_react.default.createElement("rect", {
    width: 348.3,
    height: 348.3,
    fill: "white",
    transform: "translate(225.35 225.35)"
  }))));
};

var _default = NeetoReplay;
exports.default = _default;
//# sourceMappingURL=NeetoReplay.js.map