"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size", "color", "strokeWidth"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var Hours = function Hours(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 24 24",
    fill: "none"
  }, props), /*#__PURE__*/_react.default.createElement("g", {
    clipPath: "url(#Hours_js__clip0_3279_4009)"
  }, /*#__PURE__*/_react.default.createElement("path", {
    d: "M7.32052 17.6341C8.69349 19.0182 10.5246 19.8532 12.4698 19.9824C14.4151 20.1116 16.3405 19.5261 17.8845 18.3358C19.4284 17.1455 20.4846 15.4324 20.8546 13.5183C21.2246 11.6042 20.8829 9.62091 19.8938 7.94097C18.9046 6.26103 17.3361 5.00009 15.4829 4.39505C13.6296 3.79 11.6192 3.88249 9.82936 4.65514C8.0395 5.42779 6.59337 6.82742 5.76265 8.59108C4.93194 10.3547 4.77381 12.3611 5.31799 14.2331",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M7.50136 12.0678L4.99065 14.5577L2.50074 12.047",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M9.92773 14H12.9775V13.2881H11.1143V13.2207L11.8965 12.4912C12.667 11.7793 12.916 11.3809 12.916 10.9004V10.8916C12.916 10.1621 12.3066 9.66406 11.4365 9.66406C10.5107 9.66406 9.87793 10.2207 9.87793 11.0322L9.88086 11.0439H10.6982V11.0293C10.6982 10.6279 10.9824 10.3525 11.3955 10.3525C11.7998 10.3525 12.0459 10.6045 12.0459 10.9648V10.9736C12.0459 11.2695 11.8848 11.4834 11.29 12.0605L9.92773 13.4053V14ZM15.7021 14H16.5459V13.2236H17.0967V12.5146H16.5459V9.77246H15.3037C14.7412 10.6396 14.167 11.5771 13.6309 12.5293V13.2236H15.7021V14ZM14.4277 12.5381V12.4912C14.8086 11.8086 15.2627 11.0732 15.6729 10.4434H15.7197V12.5381H14.4277Z",
    fill: color
  })), /*#__PURE__*/_react.default.createElement("defs", null, /*#__PURE__*/_react.default.createElement("clipPath", {
    id: "Hours_js__clip0_3279_4009"
  }, /*#__PURE__*/_react.default.createElement("rect", {
    width: 24,
    height: 24,
    fill: color
  }))));
};

var _default = Hours;
exports.default = _default;
//# sourceMappingURL=Hours.js.map