"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size", "color", "strokeWidth"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var IpAddress = function IpAddress(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: size,
    height: size,
    fill: "none",
    viewBox: "0 0 24 24"
  }, props), /*#__PURE__*/_react.default.createElement("path", {
    stroke: color,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: strokeWidth,
    d: "M20 12.0526C20 10.46 19.5308 8.90308 18.6518 7.57883C17.7727 6.25458 16.5233 5.22246 15.0615 4.61297C13.5997 4.00349 11.9911 3.84402 10.4393 4.15473C8.88743 4.46545 7.46197 5.23238 6.34315 6.35856C5.22433 7.48474 4.4624 8.91959 4.15372 10.4816C3.84504 12.0437 4.00347 13.6628 4.60897 15.1342C5.21447 16.6057 6.23985 17.8633 7.55544 18.7482C8.87103 19.633 10.4178 20.1053 12 20.1053M4.53334 9.36842H19.4667M4.53334 14.7368H12M11.6249 4C10.1274 6.41545 9.33352 9.20546 9.33352 12.0526C9.33352 14.8998 10.1274 17.6898 11.6249 20.1053M12.4444 4C13.9724 6.465 14.6667 9.25748 14.6667 12.0526M16.8889 16.8073V16.8147M19.0884 18.9033C19.5236 18.4887 19.82 17.9605 19.9402 17.3854C20.0603 16.8103 19.9987 16.2142 19.7633 15.6724C19.5278 15.1306 19.1291 14.6676 18.6174 14.3418C18.1058 14.016 17.5042 13.8421 16.8889 13.8421C16.2735 13.8421 15.672 14.016 15.1604 14.3418C14.6487 14.6676 14.25 15.1306 14.0145 15.6724C13.7791 16.2142 13.7175 16.8103 13.8376 17.3854C13.9577 17.9605 14.2541 18.4887 14.6893 18.9033L16.8889 21L19.0884 18.9033Z"
  }));
};

var _default = IpAddress;
exports.default = _default;
//# sourceMappingURL=IpAddress.js.map