"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size", "color", "strokeWidth"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var LeftAlign = function LeftAlign(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 18 19",
    fill: "none"
  }, props), /*#__PURE__*/_react.default.createElement("g", {
    clipPath: "url(#LeftAlign_js__clip0_1047_4040)"
  }, /*#__PURE__*/_react.default.createElement("rect", {
    x: 4.5,
    y: 11.333,
    width: 11.5714,
    height: 3.85714,
    rx: 1,
    fill: color
  }), /*#__PURE__*/_react.default.createElement("mask", {
    id: "LeftAlign_js__path-2-inside-1_1047_4040",
    fill: color
  }, /*#__PURE__*/_react.default.createElement("rect", {
    x: 4.5,
    y: 6.19043,
    width: 9,
    height: 3.85714,
    rx: 1
  })), /*#__PURE__*/_react.default.createElement("rect", {
    x: 4.5,
    y: 6.19043,
    width: 9,
    height: 3.85714,
    rx: 1,
    stroke: color,
    strokeWidth: strokeWidth,
    mask: "url(#LeftAlign_js__path-2-inside-1_1047_4040)"
  }), /*#__PURE__*/_react.default.createElement("line", {
    x1: 2.25,
    y1: 2.97607,
    x2: 2.25,
    y2: 17.1189,
    stroke: color,
    strokeWidth: strokeWidth
  })), /*#__PURE__*/_react.default.createElement("defs", null, /*#__PURE__*/_react.default.createElement("clipPath", {
    id: "LeftAlign_js__clip0_1047_4040"
  }, /*#__PURE__*/_react.default.createElement("rect", {
    width: 18,
    height: 18,
    fill: color,
    transform: "translate(0 0.619141)"
  }))));
};

var _default = LeftAlign;
exports.default = _default;
//# sourceMappingURL=LeftAlign.js.map