"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size", "color", "strokeWidth"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var Mic = function Mic(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 24 24",
    fill: "none"
  }, props), /*#__PURE__*/_react.default.createElement("path", {
    d: "M12 17.1468C8.82626 17.1468 6.24396 14.5647 6.24396 11.3907C6.24396 11.0514 6.51905 10.7765 6.85817 10.7765C7.19748 10.7765 7.47238 11.0516 7.47238 11.3907C7.47258 13.8872 9.5035 15.9183 12 15.9183C14.4963 15.9183 16.5274 13.8872 16.5274 11.3909C16.5274 11.0516 16.8023 10.7767 17.1416 10.7767C17.4809 10.7767 17.7558 11.0518 17.7558 11.3909C17.756 14.5647 15.1737 17.1468 12 17.1468Z",
    fill: color
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M12 14.3692C10.3757 14.3692 9.0437 13.0372 9.0437 11.4129V6.78742C9.0437 5.16318 10.3757 3.83114 12 3.83114C13.6242 3.83114 14.9563 5.16318 14.9563 6.78742V11.4127C14.9563 13.037 13.6242 14.3692 12 14.3692Z",
    stroke: color,
    strokeWidth: strokeWidth
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M12 20.7629C11.6607 20.7629 11.3858 20.488 11.3858 20.1487V16.6883C11.3858 16.349 11.6609 16.0741 12 16.0741C12.3393 16.0741 12.6142 16.349 12.6142 16.6883V20.1487C12.6142 20.488 12.3393 20.7629 12 20.7629Z",
    fill: color
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M14.0713 20.9189H9.92863C9.58932 20.9189 9.31442 20.644 9.31442 20.3046C9.31442 19.9653 9.58952 19.6904 9.92863 19.6904H14.0711C14.4105 19.6904 14.6854 19.9653 14.6854 20.3046C14.6854 20.644 14.4107 20.9189 14.0713 20.9189Z",
    fill: color
  }));
};

var _default = Mic;
exports.default = _default;
//# sourceMappingURL=Mic.js.map