"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size", "color", "strokeWidth"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var MobileAndDesktopApps = function MobileAndDesktopApps(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 24 24",
    fill: "none"
  }, props), /*#__PURE__*/_react.default.createElement("g", {
    clipPath: "url(#MobileAndDesktopApps_js__clip0_7374_1526)"
  }, /*#__PURE__*/_react.default.createElement("path", {
    d: "M13.0339 16.2034H3.05085C2.77215 16.2034 2.50486 16.0927 2.30779 15.8956C2.11071 15.6985 2 15.4312 2 15.1525V4.64405C2 4.36535 2.11071 4.09806 2.30779 3.90099C2.50486 3.70391 2.77215 3.5932 3.05085 3.5932H19.8644C20.1431 3.5932 20.4104 3.70391 20.6075 3.90099C20.8045 4.09806 20.9153 4.36535 20.9153 4.64405V5.16947",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M9 20L13 20",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M11 16.2034V19.4068",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M14.9604 9.081C14.9604 8.74036 15.0958 8.41368 15.3366 8.17281C15.5775 7.93195 15.9042 7.79663 16.2448 7.79663H21.3823C21.7229 7.79663 22.0496 7.93195 22.2905 8.17281C22.5313 8.41368 22.6667 8.74036 22.6667 9.081V18.0716C22.6667 18.4122 22.5313 18.7389 22.2905 18.9798C22.0496 19.2206 21.7229 19.356 21.3823 19.356H16.2448C15.9042 19.356 15.5775 19.2206 15.3366 18.9798C15.0958 18.7389 14.9604 18.4122 14.9604 18.0716V9.081Z",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M18.0429 8.5672H19.5842",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  })), /*#__PURE__*/_react.default.createElement("defs", null, /*#__PURE__*/_react.default.createElement("clipPath", {
    id: "MobileAndDesktopApps_js__clip0_7374_1526"
  }, /*#__PURE__*/_react.default.createElement("rect", {
    width: 24,
    height: 24,
    fill: color
  }))));
};

var _default = MobileAndDesktopApps;
exports.default = _default;
//# sourceMappingURL=MobileAndDesktopApps.js.map