"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size", "color", "strokeWidth"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var Moon = function Moon(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 24 24",
    fill: "none"
  }, props), /*#__PURE__*/_react.default.createElement("g", {
    clipPath: "url(#Moon_js__clip0_6477_146)"
  }, /*#__PURE__*/_react.default.createElement("path", {
    d: "M11.7967 4.00711C11.9111 4.00711 12.0246 4.00711 12.1372 4.00711C11.0241 5.06818 10.3086 6.49586 10.1151 8.04197C9.92157 9.58809 10.2623 11.1549 11.0781 12.47C11.8939 13.7851 13.1332 14.7654 14.5805 15.2404C16.0277 15.7155 17.5915 15.6552 19 15.0702C18.4582 16.4075 17.5727 17.5689 16.4379 18.4305C15.3031 19.292 13.9616 19.8214 12.5566 19.9621C11.1515 20.1029 9.7355 19.8497 8.45968 19.2297C7.18386 18.6096 6.09604 17.646 5.31226 16.4414C4.52848 15.2369 4.07814 13.8367 4.00928 12.3902C3.94043 10.9437 4.25563 9.50515 4.92127 8.22801C5.58692 6.95087 6.57803 5.88304 7.78889 5.13843C8.99975 4.39382 10.3849 4.00035 11.7967 4V4.00711Z",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  })), /*#__PURE__*/_react.default.createElement("defs", null, /*#__PURE__*/_react.default.createElement("clipPath", {
    id: "Moon_js__clip0_6477_146"
  }, /*#__PURE__*/_react.default.createElement("rect", {
    width: 24,
    height: 24,
    fill: color
  }))));
};

var _default = Moon;
exports.default = _default;
//# sourceMappingURL=Moon.js.map