"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size", "color", "strokeWidth"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var Transaction = function Transaction(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 24 24",
    fill: "none"
  }, props), /*#__PURE__*/_react.default.createElement("path", {
    d: "M14.6111 9.71429C14.5005 9.39156 14.2986 9.11027 14.0313 8.90659C13.7639 8.70292 13.4435 8.58619 13.1111 8.57143H10.8889C10.4469 8.57143 10.0229 8.75204 9.71038 9.07353C9.39782 9.39502 9.22222 9.83106 9.22222 10.2857C9.22222 10.7404 9.39782 11.1764 9.71038 11.4979C10.0229 11.8194 10.4469 12 10.8889 12H13.1111C13.5531 12 13.9771 12.1806 14.2896 12.5021C14.6022 12.8236 14.7778 13.2596 14.7778 13.7143C14.7778 14.1689 14.6022 14.605 14.2896 14.9265C13.9771 15.248 13.5531 15.4286 13.1111 15.4286H10.8889C10.5565 15.4138 10.2361 15.2971 9.96874 15.0934C9.70142 14.8897 9.49947 14.6084 9.38889 14.2857M12 6.85714V8.57143M12 15.4286V17.1429M6.44444 13.7143L4.22222 16L2 13.7143M4.22222 15.4286V7.42857C4.22222 5.53502 5.71461 4 7.55556 4H13.6667M17.5556 10.2857L19.7778 8L22 10.2857M19.7778 8.57143V16.5714C19.7778 18.465 18.2854 20 16.4444 20H10.3333",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }));
};

var _default = Transaction;
exports.default = _default;
//# sourceMappingURL=Transaction.js.map