"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size", "color", "strokeWidth"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var UserStar = function UserStar(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 24 24",
    fill: "none"
  }, props), /*#__PURE__*/_react.default.createElement("path", {
    d: "M4 18C3.9978 17.4741 4.09976 16.953 4.3 16.4667C4.50024 15.9804 4.79479 15.5385 5.16667 15.1667C5.53854 14.7948 5.98037 14.5002 6.46667 14.3C6.95296 14.0998 7.4741 13.9978 8 14H11.1111",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M11 11C13.2091 11 15 9.20914 15 7C15 4.79086 13.2091 3 11 3C8.79086 3 7 4.79086 7 7C7 9.20914 8.79086 11 11 11Z",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M18.2619 12.4587V12.4587C18.4615 12.0522 18.9529 11.8845 19.3594 12.0842C19.5222 12.1642 19.6539 12.2958 19.7339 12.4587L20.3339 13.6747V13.6747C20.4531 13.9172 20.6844 14.0853 20.9519 14.1237L22.2949 14.3237V14.3237C22.7431 14.3883 23.054 14.8041 22.9894 15.2524C22.9635 15.4317 22.8789 15.5974 22.7489 15.7237L21.7779 16.6717V16.6717C21.584 16.8598 21.4957 17.1315 21.5419 17.3977L21.7709 18.7347V18.7347C21.8479 19.1809 21.5485 19.6051 21.1022 19.6821C20.9241 19.7128 20.7408 19.6838 20.5809 19.5997L19.3809 18.9687V18.9687C19.1418 18.8426 18.8559 18.8426 18.6169 18.9687L17.4169 19.5997V19.5997C17.0161 19.8106 16.5203 19.6567 16.3093 19.256C16.2251 19.096 16.1962 18.9128 16.2269 18.7347L16.4559 17.3977V17.3977C16.5021 17.1315 16.4137 16.8598 16.2199 16.6717L15.2489 15.7237V15.7237C14.9239 15.4082 14.9162 14.8891 15.2316 14.5641C15.3578 14.4341 15.5235 14.3495 15.7029 14.3237L17.0459 14.1236V14.1236C17.3134 14.0853 17.5447 13.9172 17.6639 13.6746L18.2619 12.4587Z",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }));
};

var _default = UserStar;
exports.default = _default;
//# sourceMappingURL=UserStar.js.map