"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var NeetoCal = function NeetoCal(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 36 : _ref$size,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 356 384",
    fill: "none"
  }, props), /*#__PURE__*/_react.default.createElement("rect", {
    x: 0.365234,
    y: 28.126,
    width: 354.915,
    height: 354.915,
    rx: 66.2508,
    fill: "#75DC66"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M0.365234 94.3768C0.365234 57.7875 30.0267 28.126 66.616 28.126H289.029C325.619 28.126 355.28 57.7875 355.28 94.3768V146.431H0.365234V94.3768Z",
    fill: "#5BCC5A"
  }), /*#__PURE__*/_react.default.createElement("rect", {
    x: 0.364746,
    y: 146.427,
    width: 118.305,
    height: 118.305,
    fill: "#75DC66"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M0.364746 264.731H118.67V383.036H66.6156C30.0263 383.036 0.364746 353.375 0.364746 316.786V264.731Z",
    fill: "#75DC66"
  }), /*#__PURE__*/_react.default.createElement("rect", {
    x: 118.67,
    y: 264.731,
    width: 118.305,
    height: 118.305,
    fill: "#0DA84C"
  }), /*#__PURE__*/_react.default.createElement("rect", {
    x: 236.975,
    y: 146.427,
    width: 118.305,
    height: 118.305,
    fill: "#0DA84C"
  }), /*#__PURE__*/_react.default.createElement("rect", {
    x: 118.67,
    y: 146.427,
    width: 118.305,
    height: 118.305,
    fill: "#75DC66"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M236.975 264.731H355.28V316.786C355.28 353.375 325.618 383.036 289.029 383.036H236.975V264.731Z",
    fill: "#0DA84C"
  }), /*#__PURE__*/_react.default.createElement("rect", {
    x: 226.329,
    y: 0.913574,
    width: 42.5898,
    height: 69.8,
    rx: 21.2949,
    fill: "#0DA84C"
  }), /*#__PURE__*/_react.default.createElement("rect", {
    x: 86.7305,
    y: 0.913574,
    width: 42.5898,
    height: 69.8,
    rx: 21.2949,
    fill: "#0DA84C"
  }));
};

var _default = NeetoCal;
exports.default = _default;
//# sourceMappingURL=NeetoCal.js.map