"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var NeetoInvisible = function NeetoInvisible(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 36 : _ref$size,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 396 396",
    fill: "none"
  }, props), /*#__PURE__*/_react.default.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M155.082 308.858C240.007 308.858 308.853 240.012 308.853 155.087C308.853 70.1612 240.007 1.31543 155.082 1.31543C70.1563 1.31543 1.31055 70.1612 1.31055 155.087C1.31055 240.012 70.1563 308.858 155.082 308.858ZM155.082 227.873C195.284 227.873 227.873 195.283 227.873 155.082C227.873 114.88 195.284 82.2906 155.082 82.2906C114.881 82.2906 82.291 114.88 82.291 155.082C82.291 195.283 114.881 227.873 155.082 227.873Z",
    fill: "#5BCC5A"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M156.666 168.196C154.17 161.038 161.045 154.164 168.202 156.659L372.968 228.046C380.859 230.797 381.134 241.855 373.391 244.995L285.595 280.598C283.325 281.518 281.524 283.318 280.604 285.588L245.001 373.384C241.861 381.128 230.803 380.853 228.052 372.962L156.666 168.196Z",
    fill: "#75DC66"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M301.229 203.02L224.713 176.345C217.667 199.433 199.453 217.649 176.366 224.698L203.043 301.217C249.395 286.014 286.031 249.374 301.229 203.02Z",
    fill: "#0DA84C"
  }));
};

var _default = NeetoInvisible;
exports.default = _default;
//# sourceMappingURL=NeetoInvisible.js.map