"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var NeetoPlanner = function NeetoPlanner(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 36 : _ref$size,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 349 349",
    fill: "none"
  }, props), /*#__PURE__*/_react.default.createElement("g", {
    clipPath: "url(#NeetoPlanner_js__clip0_511_16460)"
  }, /*#__PURE__*/_react.default.createElement("path", {
    d: "M0.337402 18.6517C0.337402 8.53726 8.53678 0.337891 18.6512 0.337891H116.325V329.987C116.325 340.101 108.126 348.3 98.0111 348.3H14.2559C6.56894 348.3 0.337402 342.069 0.337402 334.382V18.6517Z",
    fill: "#5BCC5A"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M232.312 213.999C232.312 224.114 224.113 232.313 213.999 232.313H134.639C124.524 232.313 116.325 224.114 116.325 213.999L116.325 0.337891H232.312V213.999Z",
    fill: "#5BCC5A"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M232.312 116.325H130.243C122.556 116.325 116.325 122.557 116.325 130.244V232.313H213.999C224.113 232.313 232.312 224.114 232.312 213.999V116.325Z",
    fill: "#0DA84C"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M232.312 0.337891H329.986C340.101 0.337891 348.3 8.53727 348.3 18.6517V156.005C348.3 166.12 340.101 174.319 329.986 174.319H232.312V0.337891Z",
    fill: "#75DC66"
  })), /*#__PURE__*/_react.default.createElement("defs", null, /*#__PURE__*/_react.default.createElement("clipPath", {
    id: "NeetoPlanner_js__clip0_511_16460"
  }, /*#__PURE__*/_react.default.createElement("rect", {
    width: 348.3,
    height: 348.3,
    fill: "white"
  }))));
};

var _default = NeetoPlanner;
exports.default = _default;
//# sourceMappingURL=NeetoPlanner.js.map