"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var NeetoRunner = function NeetoRunner(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 36 : _ref$size,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 396 396",
    fill: "none"
  }, props), /*#__PURE__*/_react.default.createElement("g", {
    clipPath: "url(#NeetoRunner_js__clip0_511_16540)"
  }, /*#__PURE__*/_react.default.createElement("path", {
    d: "M179.348 278.442C195.288 294.382 195.288 320.227 179.348 336.167C163.408 352.108 137.563 352.108 121.623 336.167L11.4201 225.965C-4.52026 210.024 -4.52025 184.18 11.4201 168.239C27.3605 152.299 53.205 152.299 69.1454 168.239L179.348 278.442Z",
    fill: "#5BCC5A"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M179.348 116.503C195.288 100.562 195.288 74.7179 179.348 58.7775C163.408 42.8372 137.563 42.8372 121.623 58.7776L11.4201 168.98C-4.52026 184.921 -4.52025 210.765 11.4201 226.705C27.3605 242.646 53.205 242.646 69.1454 226.705L179.348 116.503Z",
    fill: "#5BCC5A"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M215.492 278.442C199.552 294.382 199.552 320.227 215.492 336.167C231.433 352.108 257.277 352.108 273.218 336.167L383.42 225.965C399.361 210.024 399.361 184.18 383.42 168.239C367.48 152.299 341.635 152.299 325.695 168.239L215.492 278.442Z",
    fill: "#75DC66"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M215.492 116.503C199.552 100.562 199.552 74.7179 215.492 58.7775C231.433 42.8372 257.277 42.8372 273.218 58.7776L383.42 168.98C399.361 184.921 399.361 210.765 383.42 226.705C367.48 242.646 341.635 242.646 325.695 226.705L215.492 116.503Z",
    fill: "#0DA84C"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M296.467 197.479L325.7 168.246C340.062 153.884 362.464 152.462 378.418 163.98L383.425 168.987C391.301 176.863 395.285 187.157 395.379 197.479C395.285 207.802 391.301 218.095 383.425 225.971L378.418 230.978C362.464 242.496 340.062 241.074 325.7 226.712L296.467 197.479Z",
    fill: "#0DA84C"
  })), /*#__PURE__*/_react.default.createElement("defs", null, /*#__PURE__*/_react.default.createElement("clipPath", {
    id: "NeetoRunner_js__clip0_511_16540"
  }, /*#__PURE__*/_react.default.createElement("rect", {
    width: 394.74,
    height: 394.74,
    fill: "white",
    transform: "translate(0.629883 0.628906)"
  }))));
};

var _default = NeetoRunner;
exports.default = _default;
//# sourceMappingURL=NeetoRunner.js.map