"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size", "height", "width"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var Apple = function Apple(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      height = _ref.height,
      width = _ref.width,
      props = _objectWithoutProperties(_ref, _excluded);

  height = height || size;
  width = width || size;
  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: width,
    height: height,
    fill: "none",
    viewBox: "0 0 81 96"
  }, props), /*#__PURE__*/_react.default.createElement("path", {
    fill: "#000",
    fillRule: "evenodd",
    d: "M55.132 15.566c3.474-4.026 5.815-9.634 5.175-15.213-5.007.19-11.063 3.198-14.652 7.22-3.224 3.568-6.037 9.27-5.28 14.74 5.583.415 11.283-2.716 14.757-6.747Zm12.522 35.412C67.794 65.401 80.856 70.198 81 70.26c-.106.338-2.086 6.836-6.88 13.554-4.148 5.804-8.451 11.584-15.23 11.708-6.659.119-8.803-3.783-16.42-3.783-7.612 0-9.993 3.658-16.295 3.901-6.543.234-11.53-6.278-15.707-12.063-8.547-11.83-15.075-33.432-6.306-48.012 4.355-7.238 12.136-11.828 20.587-11.942 6.423-.12 12.489 4.141 16.415 4.141 3.927 0 11.299-5.122 19.046-4.37 3.243.13 12.349 1.254 18.193 9.453-.472.282-10.865 6.076-10.749 18.131Z",
    clipRule: "evenodd",
    "data-dark-mode-color": "true"
  }));
};

var _default = Apple;
exports.default = _default;
//# sourceMappingURL=Apple.js.map