"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size", "height", "width"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var FacebookPixel = function FacebookPixel(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      height = _ref.height,
      width = _ref.width,
      props = _objectWithoutProperties(_ref, _excluded);

  height = height || size;
  width = width || size;
  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: width,
    height: height,
    viewBox: "0 0 256 258"
  }, props), /*#__PURE__*/_react.default.createElement("path", {
    fill: "#3d5a99",
    d: "M119.5 2.8C117.3 3.8 95 16.5 70 30.9 22.6 58.2 18.1 61.4 16.1 68.6c-1.5 5.5-1.5 113.4 0 118.9.6 2.2 2.7 5.5 4.8 7.5 2 2 25.2 16 51.6 31.2 51.4 29.6 53 30.3 61.1 27.6 3.5-1.3 84-47.2 97-55.4 3.6-2.2 5.8-4.5 7.3-7.6 2.1-4.4 2.1-5.2 2.1-62.9 0-54.9-.2-58.6-1.9-62.5-1-2.3-3.4-5.3-5.2-6.6-1.9-1.4-24.7-14.8-50.8-29.9-44.6-25.6-47.8-27.3-53-27.6-4-.3-6.8.2-9.6 1.5zM148 65.5c3 1 5.7 1.9 5.9 2.1.4.4-37.9 113.5-38.8 114.6-.9 1-14.1-3.4-14.1-4.7 0-1.2 37.7-112.3 38.6-113.7.3-.5 1.1-.7 1.8-.5l6.6 2.2zM81 102c0 .3-7.4 6.6-16.5 14-9 7.4-16.4 13.8-16.5 14.1 0 .3 7.4 6.8 16.5 14.3 10.2 8.5 16.3 14.2 15.8 14.9-.3.7-2.2 3.1-4.1 5.4l-3.4 4.2-22.9-19.1c-12.6-10.5-22.7-19.4-22.3-19.7.3-.3 10.5-9 22.7-19.3l22.2-18.7 4.2 4.7c2.4 2.6 4.3 4.9 4.3 5.2zm123.8 9.5c12.2 10.2 22.2 18.9 22.2 19.4 0 .7-44.3 38.1-45.2 38.1-.7 0-8.1-10.1-7.7-10.4.2-.2 7.6-6.3 16.4-13.6 8.8-7.2 16.1-13.5 16.2-13.8.1-.6-13.7-12.3-30.3-25.9l-2.7-2.1 3.7-5.1c2.1-2.8 4.1-5.1 4.5-5.1.4 0 10.7 8.3 22.9 18.5z"
  }));
};

var _default = FacebookPixel;
exports.default = _default;
//# sourceMappingURL=FacebookPixel.js.map