"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size", "height", "width"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var Mastercard = function Mastercard(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      height = _ref.height,
      width = _ref.width,
      props = _objectWithoutProperties(_ref, _excluded);

  height = height || size;
  width = width || size;
  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: width,
    height: height,
    fill: "none",
    viewBox: "0 0 100 100"
  }, props), /*#__PURE__*/_react.default.createElement("g", {
    clipPath: "url(#Mastercard_js__a)"
  }, /*#__PURE__*/_react.default.createElement("path", {
    fill: "#FF5F00",
    d: "M62.933 27.048H37.386v45.904h25.547V27.048Z"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fill: "#EB001B",
    d: "M39.008 50c0-8.921 4.136-17.437 11.11-22.952-12.651-9.976-31.061-7.786-41.037 4.947-9.894 12.652-7.705 30.981 5.028 40.957a29.12 29.12 0 0 0 36.091 0A29.21 29.21 0 0 1 39.008 50Z"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fill: "#F79E1B",
    d: "M97.402 50c0 16.14-13.058 29.197-29.197 29.197-6.57 0-12.895-2.19-18.005-6.245 12.652-9.976 14.842-28.305 4.866-41.038-1.46-1.784-3.082-3.487-4.866-4.866 12.652-9.976 31.062-7.786 40.957 4.947 4.055 5.11 6.245 11.436 6.245 18.005Z"
  })), /*#__PURE__*/_react.default.createElement("defs", null, /*#__PURE__*/_react.default.createElement("clipPath", {
    id: "Mastercard_js__a"
  }, /*#__PURE__*/_react.default.createElement("path", {
    fill: "#fff",
    d: "M.4 14.709H100v70.583H.4z"
  }))));
};

var _default = Mastercard;
exports.default = _default;
//# sourceMappingURL=Mastercard.js.map