"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["size", "height", "width"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var Outlook = function Outlook(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      height = _ref.height,
      width = _ref.width,
      props = _objectWithoutProperties(_ref, _excluded);

  height = height || size;
  width = width || size;
  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    xmlnsXlink: "http://www.w3.org/1999/xlink",
    width: width,
    height: height,
    viewBox: "0 0 190 165"
  }, props), /*#__PURE__*/_react.default.createElement("defs", null, /*#__PURE__*/_react.default.createElement("filter", {
    id: "Outlook_js__d",
    width: "100.7%",
    height: "101%",
    x: "-.4%",
    y: "-.5%",
    filterUnits: "objectBoundingBox"
  }, /*#__PURE__*/_react.default.createElement("feOffset", {
    dx: -1,
    dy: -1,
    in: "SourceAlpha",
    result: "shadowOffsetInner1"
  }), /*#__PURE__*/_react.default.createElement("feComposite", {
    in: "shadowOffsetInner1",
    in2: "SourceAlpha",
    k2: -1,
    k3: 1,
    operator: "arithmetic",
    result: "shadowInnerInner1"
  }), /*#__PURE__*/_react.default.createElement("feColorMatrix", {
    in: "shadowInnerInner1",
    values: "0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 0.16 0"
  })), /*#__PURE__*/_react.default.createElement("filter", {
    id: "Outlook_js__h",
    width: "101.6%",
    height: "101.2%",
    x: "-.8%",
    y: "-.6%",
    filterUnits: "objectBoundingBox"
  }, /*#__PURE__*/_react.default.createElement("feOffset", {
    dx: -1,
    in: "SourceAlpha",
    result: "shadowOffsetInner1"
  }), /*#__PURE__*/_react.default.createElement("feComposite", {
    in: "shadowOffsetInner1",
    in2: "SourceAlpha",
    k2: -1,
    k3: 1,
    operator: "arithmetic",
    result: "shadowInnerInner1"
  }), /*#__PURE__*/_react.default.createElement("feColorMatrix", {
    in: "shadowInnerInner1",
    result: "shadowMatrixInner1",
    values: "0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 0.19 0"
  }), /*#__PURE__*/_react.default.createElement("feOffset", {
    dx: 1,
    in: "SourceAlpha",
    result: "shadowOffsetInner2"
  }), /*#__PURE__*/_react.default.createElement("feComposite", {
    in: "shadowOffsetInner2",
    in2: "SourceAlpha",
    k2: -1,
    k3: 1,
    operator: "arithmetic",
    result: "shadowInnerInner2"
  }), /*#__PURE__*/_react.default.createElement("feColorMatrix", {
    in: "shadowInnerInner2",
    result: "shadowMatrixInner2",
    values: "0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 0.17 0"
  }), /*#__PURE__*/_react.default.createElement("feOffset", {
    dx: 2,
    dy: 1,
    in: "SourceAlpha",
    result: "shadowOffsetInner3"
  }), /*#__PURE__*/_react.default.createElement("feComposite", {
    in: "shadowOffsetInner3",
    in2: "SourceAlpha",
    k2: -1,
    k3: 1,
    operator: "arithmetic",
    result: "shadowInnerInner3"
  }), /*#__PURE__*/_react.default.createElement("feColorMatrix", {
    in: "shadowInnerInner3",
    result: "shadowMatrixInner3",
    values: "0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.01 0"
  }), /*#__PURE__*/_react.default.createElement("feMerge", null, /*#__PURE__*/_react.default.createElement("feMergeNode", {
    in: "shadowMatrixInner1"
  }), /*#__PURE__*/_react.default.createElement("feMergeNode", {
    in: "shadowMatrixInner2"
  }), /*#__PURE__*/_react.default.createElement("feMergeNode", {
    in: "shadowMatrixInner3"
  }))), /*#__PURE__*/_react.default.createElement("filter", {
    id: "Outlook_js__m",
    width: "104.8%",
    height: "105.4%",
    x: "-2.4%",
    y: "-2.7%",
    filterUnits: "objectBoundingBox"
  }, /*#__PURE__*/_react.default.createElement("feOffset", {
    dx: -1,
    in: "SourceAlpha",
    result: "shadowOffsetInner1"
  }), /*#__PURE__*/_react.default.createElement("feComposite", {
    in: "shadowOffsetInner1",
    in2: "SourceAlpha",
    k2: -1,
    k3: 1,
    operator: "arithmetic",
    result: "shadowInnerInner1"
  }), /*#__PURE__*/_react.default.createElement("feColorMatrix", {
    in: "shadowInnerInner1",
    result: "shadowMatrixInner1",
    values: "0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 0.19 0"
  }), /*#__PURE__*/_react.default.createElement("feOffset", {
    dy: 2,
    in: "SourceAlpha",
    result: "shadowOffsetInner2"
  }), /*#__PURE__*/_react.default.createElement("feComposite", {
    in: "shadowOffsetInner2",
    in2: "SourceAlpha",
    k2: -1,
    k3: 1,
    operator: "arithmetic",
    result: "shadowInnerInner2"
  }), /*#__PURE__*/_react.default.createElement("feColorMatrix", {
    in: "shadowInnerInner2",
    result: "shadowMatrixInner2",
    values: "0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.08 0"
  }), /*#__PURE__*/_react.default.createElement("feMerge", null, /*#__PURE__*/_react.default.createElement("feMergeNode", {
    in: "shadowMatrixInner1"
  }), /*#__PURE__*/_react.default.createElement("feMergeNode", {
    in: "shadowMatrixInner2"
  }))), /*#__PURE__*/_react.default.createElement("filter", {
    id: "Outlook_js__q",
    width: "104.8%",
    height: "105.4%",
    x: "-2.4%",
    y: "-2.7%",
    filterUnits: "objectBoundingBox"
  }, /*#__PURE__*/_react.default.createElement("feOffset", {
    dx: -1,
    in: "SourceAlpha",
    result: "shadowOffsetInner1"
  }), /*#__PURE__*/_react.default.createElement("feComposite", {
    in: "shadowOffsetInner1",
    in2: "SourceAlpha",
    k2: -1,
    k3: 1,
    operator: "arithmetic",
    result: "shadowInnerInner1"
  }), /*#__PURE__*/_react.default.createElement("feColorMatrix", {
    in: "shadowInnerInner1",
    result: "shadowMatrixInner1",
    values: "0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 0.19 0"
  }), /*#__PURE__*/_react.default.createElement("feOffset", {
    dx: 2,
    dy: 1,
    in: "SourceAlpha",
    result: "shadowOffsetInner2"
  }), /*#__PURE__*/_react.default.createElement("feComposite", {
    in: "shadowOffsetInner2",
    in2: "SourceAlpha",
    k2: -1,
    k3: 1,
    operator: "arithmetic",
    result: "shadowInnerInner2"
  }), /*#__PURE__*/_react.default.createElement("feColorMatrix", {
    in: "shadowInnerInner2",
    result: "shadowMatrixInner2",
    values: "0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.01 0"
  }), /*#__PURE__*/_react.default.createElement("feMerge", null, /*#__PURE__*/_react.default.createElement("feMergeNode", {
    in: "shadowMatrixInner1"
  }), /*#__PURE__*/_react.default.createElement("feMergeNode", {
    in: "shadowMatrixInner2"
  }))), /*#__PURE__*/_react.default.createElement("filter", {
    id: "Outlook_js__u",
    width: "104.8%",
    height: "105.4%",
    x: "-2.4%",
    y: "-2.7%",
    filterUnits: "objectBoundingBox"
  }, /*#__PURE__*/_react.default.createElement("feOffset", {
    dx: -1,
    in: "SourceAlpha",
    result: "shadowOffsetInner1"
  }), /*#__PURE__*/_react.default.createElement("feComposite", {
    in: "shadowOffsetInner1",
    in2: "SourceAlpha",
    k2: -1,
    k3: 1,
    operator: "arithmetic",
    result: "shadowInnerInner1"
  }), /*#__PURE__*/_react.default.createElement("feColorMatrix", {
    in: "shadowInnerInner1",
    result: "shadowMatrixInner1",
    values: "0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 0.19 0"
  }), /*#__PURE__*/_react.default.createElement("feOffset", {
    dx: 2,
    dy: 1,
    in: "SourceAlpha",
    result: "shadowOffsetInner2"
  }), /*#__PURE__*/_react.default.createElement("feComposite", {
    in: "shadowOffsetInner2",
    in2: "SourceAlpha",
    k2: -1,
    k3: 1,
    operator: "arithmetic",
    result: "shadowInnerInner2"
  }), /*#__PURE__*/_react.default.createElement("feColorMatrix", {
    in: "shadowInnerInner2",
    result: "shadowMatrixInner2",
    values: "0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.01 0"
  }), /*#__PURE__*/_react.default.createElement("feMerge", null, /*#__PURE__*/_react.default.createElement("feMergeNode", {
    in: "shadowMatrixInner1"
  }), /*#__PURE__*/_react.default.createElement("feMergeNode", {
    in: "shadowMatrixInner2"
  }))), /*#__PURE__*/_react.default.createElement("filter", {
    id: "Outlook_js__y",
    width: "104.8%",
    height: "105.4%",
    x: "-2.4%",
    y: "-2.7%",
    filterUnits: "objectBoundingBox"
  }, /*#__PURE__*/_react.default.createElement("feOffset", {
    dy: -1,
    in: "SourceAlpha",
    result: "shadowOffsetInner1"
  }), /*#__PURE__*/_react.default.createElement("feComposite", {
    in: "shadowOffsetInner1",
    in2: "SourceAlpha",
    k2: -1,
    k3: 1,
    operator: "arithmetic",
    result: "shadowInnerInner1"
  }), /*#__PURE__*/_react.default.createElement("feColorMatrix", {
    in: "shadowInnerInner1",
    result: "shadowMatrixInner1",
    values: "0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 0.19 0"
  }), /*#__PURE__*/_react.default.createElement("feOffset", {
    dx: 2,
    dy: 1,
    in: "SourceAlpha",
    result: "shadowOffsetInner2"
  }), /*#__PURE__*/_react.default.createElement("feComposite", {
    in: "shadowOffsetInner2",
    in2: "SourceAlpha",
    k2: -1,
    k3: 1,
    operator: "arithmetic",
    result: "shadowInnerInner2"
  }), /*#__PURE__*/_react.default.createElement("feColorMatrix", {
    in: "shadowInnerInner2",
    result: "shadowMatrixInner2",
    values: "0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.01 0"
  }), /*#__PURE__*/_react.default.createElement("feMerge", null, /*#__PURE__*/_react.default.createElement("feMergeNode", {
    in: "shadowMatrixInner1"
  }), /*#__PURE__*/_react.default.createElement("feMergeNode", {
    in: "shadowMatrixInner2"
  }))), /*#__PURE__*/_react.default.createElement("filter", {
    id: "Outlook_js__C",
    width: "102.4%",
    height: "102.7%",
    x: "-1.2%",
    y: "-1.4%",
    filterUnits: "objectBoundingBox"
  }, /*#__PURE__*/_react.default.createElement("feOffset", {
    dx: -1,
    dy: -1,
    in: "SourceAlpha",
    result: "shadowOffsetInner1"
  }), /*#__PURE__*/_react.default.createElement("feComposite", {
    in: "shadowOffsetInner1",
    in2: "SourceAlpha",
    k2: -1,
    k3: 1,
    operator: "arithmetic",
    result: "shadowInnerInner1"
  }), /*#__PURE__*/_react.default.createElement("feColorMatrix", {
    in: "shadowInnerInner1",
    result: "shadowMatrixInner1",
    values: "0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 0.19 0"
  }), /*#__PURE__*/_react.default.createElement("feOffset", {
    dy: 1,
    in: "SourceAlpha",
    result: "shadowOffsetInner2"
  }), /*#__PURE__*/_react.default.createElement("feComposite", {
    in: "shadowOffsetInner2",
    in2: "SourceAlpha",
    k2: -1,
    k3: 1,
    operator: "arithmetic",
    result: "shadowInnerInner2"
  }), /*#__PURE__*/_react.default.createElement("feColorMatrix", {
    in: "shadowInnerInner2",
    result: "shadowMatrixInner2",
    values: "0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.11 0"
  }), /*#__PURE__*/_react.default.createElement("feMerge", null, /*#__PURE__*/_react.default.createElement("feMergeNode", {
    in: "shadowMatrixInner1"
  }), /*#__PURE__*/_react.default.createElement("feMergeNode", {
    in: "shadowMatrixInner2"
  }))), /*#__PURE__*/_react.default.createElement("filter", {
    id: "Outlook_js__G",
    width: "104.8%",
    height: "105.4%",
    x: "-2.4%",
    y: "-2.7%",
    filterUnits: "objectBoundingBox"
  }, /*#__PURE__*/_react.default.createElement("feOffset", {
    dx: -1,
    in: "SourceAlpha",
    result: "shadowOffsetInner1"
  }), /*#__PURE__*/_react.default.createElement("feComposite", {
    in: "shadowOffsetInner1",
    in2: "SourceAlpha",
    k2: -1,
    k3: 1,
    operator: "arithmetic",
    result: "shadowInnerInner1"
  }), /*#__PURE__*/_react.default.createElement("feColorMatrix", {
    in: "shadowInnerInner1",
    result: "shadowMatrixInner1",
    values: "0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 0.19 0"
  }), /*#__PURE__*/_react.default.createElement("feGaussianBlur", {
    in: "SourceAlpha",
    result: "shadowBlurInner2",
    stdDeviation: 0.5
  }), /*#__PURE__*/_react.default.createElement("feOffset", {
    dy: 1,
    in: "shadowBlurInner2",
    result: "shadowOffsetInner2"
  }), /*#__PURE__*/_react.default.createElement("feComposite", {
    in: "shadowOffsetInner2",
    in2: "SourceAlpha",
    k2: -1,
    k3: 1,
    operator: "arithmetic",
    result: "shadowInnerInner2"
  }), /*#__PURE__*/_react.default.createElement("feColorMatrix", {
    in: "shadowInnerInner2",
    result: "shadowMatrixInner2",
    values: "0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.21 0"
  }), /*#__PURE__*/_react.default.createElement("feMerge", null, /*#__PURE__*/_react.default.createElement("feMergeNode", {
    in: "shadowMatrixInner1"
  }), /*#__PURE__*/_react.default.createElement("feMergeNode", {
    in: "shadowMatrixInner2"
  }))), /*#__PURE__*/_react.default.createElement("filter", {
    id: "Outlook_js__K",
    width: "102.4%",
    height: "102.7%",
    x: "-1.2%",
    y: "-1.4%",
    filterUnits: "objectBoundingBox"
  }, /*#__PURE__*/_react.default.createElement("feOffset", {
    dy: -1,
    in: "SourceAlpha",
    result: "shadowOffsetInner1"
  }), /*#__PURE__*/_react.default.createElement("feComposite", {
    in: "shadowOffsetInner1",
    in2: "SourceAlpha",
    k2: -1,
    k3: 1,
    operator: "arithmetic",
    result: "shadowInnerInner1"
  }), /*#__PURE__*/_react.default.createElement("feColorMatrix", {
    in: "shadowInnerInner1",
    values: "0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 0.19 0"
  })), /*#__PURE__*/_react.default.createElement("filter", {
    id: "Outlook_js__O",
    width: "104.8%",
    height: "105.4%",
    x: "-2.4%",
    y: "-2.7%",
    filterUnits: "objectBoundingBox"
  }, /*#__PURE__*/_react.default.createElement("feOffset", {
    dx: -1,
    in: "SourceAlpha",
    result: "shadowOffsetInner1"
  }), /*#__PURE__*/_react.default.createElement("feComposite", {
    in: "shadowOffsetInner1",
    in2: "SourceAlpha",
    k2: -1,
    k3: 1,
    operator: "arithmetic",
    result: "shadowInnerInner1"
  }), /*#__PURE__*/_react.default.createElement("feColorMatrix", {
    in: "shadowInnerInner1",
    result: "shadowMatrixInner1",
    values: "0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 0.19 0"
  }), /*#__PURE__*/_react.default.createElement("feOffset", {
    dx: 2,
    dy: 1,
    in: "SourceAlpha",
    result: "shadowOffsetInner2"
  }), /*#__PURE__*/_react.default.createElement("feComposite", {
    in: "shadowOffsetInner2",
    in2: "SourceAlpha",
    k2: -1,
    k3: 1,
    operator: "arithmetic",
    result: "shadowInnerInner2"
  }), /*#__PURE__*/_react.default.createElement("feColorMatrix", {
    in: "shadowInnerInner2",
    result: "shadowMatrixInner2",
    values: "0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.01 0"
  }), /*#__PURE__*/_react.default.createElement("feMerge", null, /*#__PURE__*/_react.default.createElement("feMergeNode", {
    in: "shadowMatrixInner1"
  }), /*#__PURE__*/_react.default.createElement("feMergeNode", {
    in: "shadowMatrixInner2"
  }))), /*#__PURE__*/_react.default.createElement("filter", {
    id: "Outlook_js__S",
    width: "104.8%",
    height: "105.4%",
    x: "-2.4%",
    y: "-2.7%",
    filterUnits: "objectBoundingBox"
  }, /*#__PURE__*/_react.default.createElement("feOffset", {
    dx: 2,
    dy: 1,
    in: "SourceAlpha",
    result: "shadowOffsetInner1"
  }), /*#__PURE__*/_react.default.createElement("feComposite", {
    in: "shadowOffsetInner1",
    in2: "SourceAlpha",
    k2: -1,
    k3: 1,
    operator: "arithmetic",
    result: "shadowInnerInner1"
  }), /*#__PURE__*/_react.default.createElement("feColorMatrix", {
    in: "shadowInnerInner1",
    values: "0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.1 0"
  })), /*#__PURE__*/_react.default.createElement("filter", {
    id: "Outlook_js__W",
    width: "118.7%",
    height: "117.6%",
    x: "-9.3%",
    y: "-8.8%",
    filterUnits: "objectBoundingBox"
  }, /*#__PURE__*/_react.default.createElement("feGaussianBlur", {
    in: "SourceAlpha",
    result: "shadowBlurInner1",
    stdDeviation: 5
  }), /*#__PURE__*/_react.default.createElement("feOffset", {
    dx: 4,
    dy: -3,
    in: "shadowBlurInner1",
    result: "shadowOffsetInner1"
  }), /*#__PURE__*/_react.default.createElement("feComposite", {
    in: "shadowOffsetInner1",
    in2: "SourceAlpha",
    k2: -1,
    k3: 1,
    operator: "arithmetic",
    result: "shadowInnerInner1"
  }), /*#__PURE__*/_react.default.createElement("feColorMatrix", {
    in: "shadowInnerInner1",
    result: "shadowMatrixInner1",
    values: "0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.37 0"
  }), /*#__PURE__*/_react.default.createElement("feOffset", {
    dx: -1,
    dy: -1,
    in: "SourceAlpha",
    result: "shadowOffsetInner2"
  }), /*#__PURE__*/_react.default.createElement("feComposite", {
    in: "shadowOffsetInner2",
    in2: "SourceAlpha",
    k2: -1,
    k3: 1,
    operator: "arithmetic",
    result: "shadowInnerInner2"
  }), /*#__PURE__*/_react.default.createElement("feColorMatrix", {
    in: "shadowInnerInner2",
    result: "shadowMatrixInner2",
    values: "0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 0.16 0"
  }), /*#__PURE__*/_react.default.createElement("feMerge", null, /*#__PURE__*/_react.default.createElement("feMergeNode", {
    in: "shadowMatrixInner1"
  }), /*#__PURE__*/_react.default.createElement("feMergeNode", {
    in: "shadowMatrixInner2"
  }))), /*#__PURE__*/_react.default.createElement("filter", {
    id: "Outlook_js__aa",
    width: "102.9%",
    height: "104.9%",
    x: "-1.4%",
    y: "-2.5%",
    filterUnits: "objectBoundingBox"
  }, /*#__PURE__*/_react.default.createElement("feOffset", {
    dx: -4,
    dy: -1,
    in: "SourceAlpha",
    result: "shadowOffsetInner1"
  }), /*#__PURE__*/_react.default.createElement("feComposite", {
    in: "shadowOffsetInner1",
    in2: "SourceAlpha",
    k2: -1,
    k3: 1,
    operator: "arithmetic",
    result: "shadowInnerInner1"
  }), /*#__PURE__*/_react.default.createElement("feColorMatrix", {
    in: "shadowInnerInner1",
    result: "shadowMatrixInner1",
    values: "0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 0.17 0"
  }), /*#__PURE__*/_react.default.createElement("feOffset", {
    dx: -1,
    dy: -1,
    in: "SourceAlpha",
    result: "shadowOffsetInner2"
  }), /*#__PURE__*/_react.default.createElement("feComposite", {
    in: "shadowOffsetInner2",
    in2: "SourceAlpha",
    k2: -1,
    k3: 1,
    operator: "arithmetic",
    result: "shadowInnerInner2"
  }), /*#__PURE__*/_react.default.createElement("feColorMatrix", {
    in: "shadowInnerInner2",
    result: "shadowMatrixInner2",
    values: "0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 0.16 0"
  }), /*#__PURE__*/_react.default.createElement("feMerge", null, /*#__PURE__*/_react.default.createElement("feMergeNode", {
    in: "shadowMatrixInner1"
  }), /*#__PURE__*/_react.default.createElement("feMergeNode", {
    in: "shadowMatrixInner2"
  }))), /*#__PURE__*/_react.default.createElement("filter", {
    id: "Outlook_js__ac",
    width: "117%",
    height: "117%",
    x: "-8.5%",
    y: "-8.5%",
    filterUnits: "objectBoundingBox"
  }, /*#__PURE__*/_react.default.createElement("feGaussianBlur", {
    in: "SourceGraphic",
    stdDeviation: 3
  })), /*#__PURE__*/_react.default.createElement("filter", {
    id: "Outlook_js__aj",
    width: "103.1%",
    height: "103.1%",
    x: "-1.6%",
    y: "-1.5%",
    filterUnits: "objectBoundingBox"
  }, /*#__PURE__*/_react.default.createElement("feGaussianBlur", {
    in: "SourceAlpha",
    result: "shadowBlurInner1",
    stdDeviation: 0.5
  }), /*#__PURE__*/_react.default.createElement("feOffset", {
    dx: -1,
    in: "shadowBlurInner1",
    result: "shadowOffsetInner1"
  }), /*#__PURE__*/_react.default.createElement("feComposite", {
    in: "shadowOffsetInner1",
    in2: "SourceAlpha",
    k2: -1,
    k3: 1,
    operator: "arithmetic",
    result: "shadowInnerInner1"
  }), /*#__PURE__*/_react.default.createElement("feColorMatrix", {
    in: "shadowInnerInner1",
    result: "shadowMatrixInner1",
    values: "0 0 0 0 0 0 0 0 0 0.466666667 0 0 0 0 0.88627451 0 0 0 1 0"
  }), /*#__PURE__*/_react.default.createElement("feGaussianBlur", {
    in: "SourceAlpha",
    result: "shadowBlurInner2",
    stdDeviation: 0.5
  }), /*#__PURE__*/_react.default.createElement("feOffset", {
    dx: 2,
    in: "shadowBlurInner2",
    result: "shadowOffsetInner2"
  }), /*#__PURE__*/_react.default.createElement("feComposite", {
    in: "shadowOffsetInner2",
    in2: "SourceAlpha",
    k2: -1,
    k3: 1,
    operator: "arithmetic",
    result: "shadowInnerInner2"
  }), /*#__PURE__*/_react.default.createElement("feColorMatrix", {
    in: "shadowInnerInner2",
    result: "shadowMatrixInner2",
    values: "0 0 0 0 0 0 0 0 0 0.4 0 0 0 0 0.737254902 0 0 0 1 0"
  }), /*#__PURE__*/_react.default.createElement("feMerge", null, /*#__PURE__*/_react.default.createElement("feMergeNode", {
    in: "shadowMatrixInner1"
  }), /*#__PURE__*/_react.default.createElement("feMergeNode", {
    in: "shadowMatrixInner2"
  }))), /*#__PURE__*/_react.default.createElement("filter", {
    id: "Outlook_js__al",
    width: "139.6%",
    height: "137.5%",
    x: "-19.8%",
    y: "-16.8%",
    filterUnits: "objectBoundingBox"
  }, /*#__PURE__*/_react.default.createElement("feOffset", {
    dy: 1,
    in: "SourceAlpha",
    result: "shadowOffsetOuter1"
  }), /*#__PURE__*/_react.default.createElement("feGaussianBlur", {
    in: "shadowOffsetOuter1",
    result: "shadowBlurOuter1",
    stdDeviation: 3
  }), /*#__PURE__*/_react.default.createElement("feColorMatrix", {
    in: "shadowBlurOuter1",
    result: "shadowMatrixOuter1",
    values: "0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.1 0"
  }), /*#__PURE__*/_react.default.createElement("feOffset", {
    dy: 1,
    in: "SourceAlpha",
    result: "shadowOffsetOuter2"
  }), /*#__PURE__*/_react.default.createElement("feGaussianBlur", {
    in: "shadowOffsetOuter2",
    result: "shadowBlurOuter2",
    stdDeviation: 0.5
  }), /*#__PURE__*/_react.default.createElement("feColorMatrix", {
    in: "shadowBlurOuter2",
    result: "shadowMatrixOuter2",
    values: "0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.1 0"
  }), /*#__PURE__*/_react.default.createElement("feMerge", null, /*#__PURE__*/_react.default.createElement("feMergeNode", {
    in: "shadowMatrixOuter1"
  }), /*#__PURE__*/_react.default.createElement("feMergeNode", {
    in: "shadowMatrixOuter2"
  }))), /*#__PURE__*/_react.default.createElement("linearGradient", {
    id: "Outlook_js__a",
    x1: "83.848%",
    y1: "17.27%",
    y2: "29.467%"
  }, /*#__PURE__*/_react.default.createElement("stop", {
    offset: "0%",
    stopColor: "#0052B2"
  }), /*#__PURE__*/_react.default.createElement("stop", {
    offset: "100%",
    stopColor: "#0052B2"
  })), /*#__PURE__*/_react.default.createElement("linearGradient", {
    id: "Outlook_js__f",
    x1: "104.505%",
    x2: "5.953%",
    y1: "2.109%",
    y2: "2.109%"
  }, /*#__PURE__*/_react.default.createElement("stop", {
    offset: "0%",
    stopColor: "#004CA9"
  }), /*#__PURE__*/_react.default.createElement("stop", {
    offset: "100%",
    stopColor: "#003D88"
  })), /*#__PURE__*/_react.default.createElement("linearGradient", {
    id: "Outlook_js__j",
    x1: "3.848%",
    x2: "103.648%",
    y1: "0%",
    y2: "100%"
  }, /*#__PURE__*/_react.default.createElement("stop", {
    offset: "3.008%",
    stopColor: "#004DA6"
  }), /*#__PURE__*/_react.default.createElement("stop", {
    offset: "100%",
    stopColor: "#005ACB"
  })), /*#__PURE__*/_react.default.createElement("linearGradient", {
    id: "Outlook_js__n",
    x1: "6.85%",
    x2: "103.648%",
    y1: "3.008%",
    y2: "100%"
  }, /*#__PURE__*/_react.default.createElement("stop", {
    offset: "0%",
    stopColor: "#05448D"
  }), /*#__PURE__*/_react.default.createElement("stop", {
    offset: "97.561%",
    stopColor: "#004BB7"
  })), /*#__PURE__*/_react.default.createElement("linearGradient", {
    id: "Outlook_js__r",
    x1: "11.155%",
    x2: "100.481%",
    y1: "7.321%",
    y2: "96.827%"
  }, /*#__PURE__*/_react.default.createElement("stop", {
    offset: "0%",
    stopColor: "#012557"
  }), /*#__PURE__*/_react.default.createElement("stop", {
    offset: "100%",
    stopColor: "#0040A7"
  })), /*#__PURE__*/_react.default.createElement("linearGradient", {
    id: "Outlook_js__v",
    x1: "103.648%",
    x2: "4.908%",
    y1: "100%",
    y2: "1.061%"
  }, /*#__PURE__*/_react.default.createElement("stop", {
    offset: "0%",
    stopColor: "#009CE9"
  }), /*#__PURE__*/_react.default.createElement("stop", {
    offset: "100%",
    stopColor: "#007FC4"
  })), /*#__PURE__*/_react.default.createElement("linearGradient", {
    id: "Outlook_js__z",
    x1: "3.848%",
    x2: "103.648%",
    y1: "0%",
    y2: "100%"
  }, /*#__PURE__*/_react.default.createElement("stop", {
    offset: "0%",
    stopColor: "#0057C8"
  }), /*#__PURE__*/_react.default.createElement("stop", {
    offset: "100%",
    stopColor: "#0071E8"
  })), /*#__PURE__*/_react.default.createElement("linearGradient", {
    id: "Outlook_js__D",
    x1: "3.848%",
    x2: "103.648%",
    y1: "0%",
    y2: "100%"
  }, /*#__PURE__*/_react.default.createElement("stop", {
    offset: "0%",
    stopColor: "#004CB7"
  }), /*#__PURE__*/_react.default.createElement("stop", {
    offset: "100%",
    stopColor: "#0062D1"
  })), /*#__PURE__*/_react.default.createElement("linearGradient", {
    id: "Outlook_js__H",
    x1: "103.648%",
    x2: "3.848%",
    y1: "100%",
    y2: "0%"
  }, /*#__PURE__*/_react.default.createElement("stop", {
    offset: "0%",
    stopColor: "#00DFFF"
  }), /*#__PURE__*/_react.default.createElement("stop", {
    offset: "100%",
    stopColor: "#00B3E8"
  })), /*#__PURE__*/_react.default.createElement("linearGradient", {
    id: "Outlook_js__L",
    x1: "103.648%",
    x2: "3.848%",
    y1: "100%",
    y2: "0%"
  }, /*#__PURE__*/_react.default.createElement("stop", {
    offset: "0%",
    stopColor: "#00C2FF"
  }), /*#__PURE__*/_react.default.createElement("stop", {
    offset: "100%",
    stopColor: "#00A1ED"
  })), /*#__PURE__*/_react.default.createElement("linearGradient", {
    id: "Outlook_js__P",
    x1: "3.848%",
    x2: "103.648%",
    y1: "0%",
    y2: "100%"
  }, /*#__PURE__*/_react.default.createElement("stop", {
    offset: "0%",
    stopColor: "#0061CC"
  }), /*#__PURE__*/_react.default.createElement("stop", {
    offset: "100%",
    stopColor: "#0173EF"
  })), /*#__PURE__*/_react.default.createElement("linearGradient", {
    id: "Outlook_js__T",
    x1: "96.375%",
    x2: "-2.72%",
    y1: "87.174%",
    y2: "39.981%"
  }, /*#__PURE__*/_react.default.createElement("stop", {
    offset: "0%",
    stopColor: "#00E2FF"
  }), /*#__PURE__*/_react.default.createElement("stop", {
    offset: "100%",
    stopColor: "#00B9FF"
  }), /*#__PURE__*/_react.default.createElement("stop", {
    offset: "100%",
    stopColor: "#00E3FF"
  })), /*#__PURE__*/_react.default.createElement("linearGradient", {
    id: "Outlook_js__X",
    x1: "12.047%",
    y1: "39.087%",
    y2: "100%"
  }, /*#__PURE__*/_react.default.createElement("stop", {
    offset: "0%",
    stopColor: "#009CE6"
  }), /*#__PURE__*/_react.default.createElement("stop", {
    offset: "100%",
    stopColor: "#00F3FF"
  })), /*#__PURE__*/_react.default.createElement("linearGradient", {
    id: "Outlook_js__af",
    x1: "2.151%",
    x2: "113.177%",
    y1: "9.713%",
    y2: "104.673%"
  }, /*#__PURE__*/_react.default.createElement("stop", {
    offset: "0%",
    stopColor: "#00438D"
  }), /*#__PURE__*/_react.default.createElement("stop", {
    offset: "96.954%",
    stopColor: "#0071D5"
  })), /*#__PURE__*/_react.default.createElement("linearGradient", {
    id: "Outlook_js__an",
    x1: "29.468%",
    x2: "97.963%",
    y1: "50%",
    y2: "50%"
  }, /*#__PURE__*/_react.default.createElement("stop", {
    offset: "0%",
    stopColor: "#F0F0F0"
  }), /*#__PURE__*/_react.default.createElement("stop", {
    offset: "100%",
    stopColor: "#FFF"
  })), /*#__PURE__*/_react.default.createElement("pattern", {
    id: "Outlook_js__c",
    width: 512,
    height: 512,
    x: -511,
    y: -454,
    patternUnits: "userSpaceOnUse"
  }, /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__a"
  })), /*#__PURE__*/_react.default.createElement("pattern", {
    id: "Outlook_js__g",
    width: 512,
    height: 512,
    x: -512,
    y: -512,
    patternUnits: "userSpaceOnUse"
  }, /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__b"
  })), /*#__PURE__*/_react.default.createElement("pattern", {
    id: "Outlook_js__l",
    width: 512,
    height: 512,
    x: -512,
    y: -499,
    patternUnits: "userSpaceOnUse"
  }, /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__c"
  })), /*#__PURE__*/_react.default.createElement("pattern", {
    id: "Outlook_js__p",
    width: 512,
    height: 512,
    x: -512,
    y: -462,
    patternUnits: "userSpaceOnUse"
  }, /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__d"
  })), /*#__PURE__*/_react.default.createElement("pattern", {
    id: "Outlook_js__t",
    width: 512,
    height: 512,
    x: -512,
    y: -425,
    patternUnits: "userSpaceOnUse"
  }, /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__e"
  })), /*#__PURE__*/_react.default.createElement("pattern", {
    id: "Outlook_js__x",
    width: 512,
    height: 512,
    x: -470,
    y: -499,
    patternUnits: "userSpaceOnUse"
  }, /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__f"
  })), /*#__PURE__*/_react.default.createElement("pattern", {
    id: "Outlook_js__B",
    width: 512,
    height: 512,
    x: -470,
    y: -462,
    patternUnits: "userSpaceOnUse"
  }, /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__g"
  })), /*#__PURE__*/_react.default.createElement("pattern", {
    id: "Outlook_js__F",
    width: 512,
    height: 512,
    x: -470,
    y: -425,
    patternUnits: "userSpaceOnUse"
  }, /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__h"
  })), /*#__PURE__*/_react.default.createElement("pattern", {
    id: "Outlook_js__J",
    width: 512,
    height: 512,
    x: -428,
    y: -499,
    patternUnits: "userSpaceOnUse"
  }, /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__i"
  })), /*#__PURE__*/_react.default.createElement("pattern", {
    id: "Outlook_js__N",
    width: 512,
    height: 512,
    x: -428,
    y: -462,
    patternUnits: "userSpaceOnUse"
  }, /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__j"
  })), /*#__PURE__*/_react.default.createElement("pattern", {
    id: "Outlook_js__R",
    width: 512,
    height: 512,
    x: -428,
    y: -425,
    patternUnits: "userSpaceOnUse"
  }, /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__k"
  })), /*#__PURE__*/_react.default.createElement("pattern", {
    id: "Outlook_js__V",
    width: 512,
    height: 512,
    x: -443.923,
    y: -512,
    patternUnits: "userSpaceOnUse"
  }, /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__l"
  })), /*#__PURE__*/_react.default.createElement("pattern", {
    id: "Outlook_js__Z",
    width: 512,
    height: 512,
    x: -511.2,
    y: -512,
    patternUnits: "userSpaceOnUse"
  }, /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__m"
  })), /*#__PURE__*/_react.default.createElement("pattern", {
    id: "Outlook_js__ah",
    width: 512,
    height: 512,
    x: -512,
    y: -512,
    patternUnits: "userSpaceOnUse"
  }, /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__n"
  })), /*#__PURE__*/_react.default.createElement("path", {
    id: "Outlook_js__k",
    d: "M0 13h42v37H0z"
  }), /*#__PURE__*/_react.default.createElement("path", {
    id: "Outlook_js__o",
    d: "M0 50h42v37H0z"
  }), /*#__PURE__*/_react.default.createElement("path", {
    id: "Outlook_js__s",
    d: "M0 87h42v37H0z"
  }), /*#__PURE__*/_react.default.createElement("path", {
    id: "Outlook_js__w",
    d: "M42 13h42v37H42z"
  }), /*#__PURE__*/_react.default.createElement("path", {
    id: "Outlook_js__A",
    d: "M42 50h42v37H42z"
  }), /*#__PURE__*/_react.default.createElement("path", {
    id: "Outlook_js__E",
    d: "M42 87h42v37H42z"
  }), /*#__PURE__*/_react.default.createElement("path", {
    id: "Outlook_js__I",
    d: "M84 13h42v37H84z"
  }), /*#__PURE__*/_react.default.createElement("path", {
    id: "Outlook_js__M",
    d: "M84 50h42v37H84z"
  }), /*#__PURE__*/_react.default.createElement("path", {
    id: "Outlook_js__Q",
    d: "M84 87h42v37H84z"
  }), /*#__PURE__*/_react.default.createElement("path", {
    id: "Outlook_js__b",
    d: "M6.83 76.357 72 58l65.17 18.357a8 8 0 0 1 5.83 7.7v69.398H1V84.058a8 8 0 0 1 5.83-7.7Z"
  }), /*#__PURE__*/_react.default.createElement("path", {
    id: "Outlook_js__U",
    d: "M139.002 79.714 68.077 38.839c2.477 1.429 5.549 1.29 8.024-.142L143 0v72.904c0 4.419-3.928 6.772-3.998 6.81Z"
  }), /*#__PURE__*/_react.default.createElement("path", {
    id: "Outlook_js__Y",
    d: "m.8 0 138.202 79.714a7.963 7.963 0 0 1-4.202 1.19H8.8a8 8 0 0 1-8-8V0Z"
  }), /*#__PURE__*/_react.default.createElement("path", {
    id: "Outlook_js__ab",
    d: "M8 75.746V8a8 8 0 0 1 8-8h110a8 8 0 0 1 8 8v67.746l2.17.611a8 8 0 0 1 5.83 7.7V157a8 8 0 0 1-8 8H8a8 8 0 0 1-8-8V84.058a8 8 0 0 1 5.83-7.7L8 75.745Z"
  }), /*#__PURE__*/_react.default.createElement("path", {
    id: "Outlook_js__am",
    d: "M47.79 73.688c-7.02 0-12.739-2.284-17.16-6.853C26.21 62.267 24 56.314 24 48.977c0-7.748 2.244-14.014 6.733-18.8C35.223 25.394 41.17 23 48.575 23c6.996 0 12.652 2.29 16.97 6.87s6.477 10.619 6.477 18.115c0 7.702-2.238 13.911-6.716 18.628-4.477 4.717-10.316 7.075-17.517 7.075Zm.498-42.186c-4.186 0-7.51 1.544-9.973 4.633-2.463 3.09-3.694 7.177-3.694 12.265 0 5.16 1.231 9.242 3.694 12.246 2.462 3.004 5.688 4.506 9.678 4.506 4.112 0 7.375-1.46 9.788-4.379 2.414-2.919 3.62-6.97 3.62-12.155 0-5.403-1.17-9.606-3.509-12.61-2.34-3.004-5.54-4.506-9.604-4.506Z"
  }), /*#__PURE__*/_react.default.createElement("rect", {
    id: "Outlook_js__e",
    width: 126,
    height: 165,
    rx: 8
  }), /*#__PURE__*/_react.default.createElement("rect", {
    id: "Outlook_js__ae",
    width: 96,
    height: 96,
    rx: 8
  }), /*#__PURE__*/_react.default.createElement("rect", {
    id: "Outlook_js__ak",
    width: 96,
    height: 98,
    y: -1,
    rx: 8
  }), /*#__PURE__*/_react.default.createElement("radialGradient", {
    id: "Outlook_js__ag",
    cx: "86.601%",
    cy: "84.21%",
    r: "62.398%",
    fx: "86.601%",
    fy: "84.21%"
  }, /*#__PURE__*/_react.default.createElement("stop", {
    offset: "0%",
    stopColor: "#004F9D"
  }), /*#__PURE__*/_react.default.createElement("stop", {
    offset: "100%",
    stopColor: "#004F9D",
    stopOpacity: 0
  }))), /*#__PURE__*/_react.default.createElement("g", {
    fill: "none",
    fillRule: "evenodd"
  }, /*#__PURE__*/_react.default.createElement("g", {
    transform: "translate(47)"
  }, /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__b",
    fill: "url(#Outlook_js__a)"
  }), /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__b",
    fill: "url(#Outlook_js__c)",
    fillOpacity: 0.012
  }), /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__b",
    fill: "#000",
    filter: "url(#Outlook_js__d)"
  }), /*#__PURE__*/_react.default.createElement("g", {
    transform: "translate(9)"
  }, /*#__PURE__*/_react.default.createElement("mask", {
    id: "Outlook_js__i",
    fill: "#fff"
  }, /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__e"
  })), /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__e",
    fill: "url(#Outlook_js__f)"
  }), /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__e",
    fill: "url(#Outlook_js__g)",
    fillOpacity: 0.012
  }), /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__e",
    fill: "#000",
    filter: "url(#Outlook_js__h)"
  }), /*#__PURE__*/_react.default.createElement("g", {
    mask: "url(#Outlook_js__i)"
  }, /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__k",
    fill: "url(#Outlook_js__j)"
  }), /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__k",
    fill: "url(#Outlook_js__l)",
    fillOpacity: 0.012
  }), /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__k",
    fill: "#000",
    filter: "url(#Outlook_js__m)"
  })), /*#__PURE__*/_react.default.createElement("g", {
    mask: "url(#Outlook_js__i)"
  }, /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__o",
    fill: "url(#Outlook_js__n)"
  }), /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__o",
    fill: "url(#Outlook_js__p)",
    fillOpacity: 0.012
  }), /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__o",
    fill: "#000",
    filter: "url(#Outlook_js__q)"
  })), /*#__PURE__*/_react.default.createElement("g", {
    mask: "url(#Outlook_js__i)"
  }, /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__s",
    fill: "url(#Outlook_js__r)"
  }), /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__s",
    fill: "url(#Outlook_js__t)",
    fillOpacity: 0.012
  }), /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__s",
    fill: "#000",
    filter: "url(#Outlook_js__u)"
  })), /*#__PURE__*/_react.default.createElement("g", {
    mask: "url(#Outlook_js__i)"
  }, /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__w",
    fill: "url(#Outlook_js__v)"
  }), /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__w",
    fill: "url(#Outlook_js__x)",
    fillOpacity: 0.012
  }), /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__w",
    fill: "#000",
    filter: "url(#Outlook_js__y)"
  })), /*#__PURE__*/_react.default.createElement("g", {
    mask: "url(#Outlook_js__i)"
  }, /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__A",
    fill: "url(#Outlook_js__z)"
  }), /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__A",
    fill: "url(#Outlook_js__B)",
    fillOpacity: 0.012
  }), /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__A",
    fill: "#000",
    filter: "url(#Outlook_js__C)"
  })), /*#__PURE__*/_react.default.createElement("g", {
    mask: "url(#Outlook_js__i)"
  }, /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__E",
    fill: "url(#Outlook_js__D)"
  }), /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__E",
    fill: "url(#Outlook_js__F)",
    fillOpacity: 0.012
  }), /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__E",
    fill: "#000",
    filter: "url(#Outlook_js__G)"
  })), /*#__PURE__*/_react.default.createElement("g", {
    mask: "url(#Outlook_js__i)"
  }, /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__I",
    fill: "url(#Outlook_js__H)"
  }), /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__I",
    fill: "url(#Outlook_js__J)",
    fillOpacity: 0.012
  }), /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__I",
    fill: "#000",
    filter: "url(#Outlook_js__K)"
  })), /*#__PURE__*/_react.default.createElement("g", {
    mask: "url(#Outlook_js__i)"
  }, /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__M",
    fill: "url(#Outlook_js__L)"
  }), /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__M",
    fill: "url(#Outlook_js__N)",
    fillOpacity: 0.012
  }), /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__M",
    fill: "#000",
    filter: "url(#Outlook_js__O)"
  })), /*#__PURE__*/_react.default.createElement("g", {
    mask: "url(#Outlook_js__i)"
  }, /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__Q",
    fill: "url(#Outlook_js__P)"
  }), /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__Q",
    fill: "url(#Outlook_js__R)",
    fillOpacity: 0.012
  }), /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__Q",
    fill: "#000",
    filter: "url(#Outlook_js__S)"
  }))), /*#__PURE__*/_react.default.createElement("g", {
    transform: "translate(0 84)"
  }, /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__U",
    fill: "url(#Outlook_js__T)"
  }), /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__U",
    fill: "url(#Outlook_js__V)",
    fillOpacity: 0.012
  }), /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__U",
    fill: "#000",
    filter: "url(#Outlook_js__W)"
  }), /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__Y",
    fill: "url(#Outlook_js__X)"
  }), /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__Y",
    fill: "url(#Outlook_js__Z)",
    fillOpacity: 0.012
  }), /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__Y",
    fill: "#000",
    filter: "url(#Outlook_js__aa)"
  }))), /*#__PURE__*/_react.default.createElement("g", {
    transform: "translate(48)"
  }, /*#__PURE__*/_react.default.createElement("mask", {
    id: "Outlook_js__ad",
    fill: "#fff"
  }, /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__ab"
  })), /*#__PURE__*/_react.default.createElement("path", {
    fill: "#000",
    fillOpacity: 0.05,
    d: "M-40 33h80a8 8 0 0 1 8 8v80c0 4.418-13.582 18-18 18h-80a8 8 0 0 1-8-8V51c0-4.418 13.582-18 18-18Z",
    filter: "url(#Outlook_js__ac)",
    mask: "url(#Outlook_js__ad)"
  })), /*#__PURE__*/_react.default.createElement("g", {
    transform: "translate(0 34)"
  }, /*#__PURE__*/_react.default.createElement("mask", {
    id: "Outlook_js__ai",
    fill: "#fff"
  }, /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__ae"
  })), /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__ae",
    fill: "url(#Outlook_js__af)"
  }), /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__ae",
    fill: "url(#Outlook_js__ag)"
  }), /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__ae",
    fill: "url(#Outlook_js__ah)",
    fillOpacity: 0.013
  }), /*#__PURE__*/_react.default.createElement("g", {
    fill: "#000",
    mask: "url(#Outlook_js__ai)"
  }, /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__ak",
    filter: "url(#Outlook_js__aj)"
  })), /*#__PURE__*/_react.default.createElement("g", {
    mask: "url(#Outlook_js__ai)"
  }, /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__am",
    fill: "#000",
    filter: "url(#Outlook_js__al)"
  }), /*#__PURE__*/_react.default.createElement("use", {
    xlinkHref: "#Outlook_js__am",
    fill: "url(#Outlook_js__an)"
  })))));
};

var _default = Outlook;
exports.default = _default;
//# sourceMappingURL=Outlook.js.map