"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["width", "height"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var NeetoEngage = function NeetoEngage(_ref) {
  var _ref$width = _ref.width,
      width = _ref$width === void 0 ? "100%" : _ref$width,
      _ref$height = _ref.height,
      height = _ref$height === void 0 ? 36 : _ref$height,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: width,
    height: height,
    viewBox: "0 0 806 169",
    fill: "none"
  }, props), /*#__PURE__*/_react.default.createElement("g", {
    clipPath: "url(#NeetoEngage_js__clip0_2371_146)",
    "data-logo-icon": "neeto-typeface-logo__icon"
  }, /*#__PURE__*/_react.default.createElement("circle", {
    cx: 60.0616,
    cy: 104.456,
    r: 28.5924,
    fill: "#75DC66"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M14.6875 68.7142C14.6875 51.0349 29.0193 36.7031 46.6985 36.7031H64.4134V100.725H46.6986C29.0193 100.725 14.6875 86.3934 14.6875 68.7142Z",
    fill: "#5BCC5A"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M64.4131 36.7037L128.479 9.32515C132.58 7.57265 137.137 10.5812 137.137 15.0408V122.389C137.137 126.848 132.58 129.857 128.479 128.104L64.4131 100.726V36.7037Z",
    fill: "#5BCC5A"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M64.4128 76.1921V100.725H46.698C41.5441 100.725 36.6746 99.5072 32.3618 97.3433C35.5234 84.9931 46.7268 75.8633 60.0626 75.8633C61.5416 75.8633 62.9943 75.9756 64.4128 76.1921Z",
    fill: "#0DA84C"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M87.9525 110.78L64.4141 100.721V76.1875C78.1402 78.2831 88.6555 90.1391 88.6555 104.451C88.6555 106.626 88.4126 108.744 87.9525 110.78Z",
    fill: "#0DA84C"
  })), /*#__PURE__*/_react.default.createElement("g", {
    clipPath: "url(#NeetoEngage_js__clip1_2371_146)",
    "data-logo-text": "neeto-typeface-logo__text"
  }, /*#__PURE__*/_react.default.createElement("path", {
    d: "M188.913 67.9797V88.1594H216.011V100.959H188.913V122.292H219.471V135.438H172.769V54.8341H219.471V67.9797H188.913ZM267.236 70.6319C274.847 70.6319 280.997 73.0534 285.686 77.8966C290.375 82.6628 292.72 89.3509 292.72 97.9609V135.438H276.576V100.152C276.576 95.0781 275.308 91.1959 272.771 88.5053C270.234 85.7378 266.775 84.3541 262.393 84.3541C257.934 84.3541 254.398 85.7378 251.784 88.5053C249.247 91.1959 247.979 95.0781 247.979 100.152V135.438H231.835V71.5544H247.979V79.5109C250.131 76.7434 252.861 74.5909 256.166 73.0534C259.549 71.4391 263.239 70.6319 267.236 70.6319ZM330.789 70.5166C335.555 70.5166 339.745 71.4775 343.358 73.3994C346.971 75.2444 349.815 77.6659 351.891 80.6641V71.5544H368.15V135.899C368.15 141.818 366.958 147.084 364.575 151.697C362.192 156.386 358.617 160.076 353.851 162.767C349.085 165.534 343.319 166.918 336.554 166.918C327.483 166.918 320.026 164.804 314.184 160.576C308.418 156.348 305.151 150.582 304.382 143.279H320.411C321.256 146.2 323.063 148.506 325.83 150.198C328.675 151.966 332.096 152.85 336.093 152.85C340.782 152.85 344.588 151.428 347.509 148.583C350.43 145.816 351.891 141.588 351.891 135.899V125.982C349.815 128.98 346.932 131.478 343.242 133.477C339.629 135.476 335.478 136.475 330.789 136.475C325.407 136.475 320.487 135.092 316.029 132.324C311.57 129.557 308.034 125.674 305.42 120.677C302.883 115.604 301.615 109.8 301.615 103.265C301.615 96.8078 302.883 91.0806 305.42 86.0837C308.034 81.0869 311.531 77.2431 315.913 74.5525C320.372 71.8619 325.331 70.5166 330.789 70.5166ZM351.891 103.496C351.891 99.5753 351.122 96.2312 349.585 93.4637C348.047 90.6194 345.971 88.4669 343.358 87.0062C340.744 85.4687 337.938 84.7 334.94 84.7C331.942 84.7 329.174 85.4303 326.637 86.8909C324.101 88.3516 322.025 90.5041 320.411 93.3484C318.873 96.1159 318.104 99.4216 318.104 103.265C318.104 107.109 318.873 110.492 320.411 113.413C322.025 116.257 324.101 118.448 326.637 119.986C329.251 121.523 332.019 122.292 334.94 122.292C337.938 122.292 340.744 121.562 343.358 120.101C345.971 118.563 348.047 116.411 349.585 113.643C351.122 110.799 351.891 107.417 351.891 103.496ZM377.46 103.265C377.46 96.8078 378.728 91.0806 381.265 86.0837C383.879 81.0869 387.376 77.2431 391.758 74.5525C396.217 71.8619 401.176 70.5166 406.634 70.5166C411.4 70.5166 415.551 71.4775 419.087 73.3994C422.701 75.3212 425.583 77.7428 427.736 80.6641V71.5544H443.995V135.438H427.736V126.097C425.66 129.095 422.777 131.594 419.087 133.592C415.474 135.514 411.285 136.475 406.518 136.475C401.137 136.475 396.217 135.092 391.758 132.324C387.376 129.557 383.879 125.674 381.265 120.677C378.728 115.604 377.46 109.8 377.46 103.265ZM427.736 103.496C427.736 99.5753 426.967 96.2312 425.43 93.4637C423.892 90.6194 421.816 88.4669 419.203 87.0062C416.589 85.4687 413.783 84.7 410.785 84.7C407.787 84.7 405.019 85.4303 402.482 86.8909C399.946 88.3516 397.87 90.5041 396.256 93.3484C394.718 96.1159 393.949 99.4216 393.949 103.265C393.949 107.109 394.718 110.492 396.256 113.413C397.87 116.257 399.946 118.448 402.482 119.986C405.096 121.523 407.864 122.292 410.785 122.292C413.783 122.292 416.589 121.562 419.203 120.101C421.816 118.563 423.892 116.411 425.43 113.643C426.967 110.799 427.736 107.417 427.736 103.496ZM482.479 70.5166C487.245 70.5166 491.435 71.4775 495.048 73.3994C498.661 75.2444 501.505 77.6659 503.581 80.6641V71.5544H519.84V135.899C519.84 141.818 518.648 147.084 516.265 151.697C513.882 156.386 510.307 160.076 505.541 162.767C500.775 165.534 495.009 166.918 488.244 166.918C479.173 166.918 471.716 164.804 465.874 160.576C460.108 156.348 456.841 150.582 456.072 143.279H472.1C472.946 146.2 474.753 148.506 477.52 150.198C480.365 151.966 483.785 152.85 487.783 152.85C492.472 152.85 496.278 151.428 499.199 148.583C502.12 145.816 503.581 141.588 503.581 135.899V125.982C501.505 128.98 498.622 131.478 494.932 133.477C491.319 135.476 487.168 136.475 482.479 136.475C477.097 136.475 472.177 135.092 467.719 132.324C463.26 129.557 459.724 125.674 457.11 120.677C454.573 115.604 453.305 109.8 453.305 103.265C453.305 96.8078 454.573 91.0806 457.11 86.0837C459.724 81.0869 463.221 77.2431 467.603 74.5525C472.062 71.8619 477.02 70.5166 482.479 70.5166ZM503.581 103.496C503.581 99.5753 502.812 96.2312 501.275 93.4637C499.737 90.6194 497.661 88.4669 495.048 87.0062C492.434 85.4687 489.628 84.7 486.63 84.7C483.632 84.7 480.864 85.4303 478.327 86.8909C475.79 88.3516 473.715 90.5041 472.1 93.3484C470.563 96.1159 469.794 99.4216 469.794 103.265C469.794 107.109 470.563 110.492 472.1 113.413C473.715 116.257 475.79 118.448 478.327 119.986C480.941 121.523 483.709 122.292 486.63 122.292C489.628 122.292 492.434 121.562 495.048 120.101C497.661 118.563 499.737 116.411 501.275 113.643C502.812 110.799 503.581 107.417 503.581 103.496ZM592.687 102.112C592.687 104.418 592.533 106.494 592.225 108.339H545.524C545.908 112.952 547.523 116.565 550.367 119.178C553.211 121.792 556.709 123.099 560.86 123.099C566.857 123.099 571.123 120.524 573.66 115.373H591.072C589.227 121.523 585.691 126.597 580.464 130.594C575.236 134.515 568.817 136.475 561.206 136.475C555.056 136.475 549.521 135.13 544.601 132.439C539.758 129.672 535.953 125.79 533.185 120.793C530.495 115.796 529.15 110.03 529.15 103.496C529.15 96.8847 530.495 91.0806 533.185 86.0837C535.876 81.0869 539.643 77.2431 544.486 74.5525C549.329 71.8619 554.903 70.5166 561.206 70.5166C567.28 70.5166 572.699 71.8234 577.465 74.4372C582.309 77.0509 586.037 80.7794 588.651 85.6225C591.341 90.3887 592.687 95.8853 592.687 102.112ZM575.966 97.4997C575.89 93.3484 574.39 90.0428 571.469 87.5828C568.548 85.0459 564.973 83.7775 560.745 83.7775C556.748 83.7775 553.365 85.0075 550.598 87.4675C547.907 89.8506 546.254 93.1947 545.639 97.4997H575.966Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M229.747 25.3847C229.747 26.2481 229.689 27.0252 229.574 27.716H212.103C212.247 29.4429 212.851 30.7956 213.915 31.7742C214.979 32.7527 216.288 33.242 217.841 33.242C220.084 33.242 221.68 32.2778 222.629 30.3495H229.143C228.452 32.652 227.13 34.5516 225.174 36.0482C223.219 37.5161 220.817 38.25 217.97 38.25C215.669 38.25 213.599 37.7463 211.758 36.739C209.947 35.7028 208.523 34.2494 207.488 32.3786C206.481 30.5078 205.978 28.3492 205.978 25.9028C205.978 23.4275 206.481 21.2545 207.488 19.3837C208.494 17.513 209.903 16.0739 211.715 15.0665C213.527 14.0592 215.612 13.5555 217.97 13.5555C220.242 13.5555 222.269 14.0448 224.052 15.0234C225.864 16.0019 227.259 17.3978 228.237 19.2111C229.243 20.9955 229.747 23.0534 229.747 25.3847ZM223.492 23.6578C223.463 22.1036 222.902 20.866 221.809 19.945C220.717 18.9952 219.379 18.5203 217.798 18.5203C216.302 18.5203 215.037 18.9808 214.002 19.9018C212.995 20.794 212.377 22.046 212.147 23.6578H223.492Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M256.37 25.3847C256.37 26.2481 256.313 27.0252 256.198 27.716H238.727C238.871 29.4429 239.475 30.7956 240.539 31.7742C241.603 32.7527 242.912 33.242 244.465 33.242C246.708 33.242 248.304 32.2778 249.253 30.3495H255.766C255.076 32.652 253.753 34.5516 251.798 36.0482C249.842 37.5161 247.441 38.25 244.594 38.25C242.293 38.25 240.223 37.7463 238.382 36.739C236.57 35.7028 235.147 34.2494 234.112 32.3786C233.105 30.5078 232.602 28.3492 232.602 25.9028C232.602 23.4275 233.105 21.2545 234.112 19.3837C235.118 17.513 236.527 16.0739 238.339 15.0665C240.151 14.0592 242.236 13.5555 244.594 13.5555C246.866 13.5555 248.893 14.0448 250.676 15.0234C252.488 16.0019 253.883 17.3978 254.861 19.2111C255.867 20.9955 256.37 23.0534 256.37 25.3847ZM250.115 23.6578C250.087 22.1036 249.526 20.866 248.433 19.945C247.34 18.9952 246.003 18.5203 244.421 18.5203C242.926 18.5203 241.661 18.9808 240.625 19.9018C239.619 20.794 239 22.046 238.77 23.6578H250.115Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M267.91 18.8624V30.5365C267.91 31.3424 268.122 31.8749 268.496 32.249C268.899 32.5944 269.56 32.7671 270.481 32.7671H273.285V37.8614H269.489C264.398 37.8614 261.963 35.258 261.963 30.3076V18.8624H258.761V13.8265H261.963V7.875H267.91V13.8265H273.285V18.8624H267.91Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M288.114 38.25C285.814 38.25 283.743 37.7463 281.903 36.739C280.062 35.7028 278.61 34.2494 277.546 32.3786C276.51 30.5078 275.993 28.3492 275.993 25.9028C275.993 23.4563 276.525 21.2977 277.589 19.4269C278.682 17.5561 280.163 16.1171 282.032 15.1097C283.901 14.0736 285.986 13.5555 288.287 13.5555C290.588 13.5555 292.673 14.0736 294.542 15.1097C296.411 16.1171 297.878 17.5561 298.942 19.4269C300.035 21.2977 300.581 23.4563 300.581 25.9028C300.581 28.3492 300.02 30.5078 298.899 32.3786C297.806 34.2494 296.31 35.7028 294.412 36.739C292.543 37.7463 290.444 38.25 288.114 38.25ZM288.114 32.983C289.207 32.983 290.228 32.724 291.177 32.2059C292.155 31.659 292.931 30.8532 293.507 29.7882C294.082 28.7233 294.369 27.4282 294.369 25.9028C294.369 23.629 293.765 21.8877 292.557 20.6789C291.378 19.4413 289.926 18.8225 288.201 18.8225C286.475 18.8225 285.023 19.4413 283.844 20.6789C282.693 21.8877 282.118 23.629 282.118 25.9028C282.118 28.1765 282.679 29.9322 283.801 31.1698C284.951 32.3786 286.389 32.983 288.114 32.983Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M200.877 7.875H189.284L200.877 25.2653V7.875Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M172.125 38.25L172.125 7.875H180.497L200.877 38.25H192.261L178.849 18.541V38.25H172.125Z",
    fill: "black",
    "data-dark-mode-color": "true"
  })), /*#__PURE__*/_react.default.createElement("defs", null, /*#__PURE__*/_react.default.createElement("clipPath", {
    id: "NeetoEngage_js__clip0_2371_146"
  }, /*#__PURE__*/_react.default.createElement("rect", {
    width: 128.25,
    height: 128.25,
    fill: "white",
    transform: "translate(11.875 7.875)"
  })), /*#__PURE__*/_react.default.createElement("clipPath", {
    id: "NeetoEngage_js__clip1_2371_146"
  }, /*#__PURE__*/_react.default.createElement("rect", {
    width: 440.438,
    height: 168.75,
    fill: "white",
    transform: "translate(163.688)"
  }))));
};

var _default = NeetoEngage;
exports.default = _default;
//# sourceMappingURL=NeetoEngage.js.map