"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["width", "height"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var NeetoPlanner = function NeetoPlanner(_ref) {
  var _ref$width = _ref.width,
      width = _ref$width === void 0 ? "100%" : _ref$width,
      _ref$height = _ref.height,
      height = _ref$height === void 0 ? 36 : _ref$height,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: width,
    height: height,
    viewBox: "0 0 606 153",
    fill: "none"
  }, props), /*#__PURE__*/_react.default.createElement("g", {
    clipPath: "url(#NeetoPlanner_js__clip0_318_35894)",
    "data-logo-icon": "neeto-typeface-logo__icon"
  }, /*#__PURE__*/_react.default.createElement("path", {
    d: "M7.3125 14.625C7.3125 10.8971 10.3346 7.875 14.0625 7.875H50.0625V129.375C50.0625 133.103 47.0404 136.125 43.3125 136.125H12.4425C9.60928 136.125 7.3125 133.828 7.3125 130.995V14.625Z",
    fill: "#5BCC5A"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M92.8125 86.625C92.8125 90.3529 89.7904 93.375 86.0625 93.375H56.8125C53.0846 93.375 50.0625 90.3529 50.0625 86.625L50.0625 7.875H92.8125V86.625Z",
    fill: "#5BCC5A"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M92.8125 50.625H55.1925C52.3593 50.625 50.0625 52.9218 50.0625 55.755V93.375H86.0625C89.7904 93.375 92.8125 90.3529 92.8125 86.625V50.625Z",
    fill: "#0DA84C"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M92.8125 7.875H128.812C132.54 7.875 135.562 10.8971 135.562 14.625V65.25C135.562 68.9779 132.54 72 128.812 72H92.8125V7.875Z",
    fill: "#75DC66"
  })), /*#__PURE__*/_react.default.createElement("g", {
    "data-logo-text": "neeto-typeface-logo__text"
  }, /*#__PURE__*/_react.default.createElement("path", {
    d: "M230.901 79.9811C230.901 84.2861 229.863 88.322 227.787 92.0889C225.789 95.8558 222.598 98.8923 218.216 101.199C213.911 103.505 208.453 104.658 201.842 104.658H188.35V135.562H172.207V55.0736H201.842C208.069 55.0736 213.373 56.1498 217.755 58.3023C222.137 60.4548 225.404 63.4145 227.557 67.1814C229.786 70.9483 230.901 75.2148 230.901 79.9811ZM201.15 91.6277C205.609 91.6277 208.914 90.6283 211.067 88.6295C213.219 86.5539 214.296 83.6711 214.296 79.9811C214.296 72.1398 209.914 68.2192 201.15 68.2192H188.35V91.6277H201.15Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M256.2 50.2305V135.562H240.056V50.2305H256.2Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M265.693 103.39C265.693 96.932 266.961 91.2048 269.498 86.208C272.112 81.2111 275.61 77.3673 279.991 74.6767C284.45 71.9861 289.409 70.6408 294.867 70.6408C299.633 70.6408 303.784 71.6017 307.32 73.5236C310.934 75.4455 313.816 77.867 315.969 80.7883V71.6786H332.228V135.562H315.969V126.221C313.893 129.22 311.01 131.718 307.32 133.717C303.707 135.639 299.518 136.6 294.751 136.6C289.37 136.6 284.45 135.216 279.991 132.448C275.61 129.681 272.112 125.799 269.498 120.802C266.961 115.728 265.693 109.924 265.693 103.39ZM315.969 103.62C315.969 99.6995 315.2 96.3555 313.663 93.588C312.125 90.7436 310.05 88.5911 307.436 87.1305C304.822 85.593 302.016 84.8242 299.018 84.8242C296.02 84.8242 293.252 85.5545 290.715 87.0152C288.179 88.4758 286.103 90.6283 284.489 93.4727C282.951 96.2402 282.182 99.5458 282.182 103.39C282.182 107.233 282.951 110.616 284.489 113.537C286.103 116.381 288.179 118.572 290.715 120.11C293.329 121.647 296.097 122.416 299.018 122.416C302.016 122.416 304.822 121.686 307.436 120.225C310.05 118.688 312.125 116.535 313.663 113.768C315.2 110.923 315.969 107.541 315.969 103.62Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M381.09 70.7561C388.7 70.7561 394.85 73.1777 399.54 78.0208C404.229 82.787 406.574 89.4752 406.574 98.0852V135.562H390.43V100.276C390.43 95.2023 389.162 91.3202 386.625 88.6295C384.088 85.862 380.629 84.4783 376.247 84.4783C371.788 84.4783 368.252 85.862 365.638 88.6295C363.101 91.3202 361.833 95.2023 361.833 100.276V135.562H345.689V71.6786H361.833V79.6352C363.985 76.8677 366.714 74.7152 370.02 73.1777C373.402 71.5633 377.092 70.7561 381.09 70.7561Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M455.02 70.7561C462.631 70.7561 468.781 73.1777 473.47 78.0208C478.16 82.787 480.505 89.4752 480.505 98.0852V135.562H464.361V100.276C464.361 95.2023 463.092 91.3202 460.555 88.6295C458.019 85.862 454.559 84.4783 450.177 84.4783C445.719 84.4783 442.182 85.862 439.569 88.6295C437.032 91.3202 435.763 95.2023 435.763 100.276V135.562H419.62V71.6786H435.763V79.6352C437.916 76.8677 440.645 74.7152 443.951 73.1777C447.333 71.5633 451.023 70.7561 455.02 70.7561Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M552.936 102.236C552.936 104.543 552.782 106.618 552.475 108.463H505.773C506.158 113.076 507.772 116.689 510.616 119.303C513.461 121.916 516.959 123.223 521.11 123.223C527.106 123.223 531.373 120.648 533.91 115.497H551.322C549.477 121.647 545.94 126.721 540.713 130.719C535.486 134.639 529.066 136.6 521.456 136.6C515.306 136.6 509.771 135.254 504.851 132.564C500.008 129.796 496.202 125.914 493.435 120.917C490.744 115.92 489.399 110.155 489.399 103.62C489.399 97.0089 490.744 91.2048 493.435 86.208C496.125 81.2111 499.892 77.3673 504.735 74.6767C509.579 71.9861 515.152 70.6408 521.456 70.6408C527.529 70.6408 532.949 71.9477 537.715 74.5614C542.558 77.1752 546.286 80.9036 548.9 85.7467C551.591 90.513 552.936 96.0095 552.936 102.236ZM536.216 97.6239C536.139 93.4727 534.64 90.167 531.719 87.707C528.797 85.1702 525.223 83.9017 520.995 83.9017C516.997 83.9017 513.615 85.1317 510.847 87.5917C508.156 89.9748 506.504 93.3189 505.889 97.6239H536.216Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M578.557 81.5955C580.633 78.213 583.323 75.5608 586.629 73.6389C590.011 71.717 593.855 70.7561 598.16 70.7561V87.707H593.894C588.82 87.707 584.976 88.8986 582.362 91.2817C579.826 93.6648 578.557 97.8161 578.557 103.735V135.562H562.413V71.6786H578.557V81.5955Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M228.622 25.5097C228.622 26.3731 228.564 27.1502 228.449 27.841H210.978C211.122 29.5679 211.726 30.9206 212.79 31.8992C213.854 32.8777 215.163 33.367 216.716 33.367C218.959 33.367 220.555 32.4028 221.504 30.4745H228.018C227.327 32.777 226.005 34.6766 224.049 36.1732C222.094 37.6411 219.692 38.375 216.845 38.375C214.544 38.375 212.474 37.8713 210.633 36.864C208.822 35.8278 207.398 34.3744 206.363 32.5036C205.356 30.6328 204.853 28.4742 204.853 26.0278C204.853 23.5525 205.356 21.3795 206.363 19.5087C207.369 17.638 208.778 16.1989 210.59 15.1915C212.402 14.1842 214.487 13.6805 216.845 13.6805C219.117 13.6805 221.144 14.1698 222.927 15.1484C224.739 16.1269 226.134 17.5228 227.112 19.3361C228.118 21.1205 228.622 23.1784 228.622 25.5097ZM222.367 23.7828C222.338 22.2286 221.777 20.991 220.684 20.07C219.592 19.1202 218.254 18.6453 216.673 18.6453C215.177 18.6453 213.912 19.1058 212.877 20.0268C211.87 20.919 211.252 22.171 211.022 23.7828H222.367Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M255.245 25.5097C255.245 26.3731 255.188 27.1502 255.073 27.841H237.602C237.746 29.5679 238.35 30.9206 239.414 31.8992C240.478 32.8777 241.787 33.367 243.34 33.367C245.583 33.367 247.179 32.4028 248.128 30.4745H254.641C253.951 32.777 252.628 34.6766 250.673 36.1732C248.717 37.6411 246.316 38.375 243.469 38.375C241.168 38.375 239.098 37.8713 237.257 36.864C235.445 35.8278 234.022 34.3744 232.987 32.5036C231.98 30.6328 231.477 28.4742 231.477 26.0278C231.477 23.5525 231.98 21.3795 232.987 19.5087C233.993 17.638 235.402 16.1989 237.214 15.1915C239.026 14.1842 241.111 13.6805 243.469 13.6805C245.741 13.6805 247.768 14.1698 249.551 15.1484C251.363 16.1269 252.758 17.5228 253.736 19.3361C254.742 21.1205 255.245 23.1784 255.245 25.5097ZM248.99 23.7828C248.962 22.2286 248.401 20.991 247.308 20.07C246.215 19.1202 244.878 18.6453 243.296 18.6453C241.801 18.6453 240.536 19.1058 239.5 20.0268C238.494 20.919 237.875 22.171 237.645 23.7828H248.99Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M266.785 18.9874V30.6615C266.785 31.4674 266.997 31.9999 267.371 32.374C267.774 32.7194 268.435 32.8921 269.356 32.8921H272.16V37.9864H268.364C263.273 37.9864 260.838 35.383 260.838 30.4326V18.9874H257.636V13.9515H260.838V8H266.785V13.9515H272.16V18.9874H266.785Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M286.989 38.375C284.689 38.375 282.618 37.8713 280.778 36.864C278.937 35.8278 277.485 34.3744 276.421 32.5036C275.385 30.6328 274.868 28.4742 274.868 26.0278C274.868 23.5813 275.4 21.4227 276.464 19.5519C277.557 17.6811 279.038 16.2421 280.907 15.2347C282.776 14.1986 284.861 13.6805 287.162 13.6805C289.463 13.6805 291.548 14.1986 293.417 15.2347C295.286 16.2421 296.753 17.6811 297.817 19.5519C298.91 21.4227 299.456 23.5813 299.456 26.0278C299.456 28.4742 298.895 30.6328 297.774 32.5036C296.681 34.3744 295.185 35.8278 293.287 36.864C291.418 37.8713 289.319 38.375 286.989 38.375ZM286.989 33.108C288.082 33.108 289.103 32.849 290.052 32.3309C291.03 31.784 291.806 30.9782 292.382 29.9132C292.957 28.8483 293.244 27.5532 293.244 26.0278C293.244 23.754 292.64 22.0127 291.432 20.8039C290.253 19.5663 288.801 18.9475 287.076 18.9475C285.35 18.9475 283.898 19.5663 282.719 20.8039C281.568 22.0127 280.993 23.754 280.993 26.0278C280.993 28.3015 281.554 30.0572 282.676 31.2948C283.826 32.5036 285.264 33.108 286.989 33.108Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M199.752 8H188.159L199.752 25.3903V8Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M171 38.375L171 8H179.372L199.752 38.375H191.136L177.724 18.666V38.375H171Z",
    fill: "black",
    "data-dark-mode-color": "true"
  })), /*#__PURE__*/_react.default.createElement("defs", null, /*#__PURE__*/_react.default.createElement("clipPath", {
    id: "NeetoPlanner_js__clip0_318_35894"
  }, /*#__PURE__*/_react.default.createElement("rect", {
    width: 128.25,
    height: 128.25,
    fill: "white",
    transform: "translate(7.3125 7.875)"
  }))));
};

var _default = NeetoPlanner;
exports.default = _default;
//# sourceMappingURL=NeetoPlanner.js.map