"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["width", "height"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var NeetoPlaydash = function NeetoPlaydash(_ref) {
  var _ref$width = _ref.width,
      width = _ref$width === void 0 ? "100%" : _ref$width,
      _ref$height = _ref.height,
      height = _ref$height === void 0 ? 36 : _ref$height,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: width,
    height: height,
    viewBox: "0 0 695 153",
    fill: "none"
  }, props), /*#__PURE__*/_react.default.createElement("g", {
    clipPath: "url(#NeetoPlaydash_js__clip0_425_14594)",
    "data-logo-icon": "neeto-typeface-logo__icon"
  }, /*#__PURE__*/_react.default.createElement("rect", {
    x: 68.6667,
    y: 87.7422,
    width: 21.1292,
    height: 69.2136,
    rx: 10.5646,
    transform: "rotate(-45 68.6667 87.7422)",
    fill: "#5BCC5A"
  }), /*#__PURE__*/_react.default.createElement("circle", {
    cx: 72.3294,
    cy: 72.9856,
    r: 39.7044,
    fill: "#5BCC5A"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M72.2812 8.4375C36.7107 8.4375 7.875 37.3991 7.875 73.125H72.2812V8.4375Z",
    fill: "#75DC66"
  }), /*#__PURE__*/_react.default.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M72.2812 33.2812C50.3752 33.3072 32.625 51.0735 32.625 72.9856C32.625 73.0321 32.6251 73.0786 32.6252 73.125H72.2812V33.2812Z",
    fill: "#0DA84C"
  })), /*#__PURE__*/_react.default.createElement("g", {
    clipPath: "url(#NeetoPlaydash_js__clip1_425_14594)",
    "data-logo-text": "neeto-typeface-logo__text"
  }, /*#__PURE__*/_react.default.createElement("path", {
    d: "M231.463 79.8561C231.463 84.1611 230.425 88.197 228.35 91.9639C226.351 95.7308 223.161 98.7673 218.779 101.074C214.474 103.38 209.016 104.533 202.404 104.533H188.913V135.437H172.769V54.9486H202.404C208.631 54.9486 213.936 56.0248 218.317 58.1773C222.699 60.3298 225.967 63.2895 228.119 67.0564C230.348 70.8233 231.463 75.0898 231.463 79.8561ZM201.712 91.5027C206.171 91.5027 209.477 90.5033 211.629 88.5045C213.782 86.4289 214.858 83.5461 214.858 79.8561C214.858 72.0148 210.476 68.0942 201.712 68.0942H188.913V91.5027H201.712Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M256.762 50.1055V135.437H240.619V50.1055H256.762Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M266.255 103.265C266.255 96.807 267.523 91.0798 270.06 86.083C272.674 81.0861 276.172 77.2423 280.554 74.5517C285.013 71.8611 289.971 70.5158 295.429 70.5158C300.195 70.5158 304.347 71.4767 307.883 73.3986C311.496 75.3205 314.379 77.742 316.531 80.6633V71.5536H332.79V135.437H316.531V126.096C314.456 129.095 311.573 131.593 307.883 133.592C304.27 135.514 300.08 136.475 295.314 136.475C289.933 136.475 285.013 135.091 280.554 132.323C276.172 129.556 272.674 125.674 270.06 120.677C267.523 115.603 266.255 109.799 266.255 103.265ZM316.531 103.495C316.531 99.5745 315.763 96.2305 314.225 93.463C312.688 90.6186 310.612 88.4661 307.998 87.0055C305.384 85.468 302.578 84.6992 299.58 84.6992C296.582 84.6992 293.815 85.4295 291.278 86.8902C288.741 88.3508 286.665 90.5033 285.051 93.3477C283.513 96.1152 282.745 99.4208 282.745 103.265C282.745 107.108 283.513 110.491 285.051 113.412C286.665 116.256 288.741 118.447 291.278 119.985C293.892 121.522 296.659 122.291 299.58 122.291C302.578 122.291 305.384 121.561 307.998 120.1C310.612 118.563 312.688 116.41 314.225 113.643C315.763 110.798 316.531 107.416 316.531 103.495Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M407.367 71.5536L367.815 165.649H350.633L364.471 133.822L338.871 71.5536H356.975L373.465 116.18L390.185 71.5536H407.367Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M409.612 103.265C409.612 96.807 410.88 91.0798 413.417 86.083C416.031 81.0861 419.567 77.2423 424.026 74.5517C428.485 71.8611 433.443 70.5158 438.901 70.5158C443.053 70.5158 447.012 71.4383 450.778 73.2833C454.545 75.0514 457.543 77.4345 459.773 80.4327V50.1055H476.147V135.437H459.773V125.981C457.774 129.133 454.968 131.67 451.355 133.592C447.742 135.514 443.552 136.475 438.786 136.475C433.405 136.475 428.485 135.091 424.026 132.323C419.567 129.556 416.031 125.674 413.417 120.677C410.88 115.603 409.612 109.799 409.612 103.265ZM459.888 103.495C459.888 99.5745 459.119 96.2305 457.582 93.463C456.044 90.6186 453.969 88.4661 451.355 87.0055C448.741 85.468 445.935 84.6992 442.937 84.6992C439.939 84.6992 437.172 85.4295 434.635 86.8902C432.098 88.3508 430.022 90.5033 428.408 93.3477C426.87 96.1152 426.102 99.4208 426.102 103.265C426.102 107.108 426.87 110.491 428.408 113.412C430.022 116.256 432.098 118.447 434.635 119.985C437.248 121.522 440.016 122.291 442.937 122.291C445.935 122.291 448.741 121.561 451.355 120.1C453.969 118.563 456.044 116.41 457.582 113.643C459.119 110.798 459.888 107.416 459.888 103.495Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M485.457 103.265C485.457 96.807 486.725 91.0798 489.262 86.083C491.876 81.0861 495.374 77.2423 499.756 74.5517C504.214 71.8611 509.173 70.5158 514.631 70.5158C519.397 70.5158 523.548 71.4767 527.085 73.3986C530.698 75.3205 533.581 77.742 535.733 80.6633V71.5536H551.992V135.437H535.733V126.096C533.658 129.095 530.775 131.593 527.085 133.592C523.472 135.514 519.282 136.475 514.516 136.475C509.134 136.475 504.214 135.091 499.756 132.323C495.374 129.556 491.876 125.674 489.262 120.677C486.725 115.603 485.457 109.799 485.457 103.265ZM535.733 103.495C535.733 99.5745 534.964 96.2305 533.427 93.463C531.889 90.6186 529.814 88.4661 527.2 87.0055C524.586 85.468 521.78 84.6992 518.782 84.6992C515.784 84.6992 513.017 85.4295 510.48 86.8902C507.943 88.3508 505.867 90.5033 504.253 93.3477C502.715 96.1152 501.947 99.4208 501.947 103.265C501.947 107.108 502.715 110.491 504.253 113.412C505.867 116.256 507.943 118.447 510.48 119.985C513.093 121.522 515.861 122.291 518.782 122.291C521.78 122.291 524.586 121.561 527.2 120.1C529.814 118.563 531.889 116.41 533.427 113.643C534.964 110.798 535.733 107.416 535.733 103.495Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M589.899 136.475C584.672 136.475 579.983 135.552 575.831 133.707C571.68 131.785 568.374 129.21 565.914 125.981C563.531 122.752 562.224 119.178 561.994 115.257H578.253C578.56 117.717 579.752 119.754 581.828 121.369C583.98 122.983 586.632 123.79 589.784 123.79C592.859 123.79 595.242 123.175 596.933 121.945C598.702 120.715 599.586 119.139 599.586 117.217C599.586 115.142 598.509 113.604 596.357 112.605C594.281 111.529 590.937 110.375 586.325 109.145C581.558 107.992 577.638 106.801 574.563 105.571C571.565 104.341 568.951 102.457 566.722 99.9205C564.569 97.3836 563.493 93.9627 563.493 89.6577C563.493 86.1214 564.492 82.8927 566.491 79.9714C568.567 77.0502 571.488 74.7439 575.255 73.0527C579.098 71.3614 583.596 70.5158 588.746 70.5158C596.357 70.5158 602.43 72.4377 606.966 76.2814C611.501 80.0483 614 85.1605 614.461 91.618H599.009C598.778 89.0811 597.702 87.0823 595.78 85.6217C593.935 84.0842 591.437 83.3155 588.285 83.3155C585.364 83.3155 583.096 83.8536 581.482 84.9298C579.944 86.0061 579.175 87.5052 579.175 89.427C579.175 91.5795 580.252 93.2323 582.404 94.3855C584.557 95.4617 587.901 96.5764 592.436 97.7295C597.049 98.8827 600.854 100.074 603.852 101.304C606.85 102.534 609.426 104.456 611.578 107.07C613.808 109.607 614.961 112.989 615.038 117.217C615.038 120.907 614 124.213 611.924 127.134C609.925 130.055 607.004 132.362 603.16 134.053C599.393 135.667 594.973 136.475 589.899 136.475Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M661.961 70.6311C666.804 70.6311 671.109 71.7073 674.876 73.8598C678.643 75.9355 681.564 79.0489 683.639 83.2002C685.792 87.2745 686.868 92.1945 686.868 97.9602V135.437H670.724V100.151C670.724 95.0773 669.456 91.1952 666.919 88.5045C664.382 85.737 660.923 84.3533 656.541 84.3533C652.082 84.3533 648.546 85.737 645.932 88.5045C643.395 91.1952 642.127 95.0773 642.127 100.151V135.437H625.983V50.1055H642.127V79.5102C644.203 76.7427 646.97 74.5902 650.429 73.0527C653.889 71.4383 657.733 70.6311 661.961 70.6311Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M229.747 25.3847C229.747 26.2481 229.689 27.0252 229.574 27.716H212.103C212.247 29.4429 212.851 30.7956 213.915 31.7742C214.979 32.7527 216.288 33.242 217.841 33.242C220.084 33.242 221.68 32.2778 222.629 30.3495H229.143C228.452 32.652 227.13 34.5516 225.174 36.0482C223.219 37.5161 220.817 38.25 217.97 38.25C215.669 38.25 213.599 37.7463 211.758 36.739C209.947 35.7028 208.523 34.2494 207.488 32.3786C206.481 30.5078 205.978 28.3492 205.978 25.9028C205.978 23.4275 206.481 21.2545 207.488 19.3837C208.494 17.513 209.903 16.0739 211.715 15.0665C213.527 14.0592 215.612 13.5555 217.97 13.5555C220.242 13.5555 222.269 14.0448 224.052 15.0234C225.864 16.0019 227.259 17.3978 228.237 19.2111C229.243 20.9955 229.747 23.0534 229.747 25.3847ZM223.492 23.6578C223.463 22.1036 222.902 20.866 221.809 19.945C220.717 18.9952 219.379 18.5203 217.798 18.5203C216.302 18.5203 215.037 18.9808 214.002 19.9018C212.995 20.794 212.377 22.046 212.147 23.6578H223.492Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M256.37 25.3847C256.37 26.2481 256.313 27.0252 256.198 27.716H238.727C238.871 29.4429 239.475 30.7956 240.539 31.7742C241.603 32.7527 242.912 33.242 244.465 33.242C246.708 33.242 248.304 32.2778 249.253 30.3495H255.766C255.076 32.652 253.753 34.5516 251.798 36.0482C249.842 37.5161 247.441 38.25 244.594 38.25C242.293 38.25 240.223 37.7463 238.382 36.739C236.57 35.7028 235.147 34.2494 234.112 32.3786C233.105 30.5078 232.602 28.3492 232.602 25.9028C232.602 23.4275 233.105 21.2545 234.112 19.3837C235.118 17.513 236.527 16.0739 238.339 15.0665C240.151 14.0592 242.236 13.5555 244.594 13.5555C246.866 13.5555 248.893 14.0448 250.676 15.0234C252.488 16.0019 253.883 17.3978 254.861 19.2111C255.867 20.9955 256.37 23.0534 256.37 25.3847ZM250.115 23.6578C250.087 22.1036 249.526 20.866 248.433 19.945C247.34 18.9952 246.003 18.5203 244.421 18.5203C242.926 18.5203 241.661 18.9808 240.625 19.9018C239.619 20.794 239 22.046 238.77 23.6578H250.115Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M267.91 18.8624V30.5365C267.91 31.3424 268.122 31.8749 268.496 32.249C268.899 32.5944 269.56 32.7671 270.481 32.7671H273.285V37.8614H269.489C264.398 37.8614 261.963 35.258 261.963 30.3076V18.8624H258.761V13.8265H261.963V7.875H267.91V13.8265H273.285V18.8624H267.91Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M288.114 38.25C285.814 38.25 283.743 37.7463 281.903 36.739C280.062 35.7028 278.61 34.2494 277.546 32.3786C276.51 30.5078 275.993 28.3492 275.993 25.9028C275.993 23.4563 276.525 21.2977 277.589 19.4269C278.682 17.5561 280.163 16.1171 282.032 15.1097C283.901 14.0736 285.986 13.5555 288.287 13.5555C290.588 13.5555 292.673 14.0736 294.542 15.1097C296.411 16.1171 297.878 17.5561 298.942 19.4269C300.035 21.2977 300.581 23.4563 300.581 25.9028C300.581 28.3492 300.02 30.5078 298.899 32.3786C297.806 34.2494 296.31 35.7028 294.412 36.739C292.543 37.7463 290.444 38.25 288.114 38.25ZM288.114 32.983C289.207 32.983 290.228 32.724 291.177 32.2059C292.155 31.659 292.931 30.8532 293.507 29.7882C294.082 28.7233 294.369 27.4282 294.369 25.9028C294.369 23.629 293.765 21.8877 292.557 20.6789C291.378 19.4413 289.926 18.8225 288.201 18.8225C286.475 18.8225 285.023 19.4413 283.844 20.6789C282.693 21.8877 282.118 23.629 282.118 25.9028C282.118 28.1765 282.679 29.9322 283.801 31.1698C284.951 32.3786 286.389 32.983 288.114 32.983Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M200.877 7.875H189.284L200.877 25.2653V7.875Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M172.125 38.25L172.125 7.875H180.497L200.877 38.25H192.261L178.849 18.541V38.25H172.125Z",
    fill: "black",
    "data-dark-mode-color": "true"
  })), /*#__PURE__*/_react.default.createElement("defs", null, /*#__PURE__*/_react.default.createElement("clipPath", {
    id: "NeetoPlaydash_js__clip0_425_14594"
  }, /*#__PURE__*/_react.default.createElement("rect", {
    width: 128.25,
    height: 128.25,
    fill: "white",
    transform: "translate(7.875 7.875)"
  })), /*#__PURE__*/_react.default.createElement("clipPath", {
    id: "NeetoPlaydash_js__clip1_425_14594"
  }, /*#__PURE__*/_react.default.createElement("rect", {
    width: 530.438,
    height: 153,
    fill: "white",
    transform: "translate(163.688)"
  }))));
};

var _default = NeetoPlaydash;
exports.default = _default;
//# sourceMappingURL=NeetoPlaydash.js.map