"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _excluded = ["width", "height"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var NeetoWireframe = function NeetoWireframe(_ref) {
  var _ref$width = _ref.width,
      width = _ref$width === void 0 ? "100%" : _ref$width,
      _ref$height = _ref.height,
      height = _ref$height === void 0 ? 36 : _ref$height,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/_react.default.createElement("svg", _extends({
    width: width,
    height: height,
    viewBox: "0 0 799 169",
    fill: "none"
  }, props), /*#__PURE__*/_react.default.createElement("g", {
    clipPath: "url(#NeetoWireframe_js__clip0_318_36174)",
    "data-logo-icon": "neeto-typeface-logo__icon"
  }, /*#__PURE__*/_react.default.createElement("path", {
    d: "M136.125 76.9336V124.876C136.125 131.089 131.088 136.126 124.875 136.126H19.125C12.9118 136.126 7.875 131.089 7.875 124.876L7.875 76.9336H136.125Z",
    fill: "#5BCC5A"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M67.0673 7.875L67.0673 67.0673L7.87502 67.0673L7.87502 19.125C7.87502 12.9118 12.9118 7.875 19.125 7.875L67.0673 7.875Z",
    fill: "#5BCC5A"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M124.875 7.875C131.088 7.875 136.125 12.9118 136.125 19.125V124.876C136.125 131.089 131.088 136.126 124.875 136.126L76.9327 136.125V7.875L124.875 7.875Z",
    fill: "#75DC66"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M76.9327 136.125L76.9328 76.9326L136.125 76.9336V124.876C136.125 131.051 131.15 136.064 124.989 136.125L76.9327 136.125Z",
    fill: "#0DA84C"
  })), /*#__PURE__*/_react.default.createElement("g", {
    "data-logo-text": "neeto-typeface-logo__text"
  }, /*#__PURE__*/_react.default.createElement("path", {
    d: "M280.356 54.9501L257.87 135.438H238.843L223.737 78.1279L207.939 135.438L189.028 135.554L167.349 54.9501H184.646L198.83 117.449L215.204 54.9501H233.193L248.645 117.104L262.943 54.9501H280.356Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M296.778 63.9445C293.933 63.9445 291.55 63.0604 289.628 61.2923C287.783 59.4473 286.861 57.1795 286.861 54.4888C286.861 51.7982 287.783 49.5688 289.628 47.8007C291.55 45.9557 293.933 45.0332 296.778 45.0332C299.622 45.0332 301.967 45.9557 303.812 47.8007C305.734 49.5688 306.695 51.7982 306.695 54.4888C306.695 57.1795 305.734 59.4473 303.812 61.2923C301.967 63.0604 299.622 63.9445 296.778 63.9445ZM304.734 71.5551V135.438H288.591V71.5551H304.734Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M334.522 81.472C336.597 78.0895 339.288 75.4373 342.594 73.5154C345.976 71.5935 349.82 70.6326 354.125 70.6326V87.5835H349.858C344.785 87.5835 340.941 88.7751 338.327 91.1582C335.79 93.5413 334.522 97.6926 334.522 103.612V135.438H318.378V71.5551H334.522V81.472Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M422.078 102.113C422.078 104.419 421.925 106.495 421.617 108.34H374.915C375.3 112.952 376.914 116.565 379.759 119.179C382.603 121.793 386.101 123.1 390.252 123.1C396.248 123.1 400.515 120.524 403.052 115.374H420.464C418.619 121.524 415.083 126.598 409.855 130.595C404.628 134.516 398.209 136.476 390.598 136.476C384.448 136.476 378.913 135.131 373.993 132.44C369.15 129.673 365.345 125.79 362.577 120.794C359.886 115.797 358.541 110.031 358.541 103.497C358.541 96.8854 359.886 91.0813 362.577 86.0845C365.268 81.0876 369.035 77.2438 373.878 74.5532C378.721 71.8626 384.294 70.5173 390.598 70.5173C396.671 70.5173 402.091 71.8241 406.857 74.4379C411.7 77.0516 415.429 80.7801 418.042 85.6232C420.733 90.3895 422.078 95.886 422.078 102.113ZM405.358 97.5004C405.281 93.3491 403.782 90.0435 400.861 87.5835C397.94 85.0466 394.365 83.7782 390.137 83.7782C386.139 83.7782 382.757 85.0082 379.989 87.4682C377.299 89.8513 375.646 93.1954 375.031 97.5004H405.358Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M460.845 84.816H449.66V135.438H433.285V84.816H426.021V71.5551H433.285V68.3263C433.285 60.4851 435.515 54.7195 439.973 51.0295C444.432 47.3395 451.159 45.6098 460.153 45.8404V59.4473C456.232 59.3704 453.503 60.0238 451.966 61.4076C450.428 62.7913 449.66 65.2898 449.66 68.9029V71.5551H460.845V84.816Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M485.144 81.472C487.22 78.0895 489.911 75.4373 493.216 73.5154C496.599 71.5935 500.442 70.6326 504.747 70.6326V87.5835H500.481C495.407 87.5835 491.563 88.7751 488.95 91.1582C486.413 93.5413 485.144 97.6926 485.144 103.612V135.438H469.001V71.5551H485.144V81.472Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M509.164 103.266C509.164 96.8085 510.432 91.0813 512.969 86.0845C515.583 81.0876 519.08 77.2438 523.462 74.5532C527.921 71.8626 532.879 70.5173 538.338 70.5173C543.104 70.5173 547.255 71.4782 550.791 73.4001C554.404 75.322 557.287 77.7435 559.44 80.6648V71.5551H575.699V135.438H559.44V126.098C557.364 129.096 554.481 131.594 550.791 133.593C547.178 135.515 542.989 136.476 538.222 136.476C532.841 136.476 527.921 135.092 523.462 132.325C519.08 129.557 515.583 125.675 512.969 120.678C510.432 115.604 509.164 109.8 509.164 103.266ZM559.44 103.497C559.44 99.576 558.671 96.232 557.134 93.4645C555.596 90.6201 553.52 88.4676 550.907 87.007C548.293 85.4695 545.487 84.7007 542.489 84.7007C539.491 84.7007 536.723 85.431 534.186 86.8916C531.65 88.3523 529.574 90.5048 527.959 93.3491C526.422 96.1166 525.653 99.4223 525.653 103.266C525.653 107.11 526.422 110.492 527.959 113.414C529.574 116.258 531.65 118.449 534.186 119.986C536.8 121.524 539.568 122.293 542.489 122.293C545.487 122.293 548.293 121.562 550.907 120.102C553.52 118.564 555.596 116.412 557.134 113.644C558.671 110.8 559.44 107.417 559.44 103.497Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M668.495 70.6326C676.336 70.6326 682.64 73.0541 687.406 77.8973C692.249 82.6635 694.671 89.3516 694.671 97.9616V135.438H678.527V100.153C678.527 95.1557 677.259 91.3504 674.722 88.7366C672.185 86.046 668.725 84.7007 664.344 84.7007C659.962 84.7007 656.464 86.046 653.85 88.7366C651.313 91.3504 650.045 95.1557 650.045 100.153V135.438H633.901V100.153C633.901 95.1557 632.633 91.3504 630.096 88.7366C627.559 86.046 624.099 84.7007 619.718 84.7007C615.259 84.7007 611.723 86.046 609.109 88.7366C606.572 91.3504 605.304 95.1557 605.304 100.153V135.438H589.16V71.5551H605.304V79.281C607.379 76.5904 610.031 74.4763 613.26 72.9388C616.566 71.4013 620.179 70.6326 624.099 70.6326C629.096 70.6326 633.555 71.7088 637.476 73.8613C641.396 75.937 644.433 78.9351 646.585 82.8557C648.661 79.1657 651.659 76.206 655.58 73.9766C659.577 71.7473 663.882 70.6326 668.495 70.6326Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M767.07 102.113C767.07 104.419 766.916 106.495 766.609 108.34H719.907C720.291 112.952 721.906 116.565 724.75 119.179C727.595 121.793 731.092 123.1 735.244 123.1C741.24 123.1 745.506 120.524 748.043 115.374H765.456C763.61 121.524 760.074 126.598 754.847 130.595C749.619 134.516 743.2 136.476 735.59 136.476C729.44 136.476 723.905 135.131 718.985 132.44C714.141 129.673 710.336 125.79 707.569 120.794C704.878 115.797 703.533 110.031 703.533 103.497C703.533 96.8854 704.878 91.0813 707.569 86.0845C710.259 81.0876 714.026 77.2438 718.869 74.5532C723.712 71.8626 729.286 70.5173 735.59 70.5173C741.663 70.5173 747.082 71.8241 751.849 74.4379C756.692 77.0516 760.42 80.7801 763.034 85.6232C765.725 90.3895 767.07 95.886 767.07 102.113ZM750.35 97.5004C750.273 93.3491 748.774 90.0435 745.852 87.5835C742.931 85.0466 739.356 83.7782 735.128 83.7782C731.131 83.7782 727.748 85.0082 724.981 87.4682C722.29 89.8513 720.637 93.1954 720.022 97.5004H750.35Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M229.622 25.5097C229.622 26.3731 229.564 27.1502 229.449 27.841H211.978C212.122 29.5679 212.726 30.9206 213.79 31.8992C214.854 32.8777 216.163 33.367 217.716 33.367C219.959 33.367 221.555 32.4028 222.504 30.4745H229.018C228.327 32.777 227.005 34.6766 225.049 36.1732C223.094 37.6411 220.692 38.375 217.845 38.375C215.544 38.375 213.474 37.8713 211.633 36.864C209.822 35.8278 208.398 34.3744 207.363 32.5036C206.356 30.6328 205.853 28.4742 205.853 26.0278C205.853 23.5525 206.356 21.3795 207.363 19.5087C208.369 17.638 209.778 16.1989 211.59 15.1915C213.402 14.1842 215.487 13.6805 217.845 13.6805C220.117 13.6805 222.144 14.1698 223.927 15.1484C225.739 16.1269 227.134 17.5228 228.112 19.3361C229.118 21.1205 229.622 23.1784 229.622 25.5097ZM223.367 23.7828C223.338 22.2286 222.777 20.991 221.684 20.07C220.592 19.1202 219.254 18.6453 217.673 18.6453C216.177 18.6453 214.912 19.1058 213.877 20.0268C212.87 20.919 212.252 22.171 212.022 23.7828H223.367Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M256.245 25.5097C256.245 26.3731 256.188 27.1502 256.073 27.841H238.602C238.746 29.5679 239.35 30.9206 240.414 31.8992C241.478 32.8777 242.787 33.367 244.34 33.367C246.583 33.367 248.179 32.4028 249.128 30.4745H255.641C254.951 32.777 253.628 34.6766 251.673 36.1732C249.717 37.6411 247.316 38.375 244.469 38.375C242.168 38.375 240.098 37.8713 238.257 36.864C236.445 35.8278 235.022 34.3744 233.987 32.5036C232.98 30.6328 232.477 28.4742 232.477 26.0278C232.477 23.5525 232.98 21.3795 233.987 19.5087C234.993 17.638 236.402 16.1989 238.214 15.1915C240.026 14.1842 242.111 13.6805 244.469 13.6805C246.741 13.6805 248.768 14.1698 250.551 15.1484C252.363 16.1269 253.758 17.5228 254.736 19.3361C255.742 21.1205 256.245 23.1784 256.245 25.5097ZM249.99 23.7828C249.962 22.2286 249.401 20.991 248.308 20.07C247.215 19.1202 245.878 18.6453 244.296 18.6453C242.801 18.6453 241.536 19.1058 240.5 20.0268C239.494 20.919 238.875 22.171 238.645 23.7828H249.99Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M267.785 18.9874V30.6615C267.785 31.4674 267.997 31.9999 268.371 32.374C268.774 32.7194 269.435 32.8921 270.356 32.8921H273.16V37.9864H269.364C264.273 37.9864 261.838 35.383 261.838 30.4326V18.9874H258.636V13.9515H261.838V8H267.785V13.9515H273.16V18.9874H267.785Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M287.989 38.375C285.689 38.375 283.618 37.8713 281.778 36.864C279.937 35.8278 278.485 34.3744 277.421 32.5036C276.385 30.6328 275.868 28.4742 275.868 26.0278C275.868 23.5813 276.4 21.4227 277.464 19.5519C278.557 17.6811 280.038 16.2421 281.907 15.2347C283.776 14.1986 285.861 13.6805 288.162 13.6805C290.463 13.6805 292.548 14.1986 294.417 15.2347C296.286 16.2421 297.753 17.6811 298.817 19.5519C299.91 21.4227 300.456 23.5813 300.456 26.0278C300.456 28.4742 299.895 30.6328 298.774 32.5036C297.681 34.3744 296.185 35.8278 294.287 36.864C292.418 37.8713 290.319 38.375 287.989 38.375ZM287.989 33.108C289.082 33.108 290.103 32.849 291.052 32.3309C292.03 31.784 292.806 30.9782 293.382 29.9132C293.957 28.8483 294.244 27.5532 294.244 26.0278C294.244 23.754 293.64 22.0127 292.432 20.8039C291.253 19.5663 289.801 18.9475 288.076 18.9475C286.35 18.9475 284.898 19.5663 283.719 20.8039C282.568 22.0127 281.993 23.754 281.993 26.0278C281.993 28.3015 282.554 30.0572 283.676 31.2948C284.826 32.5036 286.264 33.108 287.989 33.108Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M200.752 8H189.159L200.752 25.3903V8Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/_react.default.createElement("path", {
    d: "M172 38.375L172 8H180.372L200.752 38.375H192.136L178.724 18.666V38.375H172Z",
    fill: "black",
    "data-dark-mode-color": "true"
  })), /*#__PURE__*/_react.default.createElement("defs", null, /*#__PURE__*/_react.default.createElement("clipPath", {
    id: "NeetoWireframe_js__clip0_318_36174"
  }, /*#__PURE__*/_react.default.createElement("rect", {
    width: 128.25,
    height: 128.25,
    fill: "white",
    transform: "translate(7.875 7.875)"
  }))));
};

var _default = NeetoWireframe;
exports.default = _default;
//# sourceMappingURL=NeetoWireframe.js.map