var _excluded = ["width", "height"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var IPhoneMockup = function IPhoneMockup(_ref) {
  var _ref$width = _ref.width,
      width = _ref$width === void 0 ? 80 : _ref$width,
      _ref$height = _ref.height,
      height = _ref$height === void 0 ? 26 : _ref$height,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement("svg", _extends({
    width: width,
    height: height,
    fill: "none",
    viewBox: "0 0 80 26"
  }, props), /*#__PURE__*/React.createElement("mask", {
    id: "IPhoneMockup_js__a",
    fill: "#fff"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M34.023 5.67c0-.02.015-.035.034-.035h.07c.018 0 .034.015.034.034v.85a.034.034 0 0 1-.035.034h-.069a.034.034 0 0 1-.034-.035V5.67Z"
  })), /*#__PURE__*/React.createElement("path", {
    fill: "#fff",
    d: "M34.023 5.67c0-.02.015-.035.034-.035h.07c.018 0 .034.015.034.034v.85a.034.034 0 0 1-.035.034h-.069a.034.034 0 0 1-.034-.035V5.67Z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#3E4040",
    d: "M34.011 5.67c0-.026.021-.047.046-.047h.058c.025 0 .046.02.046.046 0-.012-.016-.023-.035-.023h-.069a.023.023 0 0 0-.023.023h-.023Zm.15.848c0 .025-.021.046-.046.046h-.058a.046.046 0 0 1-.046-.046h.023c0 .013.01.023.023.023h.07c.018 0 .034-.01.034-.023Zm-.104.046a.046.046 0 0 1-.046-.046V5.67c0-.025.021-.046.046-.046v.023a.023.023 0 0 0-.023.023v.85c0 .012.01.022.023.022v.023Zm.104-.93v.919-.918Z",
    mask: "url(#IPhoneMockup_js__a)"
  }), /*#__PURE__*/React.createElement("mask", {
    id: "IPhoneMockup_js__b",
    fill: "#fff"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M34.023 7.413c0-.02.015-.034.034-.034h.07c.018 0 .034.015.034.034v1.755a.034.034 0 0 1-.035.035h-.069a.034.034 0 0 1-.034-.035V7.413Z"
  })), /*#__PURE__*/React.createElement("path", {
    fill: "#fff",
    d: "M34.023 7.413c0-.02.015-.034.034-.034h.07c.018 0 .034.015.034.034v1.755a.034.034 0 0 1-.035.035h-.069a.034.034 0 0 1-.034-.035V7.413Z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#3E4040",
    d: "M34.011 7.413c0-.025.021-.046.046-.046h.058c.025 0 .046.02.046.046 0-.013-.016-.023-.035-.023h-.069a.023.023 0 0 0-.023.023h-.023Zm.15 1.755c0 .026-.021.046-.046.046h-.058a.046.046 0 0 1-.046-.046h.023c0 .013.01.023.023.023h.07c.018 0 .034-.01.034-.023Zm-.104.046a.046.046 0 0 1-.046-.046V7.413c0-.025.021-.046.046-.046v.023a.023.023 0 0 0-.023.023v1.755c0 .013.01.023.023.023v.023Zm.104-1.835v1.824-1.824Z",
    mask: "url(#IPhoneMockup_js__b)"
  }), /*#__PURE__*/React.createElement("mask", {
    id: "IPhoneMockup_js__c",
    fill: "#fff"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M45.748 11.474a.034.034 0 0 1-.035.034h-.069a.034.034 0 0 1-.034-.034V8.652c0-.02.015-.035.034-.035h.07c.018 0 .034.016.034.035v2.822Z"
  })), /*#__PURE__*/React.createElement("path", {
    fill: "#fff",
    d: "M45.748 11.474a.034.034 0 0 1-.035.034h-.069a.034.034 0 0 1-.034-.034V8.652c0-.02.015-.035.034-.035h.07c.018 0 .034.016.034.035v2.822Z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#3E4040",
    d: "M45.76 11.474c0 .025-.021.046-.047.046h-.057a.046.046 0 0 1-.046-.046c0 .013.015.023.034.023h.07c.012 0 .022-.01.022-.023h.023Zm-.15-2.822c0-.026.02-.046.046-.046h.057c.026 0 .046.02.046.046h-.023a.023.023 0 0 0-.023-.023h-.069c-.019 0-.034.01-.034.023Zm.103-.046c.026 0 .046.02.046.046v2.822c0 .025-.02.046-.046.046v-.023c.013 0 .023-.01.023-.023V8.652a.023.023 0 0 0-.023-.023v-.023Zm-.103 2.902v-2.89 2.89Z",
    mask: "url(#IPhoneMockup_js__c)"
  }), /*#__PURE__*/React.createElement("mask", {
    id: "IPhoneMockup_js__d",
    fill: "#fff"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M34 9.719c0-.02.015-.035.034-.035h.07c.018 0 .034.016.034.035v1.755a.034.034 0 0 1-.035.034h-.069a.034.034 0 0 1-.034-.034V9.72Z"
  })), /*#__PURE__*/React.createElement("path", {
    fill: "#fff",
    d: "M34 9.719c0-.02.015-.035.034-.035h.07c.018 0 .034.016.034.035v1.755a.034.034 0 0 1-.035.034h-.069a.034.034 0 0 1-.034-.034V9.72Z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#3E4040",
    d: "M33.989 9.719c0-.025.02-.046.045-.046h.058c.025 0 .046.02.046.046 0-.013-.016-.023-.035-.023h-.069a.023.023 0 0 0-.023.023h-.023Zm.149 1.755c0 .025-.02.046-.046.046h-.058a.046.046 0 0 1-.045-.046h.023c0 .013.01.023.022.023h.07c.018 0 .034-.01.034-.023Zm-.104.046a.046.046 0 0 1-.045-.046V9.72c0-.025.02-.046.045-.046v.023a.023.023 0 0 0-.023.023v1.755c0 .013.01.023.023.023v.023Zm.104-1.836v1.825-1.825Z",
    mask: "url(#IPhoneMockup_js__d)"
  }), /*#__PURE__*/React.createElement("rect", {
    width: 11.564,
    height: 23.977,
    x: 34.092,
    y: 1.011,
    fill: "url(#IPhoneMockup_js__e)",
    stroke: "#3E4040",
    strokeWidth: 0.023,
    rx: 1.95
  }), /*#__PURE__*/React.createElement("rect", {
    width: 11.403,
    height: 23.816,
    x: 34.172,
    y: 1.092,
    fill: "#1A1A1A",
    stroke: "#3E4040",
    strokeWidth: 0.023,
    rx: 1.916
  }), /*#__PURE__*/React.createElement("rect", {
    width: 10.669,
    height: 23.082,
    x: 34.539,
    y: 1.459,
    fill: "#fff",
    stroke: "#3E4040",
    strokeWidth: 0.023,
    rx: 1.537
  }), /*#__PURE__*/React.createElement("rect", {
    width: 3.396,
    height: 0.987,
    x: 38.176,
    y: 1.826,
    fill: "#000",
    rx: 0.493
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 41.113,
    cy: 2.319,
    r: 0.184,
    fill: "#131526"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 41.113,
    cy: 2.319,
    r: 0.08,
    fill: "#1F1F64"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 41.113,
    cy: 2.285,
    r: 0.046,
    fill: "#5158A9",
    opacity: 0.13
  }), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("linearGradient", {
    id: "IPhoneMockup_js__e",
    x1: 39.874,
    x2: 25.665,
    y1: 1,
    y2: 27.392,
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    stopColor: "#F7F7F7"
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 1,
    stopColor: "#D2D2D2"
  }))));
};

export default IPhoneMockup;
//# sourceMappingURL=IPhoneMockup.js.map