var _excluded = ["width", "height"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var Scrollbar = function Scrollbar(_ref) {
  var _ref$width = _ref.width,
      width = _ref$width === void 0 ? 80 : _ref$width,
      _ref$height = _ref.height,
      height = _ref$height === void 0 ? 26 : _ref$height,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement("svg", _extends({
    width: width,
    height: height,
    fill: "none",
    viewBox: "0 0 80 26"
  }, props), /*#__PURE__*/React.createElement("rect", {
    width: 6,
    height: 21,
    x: 37,
    y: 2,
    fill: "#C2C8CC",
    rx: 1
  }), /*#__PURE__*/React.createElement("rect", {
    width: 4,
    height: 9,
    x: 38,
    y: 7,
    fill: "#E9EBED",
    rx: 0.5
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#101828",
    d: "M39.792 3.312a.25.25 0 0 1 .416 0l1.533 2.3a.25.25 0 0 1-.208.388h-3.066a.25.25 0 0 1-.208-.389l1.533-2.299ZM40.208 21.688a.25.25 0 0 1-.416 0l-1.533-2.3a.25.25 0 0 1 .208-.388h3.066c.2 0 .319.223.208.389l-1.533 2.299Z"
  }));
};

export default Scrollbar;
//# sourceMappingURL=Scrollbar.js.map