var _excluded = ["width", "height"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var TextBlock = function TextBlock(_ref) {
  var _ref$width = _ref.width,
      width = _ref$width === void 0 ? 80 : _ref$width,
      _ref$height = _ref.height,
      height = _ref$height === void 0 ? 26 : _ref$height,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement("svg", _extends({
    width: width,
    height: height,
    fill: "none",
    viewBox: "0 0 80 26"
  }, props), /*#__PURE__*/React.createElement("path", {
    stroke: "#101828",
    strokeLinecap: "round",
    d: "M37 7h22M37 13h22M37 19h15.439",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#101828",
    d: "M30.814 5.024 31 8.975h-.472c-.091-.696-.216-1.193-.373-1.491-.257-.48-.6-.833-1.031-1.056-.423-.232-.982-.348-1.678-.348h-2.373v12.873c0 1.036.111 1.682.335 1.939.315.348.8.522 1.454.522h.584v.46h-7.145v-.46h.597c.712 0 1.217-.216 1.515-.647.183-.265.274-.87.274-1.814V6.08H20.66c-.787 0-1.346.058-1.677.174-.43.157-.8.46-1.106.907-.307.447-.489 1.052-.547 1.814h-.472l.199-3.951h13.756Z",
    "data-dark-mode-color": "true"
  }));
};

export default TextBlock;
//# sourceMappingURL=TextBlock.js.map