var _excluded = ["width", "height"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var ToggleSwitch = function ToggleSwitch(_ref) {
  var _ref$width = _ref.width,
      width = _ref$width === void 0 ? 80 : _ref$width,
      _ref$height = _ref.height,
      height = _ref$height === void 0 ? 26 : _ref$height,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement("svg", _extends({
    width: width,
    height: height,
    fill: "none",
    viewBox: "0 0 80 26"
  }, props), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#ToggleSwitch_js__a)"
  }, /*#__PURE__*/React.createElement("rect", {
    width: 24.022,
    height: 13.103,
    x: 27.956,
    y: 6.17,
    fill: "#101828",
    "data-dark-mode-color": "true",
    rx: 6.551
  }), /*#__PURE__*/React.createElement("g", {
    filter: "url(#ToggleSwitch_js__b)"
  }, /*#__PURE__*/React.createElement("rect", {
    width: 10.919,
    height: 10.919,
    x: 29.048,
    y: 7.262,
    fill: "#F6F7F8",
    "data-theme-inverted": "true",
    rx: 5.459
  }))), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("clipPath", {
    id: "ToggleSwitch_js__a"
  }, /*#__PURE__*/React.createElement("path", {
    fill: "#fff",
    d: "M27.978 6.17H52v13.103H27.978z"
  })), /*#__PURE__*/React.createElement("filter", {
    id: "ToggleSwitch_js__b",
    width: 15.287,
    height: 15.287,
    x: 26.865,
    y: 7.262,
    colorInterpolationFilters: "sRGB",
    filterUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("feFlood", {
    floodOpacity: 0,
    result: "BackgroundImageFix"
  }), /*#__PURE__*/React.createElement("feColorMatrix", {
    in: "SourceAlpha",
    result: "hardAlpha",
    values: "0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"
  }), /*#__PURE__*/React.createElement("feOffset", {
    dy: 2.184
  }), /*#__PURE__*/React.createElement("feGaussianBlur", {
    stdDeviation: 1.092
  }), /*#__PURE__*/React.createElement("feColorMatrix", {
    values: "0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.05 0"
  }), /*#__PURE__*/React.createElement("feBlend", {
    in2: "BackgroundImageFix",
    result: "effect1_dropShadow_461_453"
  }), /*#__PURE__*/React.createElement("feBlend", {
    in: "SourceGraphic",
    in2: "effect1_dropShadow_461_453",
    result: "shape"
  }))));
};

export default ToggleSwitch;
//# sourceMappingURL=ToggleSwitch.js.map