var _excluded = ["width", "height"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var Toolbar = function Toolbar(_ref) {
  var _ref$width = _ref.width,
      width = _ref$width === void 0 ? 80 : _ref$width,
      _ref$height = _ref.height,
      height = _ref$height === void 0 ? 26 : _ref$height,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement("svg", _extends({
    width: width,
    height: height,
    fill: "none",
    viewBox: "0 0 80 26"
  }, props), /*#__PURE__*/React.createElement("path", {
    stroke: "#101828",
    strokeWidth: 0.75,
    d: "M31 4h18v18H31z",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#101828",
    d: "m45.11 7.018.14 2.963h-.354c-.069-.522-.162-.894-.28-1.118a1.834 1.834 0 0 0-.773-.792c-.317-.174-.737-.261-1.258-.261h-1.78v9.655c0 .777.083 1.261.251 1.454.236.26.6.391 1.09.391h.439v.345h-5.36v-.345h.448c.534 0 .913-.161 1.137-.484.137-.2.205-.653.205-1.361V7.81h-1.519c-.59 0-1.01.043-1.258.13-.323.118-.6.345-.83.68-.23.336-.366.79-.41 1.361h-.354l.15-2.963H45.11ZM48 3h2v2h-2zM30 3h2v2h-2zM48 21h2v2h-2zM30 21h2v2h-2z",
    "data-dark-mode-color": "true"
  }));
};

export default Toolbar;
//# sourceMappingURL=Toolbar.js.map