var _excluded = ["size", "color", "strokeWidth"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var AccessControl = function AccessControl(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 24 24",
    fill: "none"
  }, props), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#AccessControl_js__clip0_7407_247)"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M12 3C11.4696 3 10.9609 3.21071 10.5858 3.58579C10.2107 3.96086 10 4.46957 10 5C10 5.53043 10.2107 6.03914 10.5858 6.41421C10.9609 6.78929 11.4696 7 12 7C12.5304 7 13.0391 6.78929 13.4142 6.41421C13.7893 6.03914 14 5.53043 14 5C14 4.46957 13.7893 3.96086 13.4142 3.58579C13.0391 3.21071 12.5304 3 12 3Z",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M8 9C7.46957 9 6.96086 9.21071 6.58579 9.58579C6.21071 9.96086 6 10.4696 6 11C6 11.5304 6.21071 12.0391 6.58579 12.4142C6.96086 12.7893 7.46957 13 8 13C8.53043 13 9.03914 12.7893 9.41421 12.4142C9.78929 12.0391 10 11.5304 10 11C10 10.4696 9.78929 9.96086 9.41421 9.58579C9.03914 9.21071 8.53043 9 8 9Z",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M18 5L14 5",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M10 5L2 5",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M14 11L10 11",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M6 11L2 11",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M6.5 15C5.96957 15 5.46086 15.2107 5.08579 15.5858C4.71071 15.9609 4.5 16.4696 4.5 17C4.5 17.5304 4.71071 18.0391 5.08579 18.4142C5.46086 18.7893 5.96957 19 6.5 19C7.03043 19 7.53914 18.7893 7.91421 18.4142C8.28929 18.0391 8.5 17.5304 8.5 17C8.5 16.4696 8.28929 15.9609 7.91421 15.5858C7.53914 15.2107 7.03043 15 6.5 15Z",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M10 17H9",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M4 17H2",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M14.8647 15.2433V9.80643C14.8647 9.55197 14.9658 9.30793 15.1457 9.128C15.3257 8.94807 15.5697 8.84698 15.8242 8.84698C16.0786 8.84698 16.3227 8.94807 16.5026 9.128C16.6825 9.30793 16.7836 9.55197 16.7836 9.80643V14.6037",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M16.7836 14.2838V13.0046C16.7836 12.7501 16.8847 12.5061 17.0646 12.3261C17.2445 12.1462 17.4886 12.0451 17.743 12.0451C17.9975 12.0451 18.2415 12.1462 18.4215 12.3261C18.6014 12.5061 18.7025 12.7501 18.7025 13.0046V14.6036",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M18.7025 13.6443C18.7025 13.3899 18.8036 13.1458 18.9835 12.9659C19.1635 12.786 19.4075 12.6849 19.662 12.6849C19.9164 12.6849 20.1605 12.786 20.3404 12.9659C20.5203 13.1458 20.6214 13.3899 20.6214 13.6443V14.6038",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M20.6214 14.2838C20.6214 14.0294 20.7225 13.7853 20.9024 13.6054C21.0823 13.4255 21.3264 13.3244 21.5808 13.3244C21.8353 13.3244 22.0793 13.4255 22.2593 13.6054C22.4392 13.7853 22.5403 14.0294 22.5403 14.2838V17.1622C22.5403 18.18 22.1359 19.1562 21.4162 19.8759C20.6965 20.5956 19.7203 21 18.7025 21H17.4232H17.5563C16.9207 21.0001 16.295 20.8423 15.7355 20.5409C15.1759 20.2395 14.7 19.8038 14.3505 19.273L14.2251 19.0811C14.0255 18.7747 13.3251 17.5536 12.1233 15.4173C12.0007 15.1995 11.968 14.9425 12.032 14.701C12.0961 14.4595 12.2518 14.2524 12.4661 14.1239C12.6944 13.987 12.9619 13.9302 13.2261 13.9627C13.4903 13.9951 13.7361 14.1149 13.9245 14.303L14.8647 15.2433",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  })), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("clipPath", {
    id: "AccessControl_js__clip0_7407_247"
  }, /*#__PURE__*/React.createElement("rect", {
    width: 24,
    height: 24,
    fill: color
  }))));
};

export default AccessControl;
//# sourceMappingURL=AccessControl.js.map