var _excluded = ["size", "color", "strokeWidth"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var Archive = function Archive(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 24 24",
    fill: "none"
  }, props), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#Archive_js__clip0_3125_3522)"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M4.5 17.8334V14.9167C4.5 14.2263 5.05964 13.6667 5.75 13.6667H7.31583C7.64712 13.6668 7.96484 13.7983 8.19917 14.0325L9.0125 14.8459C9.32492 15.1579 9.74842 15.3333 10.19 15.3334H13.8092C14.2514 15.3335 14.6756 15.1578 14.9883 14.845L15.6792 14.1542C15.9916 13.8421 16.4151 13.6668 16.8567 13.6667H18.25C18.9404 13.6667 19.5 14.2263 19.5 14.9167V17.8334C19.5 18.7538 18.7538 19.5 17.8333 19.5H6.16667C5.24619 19.5 4.5 18.7538 4.5 17.8334Z",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M6.16667 13.6667V6.16667C6.16667 5.24619 6.91286 4.5 7.83334 4.5H16.1667C17.0871 4.5 17.8333 5.24619 17.8333 6.16667V13.6667",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  })), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("clipPath", {
    id: "Archive_js__clip0_3125_3522"
  }, /*#__PURE__*/React.createElement("rect", {
    width: 20,
    height: 20,
    fill: color,
    transform: "translate(2 2)"
  }))));
};

export default Archive;
//# sourceMappingURL=Archive.js.map