var _excluded = ["size", "color", "strokeWidth"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var Certificate = function Certificate(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 24 24",
    fill: "none"
  }, props), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#Certificate_js__clip0_6477_264)"
  }, /*#__PURE__*/React.createElement("circle", {
    cx: 11.7906,
    cy: 9.75,
    r: 6.75,
    stroke: color,
    strokeWidth: strokeWidth
  }), /*#__PURE__*/React.createElement("path", {
    d: "M6.6897 14L3.55399 18.9138C3.51836 18.9696 3.56841 19.0363 3.63569 19.0226L6.52057 18.4357L7.37584 21.0293C7.39579 21.0898 7.48364 21.0972 7.51927 21.0414L10.655 16.1276",
    stroke: color,
    strokeWidth: strokeWidth
  }), /*#__PURE__*/React.createElement("path", {
    d: "M16.9653 14L20.101 18.9138C20.1366 18.9696 20.0866 19.0363 20.0193 19.0226L17.1344 18.4357L16.2791 21.0293C16.2592 21.0898 16.1713 21.0972 16.1357 21.0414L13 16.1276",
    stroke: color,
    strokeWidth: strokeWidth
  }), /*#__PURE__*/React.createElement("path", {
    d: "M11.8634 6.26762C11.9203 6.15611 12.0797 6.15611 12.1366 6.26762L13.1636 8.28013C13.1859 8.32378 13.2277 8.35416 13.2761 8.36186L15.5075 8.71674C15.6311 8.7364 15.6804 8.88794 15.5919 8.97652L13.9953 10.5752C13.9606 10.6099 13.9447 10.659 13.9523 10.7074L14.3043 12.9393C14.3238 13.0629 14.1949 13.1566 14.0833 13.0998L12.0695 12.0754C12.0258 12.0531 11.9742 12.0531 11.9305 12.0754L9.91666 13.0998C9.80507 13.1566 9.67617 13.0629 9.69567 12.9393L10.0477 10.7074C10.0553 10.659 10.0394 10.6099 10.0047 10.5752L8.40809 8.97652C8.31963 8.88794 8.36886 8.7364 8.4925 8.71674L10.7239 8.36186C10.7723 8.35416 10.8141 8.32378 10.8364 8.28013L11.8634 6.26762Z",
    stroke: color,
    strokeWidth: strokeWidth
  })), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("clipPath", {
    id: "Certificate_js__clip0_6477_264"
  }, /*#__PURE__*/React.createElement("rect", {
    width: 24,
    height: 24,
    fill: color
  }))));
};

export default Certificate;
//# sourceMappingURL=Certificate.js.map