var _excluded = ["size", "color", "strokeWidth"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var Edit = function Edit(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 24 24",
    fill: "none"
  }, props), /*#__PURE__*/React.createElement("path", {
    d: "M18 10L15 7",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M6 20H15",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M16.0174 5.68275L9.87375 11.8262C9.53712 12.1628 9.31876 12.5996 9.25146 13.0708L9.01095 14.7549C8.98726 14.9208 9.00212 15.09 9.05437 15.2492C9.10662 15.4085 9.19487 15.5535 9.31225 15.6731C9.42964 15.7928 9.57301 15.8837 9.73124 15.939C9.88948 15.9943 10.0583 16.0123 10.2247 15.9918L11.8503 15.791C12.3369 15.7309 12.7894 15.5101 13.1362 15.1634L19.3163 8.98528C19.533 8.76863 19.705 8.51141 19.8223 8.22831C19.9396 7.94521 20 7.64178 20 7.33534C20 7.0289 19.9397 6.72546 19.8224 6.44235C19.7052 6.15923 19.5333 5.90198 19.3166 5.6853L19.314 5.68275C19.0976 5.46629 18.8406 5.29459 18.5578 5.17744C18.2749 5.06029 17.9718 5 17.6657 5C17.3596 5 17.0564 5.06029 16.7736 5.17744C16.4908 5.29459 16.2338 5.46629 16.0174 5.68275Z",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }));
};

export default Edit;
//# sourceMappingURL=Edit.js.map