var _excluded = ["size", "color", "strokeWidth"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var MediaVideo = function MediaVideo(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 24 24",
    fill: "none"
  }, props), /*#__PURE__*/React.createElement("path", {
    d: "M15 4H9C6.23858 4 4 6.23858 4 9V15C4 17.7614 6.23858 20 9 20H15C17.7614 20 20 17.7614 20 15V9C20 6.23858 17.7614 4 15 4Z",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M9.58398 10.0019C9.58399 9.82496 9.63095 9.65117 9.72008 9.4983C9.80921 9.34542 9.9373 9.21894 10.0913 9.13175C10.2453 9.04457 10.4196 8.9998 10.5966 9.00203C10.7735 9.00426 10.9467 9.05341 11.0985 9.14444L14.4292 11.1429C14.5773 11.2318 14.6998 11.3574 14.7849 11.5077C14.87 11.658 14.9147 11.8277 14.9147 12.0004C14.9147 12.1731 14.87 12.3428 14.7849 12.4931C14.6998 12.6433 14.5773 12.769 14.4292 12.8579L11.0985 14.8564C10.9467 14.9474 10.7735 14.9966 10.5966 14.9988C10.4196 15.001 10.2453 14.9563 10.0913 14.8691C9.9373 14.7819 9.80921 14.6554 9.72008 14.5025C9.63095 14.3497 9.58399 14.1759 9.58398 13.9989V10.0019Z",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }));
};

export default MediaVideo;
//# sourceMappingURL=MediaVideo.js.map