var _excluded = ["size", "color", "strokeWidth"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var PreventDuplicate = function PreventDuplicate(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 24 24",
    fill: "none"
  }, props), /*#__PURE__*/React.createElement("path", {
    d: "M6.2245 12.7583H11.7718M6.2245 15.347H11.7718M6.2245 17.9357H11.7718M11.3515 22.0037H3.91314C3.14722 22.0037 2.52632 21.3828 2.52632 20.6169V10.4711C2.52632 10.1562 2.6335 9.85069 2.83022 9.60479L5.80811 5.88242C6.07129 5.55344 6.46974 5.36194 6.89103 5.36194H14.0831C14.849 5.36194 15.4699 5.98284 15.4699 6.74875V12.5902",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M19 12.5902V3.38682C19 2.6209 18.3791 2 17.6132 2H10.4211C9.99981 2 9.60136 2.19151 9.33818 2.52048L8.64511 3.38682",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 6.35057,
    cy: 9.9427,
    r: 0.882519,
    fill: color
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 8.70395,
    cy: 9.9427,
    r: 0.882519,
    fill: color
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 11.0573,
    cy: 9.9427,
    r: 0.882519,
    fill: color
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 18.5,
    cy: 19.2105,
    r: 3.5,
    stroke: color,
    strokeWidth: strokeWidth
  }), /*#__PURE__*/React.createElement("path", {
    d: "M16.75 20.9605L20.25 17.4605",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round"
  }));
};

export default PreventDuplicate;
//# sourceMappingURL=PreventDuplicate.js.map