var _excluded = ["size", "color", "strokeWidth"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var RecurringInvoice = function RecurringInvoice(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 24 24",
    fill: "none"
  }, props), /*#__PURE__*/React.createElement("path", {
    d: "M10 7H2.83333C2.3731 7 2 7.3731 2 7.83333V18.9358C2 19.1725 2.10062 19.398 2.27674 19.5561L4.36897 21.4337C4.7157 21.7449 5.25018 21.7113 5.5553 21.3593L6.4852 20.2863C6.77425 19.9528 7.27321 19.9025 7.62303 20.1716L9.42326 21.5564C9.75365 21.8105 10.221 21.7814 10.5173 21.4883L11.7473 20.2719C12.072 19.9508 12.5946 19.9508 12.9193 20.2719L14.0338 21.3741C14.3764 21.7129 14.934 21.6915 15.2496 21.3274L16.7964 19.5426C16.9277 19.3911 17 19.1973 17 18.9968V13.9924",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M11.25 11.75H9.375C9.07663 11.75 8.79048 11.8685 8.57951 12.0795C8.36853 12.2905 8.25 12.5766 8.25 12.875C8.25 13.1734 8.36853 13.4595 8.57951 13.6705C8.79048 13.8815 9.07663 14 9.375 14H10.125C10.4234 14 10.7095 14.1185 10.9205 14.3295C11.1315 14.5405 11.25 14.8266 11.25 15.125C11.25 15.4234 11.1315 15.7095 10.9205 15.9205C10.7095 16.1315 10.4234 16.25 10.125 16.25H8.25",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M9.75 16.25V17M9.75 11V11.75",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M22.0056 5.93155C21.868 4.94105 21.4085 4.02329 20.6979 3.31963C19.9874 2.61598 19.0651 2.16546 18.0734 2.03749C17.0816 1.90952 16.0752 2.11119 15.2093 2.61143C14.3434 3.11167 13.666 3.88273 13.2814 4.80585M13 2.55444V4.80585H15.2514",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M13 7.05725C13.1377 8.04775 13.5971 8.96551 14.3077 9.66916C15.0183 10.3728 15.9405 10.8233 16.9323 10.9513C17.9241 11.0793 18.9304 10.8776 19.7963 10.3774C20.6622 9.87713 21.3396 9.10607 21.7242 8.18295M22.0056 10.4344V8.18295H19.7542",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }));
};

export default RecurringInvoice;
//# sourceMappingURL=RecurringInvoice.js.map