var _excluded = ["size", "color", "strokeWidth"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var TaskType = function TaskType(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? "currentColor" : _ref$color,
      _ref$strokeWidth = _ref.strokeWidth,
      strokeWidth = _ref$strokeWidth === void 0 ? 1.5 : _ref$strokeWidth,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 24 24",
    fill: "none"
  }, props), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#TaskType_js__clip0_7338_894)"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M7 4H5C4.46957 4 3.96086 4.21071 3.58579 4.58579C3.21071 4.96086 3 5.46957 3 6V18C3 18.5304 3.21071 19.0391 3.58579 19.4142C3.96086 19.7893 4.46957 20 5 20H10M17 10V6C17 5.46957 16.7893 4.96086 16.4142 4.58579C16.0391 4.21071 15.5304 4 15 4H13",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M7 4C7 3.46957 7.21071 2.96086 7.58579 2.58579C7.96086 2.21071 8.46957 2 9 2H11C11.5304 2 12.0391 2.21071 12.4142 2.58579C12.7893 2.96086 13 3.46957 13 4C13 4.53043 12.7893 5.03914 12.4142 5.41421C12.0391 5.78929 11.5304 6 11 6H9C8.46957 6 7.96086 5.78929 7.58579 5.41421C7.21071 5.03914 7 4.53043 7 4Z",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M9 9H14",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M9 12H13",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M6 9V9.01",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M6 12V12.01",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M17.9319 13C18.0431 13 18.1515 13.0354 18.2425 13.1012C18.3334 13.167 18.4024 13.2601 18.4399 13.3678L18.7142 14.1539C18.7577 14.2775 18.8422 14.3814 18.9528 14.4472L19.7664 14.9306C19.8769 14.9962 20.0064 15.0194 20.132 14.9961L20.931 14.8478C21.0405 14.8273 21.1535 14.8421 21.2545 14.8903C21.3555 14.9384 21.4395 15.0175 21.4952 15.1167L21.9271 15.8833C21.9829 15.9823 22.0076 16.0965 21.998 16.2105C21.9883 16.3244 21.9447 16.4325 21.8731 16.52L21.3489 17.1578C21.2663 17.2581 21.221 17.3852 21.2209 17.5167V18.4833C21.221 18.6148 21.2663 18.7419 21.3489 18.8422L21.8731 19.48C21.9447 19.5675 21.9883 19.6756 21.998 19.7895C22.0076 19.9035 21.9829 20.0177 21.9271 20.1167L21.4952 20.8833C21.4396 20.9824 21.3556 21.0614 21.2547 21.1096C21.1538 21.1577 21.0409 21.1726 20.9315 21.1522L20.1325 21.0039C20.007 20.9806 19.8775 21.0038 19.767 21.0694L18.9534 21.5528C18.8428 21.6186 18.7583 21.7225 18.7147 21.8461L18.4405 22.6322C18.4029 22.74 18.3338 22.8332 18.2428 22.899C18.1518 22.9648 18.0432 23.0001 17.9319 23H17.0681C16.9569 23 16.8485 22.9646 16.7575 22.8988C16.6666 22.833 16.5976 22.7399 16.5601 22.6322L16.2858 21.8461C16.2423 21.7227 16.158 21.6188 16.0477 21.5528L15.2336 21.0694C15.1231 21.0038 14.9936 20.9806 14.868 21.0039L14.069 21.1522C13.9595 21.1727 13.8465 21.1579 13.7455 21.1097C13.6445 21.0616 13.5605 20.9825 13.5048 20.8833L13.0729 20.1167C13.0171 20.0177 12.9924 19.9035 13.002 19.7895C13.0117 19.6756 13.0553 19.5675 13.1269 19.48L13.6511 18.8422C13.7337 18.7419 13.779 18.6148 13.7791 18.4833V17.5167C13.779 17.3852 13.7337 17.2581 13.6511 17.1578L13.1323 16.52C13.0607 16.4325 13.0171 16.3244 13.0074 16.2105C12.9978 16.0965 13.0225 15.9823 13.0783 15.8833L13.5102 15.1167C13.5658 15.0176 13.6498 14.9386 13.7507 14.8904C13.8516 14.8423 13.9645 14.8274 14.0739 14.8478L14.8729 14.9961C14.9984 15.0194 15.1279 14.9962 15.2384 14.9306L16.0526 14.4472C16.1629 14.3812 16.2471 14.2773 16.2907 14.1539L16.5649 13.3678C16.6022 13.2609 16.6704 13.1684 16.7604 13.1026C16.8504 13.0368 16.9577 13.001 17.0681 13H17.9319Z",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M17.5 19.5278C18.32 19.5278 18.9847 18.8438 18.9847 18C18.9847 17.1562 18.32 16.4722 17.5 16.4722C16.68 16.4722 16.0153 17.1562 16.0153 18C16.0153 18.8438 16.68 19.5278 17.5 19.5278Z",
    stroke: color,
    strokeWidth: strokeWidth,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  })), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("clipPath", {
    id: "TaskType_js__clip0_7338_894"
  }, /*#__PURE__*/React.createElement("rect", {
    width: 24,
    height: 24,
    fill: color
  }))));
};

export default TaskType;
//# sourceMappingURL=TaskType.js.map