var _excluded = ["size", "height", "width"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var Teams = function Teams(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      height = _ref.height,
      width = _ref.width,
      props = _objectWithoutProperties(_ref, _excluded);

  height = height || size;
  width = width || size;
  return /*#__PURE__*/React.createElement("svg", _extends({
    xmlnsXlink: "http://www.w3.org/1999/xlink",
    width: width,
    height: height,
    viewBox: "0 0 32 30"
  }, props), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("clipPath", {
    id: "Teams_js__b"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M0 0h32v30H0z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "Teams_js__c"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M0 0h32v30H0z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "Teams_js__d"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M0 0h32v30H0z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "Teams_js__e"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M0 0h32v30H0z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "Teams_js__f"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M0 0h32v30H0z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "Teams_js__g"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M0 0h32v30H0z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "Teams_js__h"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M0 0h32v30H0z"
  })), /*#__PURE__*/React.createElement("clipPath", {
    id: "Teams_js__i"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M0 0h32v30H0z"
  })), /*#__PURE__*/React.createElement("mask", {
    id: "Teams_js__k"
  }, /*#__PURE__*/React.createElement("g", {
    filter: "url(#Teams_js__a)"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M0 0h32v30H0z",
    style: {
      fill: "#000",
      fillOpacity: 0.101961,
      stroke: "none"
    }
  }))), /*#__PURE__*/React.createElement("mask", {
    id: "Teams_js__m"
  }, /*#__PURE__*/React.createElement("g", {
    filter: "url(#Teams_js__a)"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M0 0h32v30H0z",
    style: {
      fill: "#000",
      fillOpacity: 0.2,
      stroke: "none"
    }
  }))), /*#__PURE__*/React.createElement("mask", {
    id: "Teams_js__o"
  }, /*#__PURE__*/React.createElement("g", {
    filter: "url(#Teams_js__a)"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M0 0h32v30H0z",
    style: {
      fill: "#000",
      fillOpacity: 0.2,
      stroke: "none"
    }
  }))), /*#__PURE__*/React.createElement("mask", {
    id: "Teams_js__q"
  }, /*#__PURE__*/React.createElement("g", {
    filter: "url(#Teams_js__a)"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M0 0h32v30H0z",
    style: {
      fill: "#000",
      fillOpacity: 0.2,
      stroke: "none"
    }
  }))), /*#__PURE__*/React.createElement("mask", {
    id: "Teams_js__s"
  }, /*#__PURE__*/React.createElement("g", {
    filter: "url(#Teams_js__a)"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M0 0h32v30H0z",
    style: {
      fill: "#000",
      fillOpacity: 0.101961,
      stroke: "none"
    }
  }))), /*#__PURE__*/React.createElement("mask", {
    id: "Teams_js__u"
  }, /*#__PURE__*/React.createElement("g", {
    filter: "url(#Teams_js__a)"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M0 0h32v30H0z",
    style: {
      fill: "#000",
      fillOpacity: 0.2,
      stroke: "none"
    }
  }))), /*#__PURE__*/React.createElement("mask", {
    id: "Teams_js__w"
  }, /*#__PURE__*/React.createElement("g", {
    filter: "url(#Teams_js__a)"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M0 0h32v30H0z",
    style: {
      fill: "#000",
      fillOpacity: 0.2,
      stroke: "none"
    }
  }))), /*#__PURE__*/React.createElement("mask", {
    id: "Teams_js__y"
  }, /*#__PURE__*/React.createElement("g", {
    filter: "url(#Teams_js__a)"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M0 0h32v30H0z",
    style: {
      fill: "#000",
      fillOpacity: 0.2,
      stroke: "none"
    }
  }))), /*#__PURE__*/React.createElement("g", {
    id: "Teams_js__j",
    clipPath: "url(#Teams_js__b)"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M17.86 11.25v12.129a1.376 1.376 0 0 1-1.36 1.371H9.586a8.491 8.491 0 0 1-.258-.75 9.114 9.114 0 0 1-.394-2.656V12.69a1.401 1.401 0 0 1 1.359-1.441Zm0 0",
    style: {
      stroke: "none",
      fillRule: "nonzero",
      fill: "#000",
      fillOpacity: 1
    }
  })), /*#__PURE__*/React.createElement("g", {
    id: "Teams_js__l",
    clipPath: "url(#Teams_js__c)"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M17.117 11.25v12.879c0 .176-.035.351-.105.516a1.37 1.37 0 0 1-1.258.855H9.938a9.325 9.325 0 0 1-.352-.75 8.112 8.112 0 0 1-.258-.75 9.114 9.114 0 0 1-.394-2.656V12.69a1.401 1.401 0 0 1 1.359-1.441Zm0 0",
    style: {
      stroke: "none",
      fillRule: "nonzero",
      fill: "#000",
      fillOpacity: 1
    }
  })), /*#__PURE__*/React.createElement("g", {
    id: "Teams_js__n",
    clipPath: "url(#Teams_js__d)"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M17.117 11.25v11.379A1.379 1.379 0 0 1 15.754 24H9.328a9.114 9.114 0 0 1-.394-2.656V12.69a1.401 1.401 0 0 1 1.359-1.441Zm0 0",
    style: {
      stroke: "none",
      fillRule: "nonzero",
      fill: "#000",
      fillOpacity: 1
    }
  })), /*#__PURE__*/React.createElement("g", {
    id: "Teams_js__p",
    clipPath: "url(#Teams_js__e)"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M16.371 11.25v11.379A1.373 1.373 0 0 1 15.011 24H9.329a9.114 9.114 0 0 1-.394-2.656V12.69a1.401 1.401 0 0 1 1.359-1.441Zm0 0",
    style: {
      stroke: "none",
      fillRule: "nonzero",
      fill: "#000",
      fillOpacity: 1
    }
  })), /*#__PURE__*/React.createElement("g", {
    id: "Teams_js__r",
    clipPath: "url(#Teams_js__f)"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M17.86 7.371v2.363c-.126.008-.247.016-.372.016s-.246-.008-.37-.016a3.716 3.716 0 0 1-.747-.12A4.848 4.848 0 0 1 12.785 6H16.5c.75.004 1.355.617 1.36 1.371Zm0 0",
    style: {
      stroke: "none",
      fillRule: "nonzero",
      fill: "#000",
      fillOpacity: 1
    }
  })), /*#__PURE__*/React.createElement("g", {
    id: "Teams_js__t",
    clipPath: "url(#Teams_js__g)"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M17.117 8.121v1.613a3.716 3.716 0 0 1-.746-.12 4.848 4.848 0 0 1-3.348-2.864h2.73c.75.004 1.36.617 1.364 1.371Zm0 0",
    style: {
      stroke: "none",
      fillRule: "nonzero",
      fill: "#000",
      fillOpacity: 1
    }
  })), /*#__PURE__*/React.createElement("g", {
    id: "Teams_js__v",
    clipPath: "url(#Teams_js__h)"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M17.117 8.121v1.613a3.716 3.716 0 0 1-.746-.12 4.848 4.848 0 0 1-3.348-2.864h2.73c.75.004 1.36.617 1.364 1.371Zm0 0",
    style: {
      stroke: "none",
      fillRule: "nonzero",
      fill: "#000",
      fillOpacity: 1
    }
  })), /*#__PURE__*/React.createElement("g", {
    id: "Teams_js__x",
    clipPath: "url(#Teams_js__i)"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M16.371 8.121v1.492a4.848 4.848 0 0 1-3.348-2.863h1.989a1.37 1.37 0 0 1 1.36 1.371Zm0 0",
    style: {
      stroke: "none",
      fillRule: "nonzero",
      fill: "#000",
      fillOpacity: 1
    }
  })), /*#__PURE__*/React.createElement("linearGradient", {
    id: "Teams_js__z",
    x1: 198.099,
    x2: 942.234,
    y1: 1683.073,
    y2: 394.261,
    gradientTransform: "matrix(.01435 0 0 -.01447 .004 30.029)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React.createElement("stop", {
    offset: 0,
    style: {
      stopColor: "#5a62c3",
      stopOpacity: 1
    }
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 0.5,
    style: {
      stopColor: "#4d55bd",
      stopOpacity: 1
    }
  }), /*#__PURE__*/React.createElement("stop", {
    offset: 1,
    style: {
      stopColor: "#3940ab",
      stopOpacity: 1
    }
  })), /*#__PURE__*/React.createElement("filter", {
    id: "Teams_js__a",
    width: "100%",
    height: "100%",
    x: "0%",
    y: "0%",
    filterUnits: "objectBoundingBox"
  }, /*#__PURE__*/React.createElement("feColorMatrix", {
    in: "SourceGraphic",
    values: "0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 1 0"
  }))), /*#__PURE__*/React.createElement("path", {
    d: "M22.32 11.25h8.262c.781 0 1.414.637 1.414 1.426v7.586c0 2.894-2.324 5.238-5.195 5.238h-.024c-2.87 0-5.195-2.344-5.199-5.238v-8.266a.745.745 0 0 1 .742-.746ZM31.254 6.375c0 1.863-1.5 3.375-3.352 3.375-1.847 0-3.347-1.512-3.347-3.375S26.055 3 27.902 3c1.852 0 3.352 1.512 3.352 3.375Zm0 0",
    style: {
      stroke: "none",
      fillRule: "nonzero",
      fill: "#5059c9",
      fillOpacity: 1
    }
  }), /*#__PURE__*/React.createElement("path", {
    d: "M22.324 4.875c0 2.691-2.164 4.875-4.836 4.875s-4.836-2.184-4.836-4.875S14.816 0 17.488 0s4.836 2.184 4.836 4.875ZM23.938 11.25H10.296a1.402 1.402 0 0 0-1.363 1.441v8.657c-.11 4.664 3.554 8.539 8.183 8.652 4.63-.113 8.29-3.988 8.184-8.652V12.69a1.407 1.407 0 0 0-1.363-1.441Zm0 0",
    style: {
      stroke: "none",
      fillRule: "nonzero",
      fill: "#7b83eb",
      fillOpacity: 1
    }
  }), /*#__PURE__*/React.createElement("use", {
    xlinkHref: "#Teams_js__j",
    mask: "url(#Teams_js__k)"
  }), /*#__PURE__*/React.createElement("use", {
    xlinkHref: "#Teams_js__l",
    mask: "url(#Teams_js__m)"
  }), /*#__PURE__*/React.createElement("use", {
    xlinkHref: "#Teams_js__n",
    mask: "url(#Teams_js__o)"
  }), /*#__PURE__*/React.createElement("use", {
    xlinkHref: "#Teams_js__p",
    mask: "url(#Teams_js__q)"
  }), /*#__PURE__*/React.createElement("use", {
    xlinkHref: "#Teams_js__r",
    mask: "url(#Teams_js__s)"
  }), /*#__PURE__*/React.createElement("use", {
    xlinkHref: "#Teams_js__t",
    mask: "url(#Teams_js__u)"
  }), /*#__PURE__*/React.createElement("use", {
    xlinkHref: "#Teams_js__v",
    mask: "url(#Teams_js__w)"
  }), /*#__PURE__*/React.createElement("use", {
    xlinkHref: "#Teams_js__x",
    mask: "url(#Teams_js__y)"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M1.367 6.75h13.64a1.37 1.37 0 0 1 1.364 1.375v13.75a1.37 1.37 0 0 1-1.363 1.375H1.368a1.37 1.37 0 0 1-1.364-1.375V8.125c0-.758.61-1.375 1.363-1.375Zm0 0",
    style: {
      stroke: "none",
      fillRule: "nonzero",
      fill: "url(#Teams_js__z)"
    }
  }), /*#__PURE__*/React.createElement("path", {
    d: "M11.777 11.984H9.051v7.485H7.312v-7.485H4.598v-1.453h7.18Zm0 0",
    style: {
      stroke: "none",
      fillRule: "nonzero",
      fill: "#fff",
      fillOpacity: 1
    }
  }));
};

export default Teams;
//# sourceMappingURL=Teams.js.map