var _excluded = ["width", "height"];

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";

var NeetoCal = function NeetoCal(_ref) {
  var _ref$width = _ref.width,
      width = _ref$width === void 0 ? "100%" : _ref$width,
      _ref$height = _ref.height,
      height = _ref$height === void 0 ? 36 : _ref$height,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement("svg", _extends({
    width: width,
    height: height,
    viewBox: "0 0 361 144",
    fill: "none"
  }, props), /*#__PURE__*/React.createElement("g", {
    "data-logo-icon": "neeto-typeface-logo__icon"
  }, /*#__PURE__*/React.createElement("rect", {
    x: 12.9375,
    y: 17.7031,
    width: 117,
    height: 117,
    rx: 21.84,
    fill: "#75DC66"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M12.9375 39.5431C12.9375 27.4812 22.7156 17.7031 34.7775 17.7031H108.098C120.159 17.7031 129.938 27.4812 129.938 39.5431V56.7031H12.9375V39.5431Z",
    fill: "#5BCC5A"
  }), /*#__PURE__*/React.createElement("rect", {
    x: 12.9375,
    y: 56.7021,
    width: 39,
    height: 39,
    fill: "#75DC66"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M12.9375 95.7021H51.9375V134.702H34.7775C22.7156 134.702 12.9375 124.924 12.9375 112.862V95.7021Z",
    fill: "#75DC66"
  }), /*#__PURE__*/React.createElement("rect", {
    x: 51.9375,
    y: 95.7021,
    width: 39,
    height: 39,
    fill: "#0DA84C"
  }), /*#__PURE__*/React.createElement("rect", {
    x: 90.9375,
    y: 56.7021,
    width: 39,
    height: 39,
    fill: "#0DA84C"
  }), /*#__PURE__*/React.createElement("rect", {
    x: 51.9375,
    y: 56.7021,
    width: 39,
    height: 39,
    fill: "#75DC66"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M90.9375 95.7021H129.938V112.862C129.938 124.924 120.159 134.702 108.097 134.702H90.9375V95.7021Z",
    fill: "#0DA84C"
  }), /*#__PURE__*/React.createElement("rect", {
    x: 87.4269,
    y: 8.73291,
    width: 14.04,
    height: 23.01,
    rx: 7.02,
    fill: "#0DA84C"
  }), /*#__PURE__*/React.createElement("rect", {
    x: 41.4075,
    y: 8.73291,
    width: 14.04,
    height: 23.01,
    rx: 7.02,
    fill: "#0DA84C"
  })), /*#__PURE__*/React.createElement("g", {
    "data-logo-text": "neeto-typeface-logo__text"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M171.659 94.5153C171.659 86.5972 173.427 79.5247 176.963 73.2978C180.576 66.9941 185.458 62.1125 191.608 58.6531C197.835 55.1169 204.792 53.3488 212.48 53.3488C221.474 53.3488 229.354 55.655 236.119 60.2675C242.884 64.88 247.612 71.2606 250.302 79.4094H231.737C229.892 75.5656 227.278 72.6828 223.896 70.761C220.59 68.8391 216.746 67.8781 212.364 67.8781C207.675 67.8781 203.485 68.9928 199.795 71.2222C196.182 73.3747 193.338 76.4497 191.262 80.4472C189.263 84.4447 188.264 89.1341 188.264 94.5153C188.264 99.8197 189.263 104.509 191.262 108.583C193.338 112.581 196.182 115.694 199.795 117.924C203.485 120.076 207.675 121.153 212.364 121.153C216.746 121.153 220.59 120.192 223.896 118.27C227.278 116.271 229.892 113.35 231.737 109.506H250.302C247.612 117.732 242.884 124.151 236.119 128.763C229.431 133.299 221.551 135.567 212.48 135.567C204.792 135.567 197.835 133.837 191.608 130.378C185.458 126.841 180.576 121.96 176.963 115.733C173.427 109.506 171.659 102.433 171.659 94.5153Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M257.633 102.703C257.633 96.245 258.902 90.5178 261.439 85.521C264.053 80.5241 267.55 76.6803 271.932 73.9897C276.391 71.2991 281.349 69.9538 286.808 69.9538C291.574 69.9538 295.725 70.9147 299.261 72.8366C302.874 74.7585 305.757 77.18 307.91 80.1013V70.9916H324.169V134.875H307.91V125.534C305.834 128.533 302.951 131.031 299.261 133.03C295.648 134.952 291.458 135.913 286.692 135.913C281.311 135.913 276.391 134.529 271.932 131.761C267.55 128.994 264.053 125.112 261.439 120.115C258.902 115.041 257.633 109.237 257.633 102.703ZM307.91 102.933C307.91 99.0125 307.141 95.6685 305.603 92.901C304.066 90.0566 301.99 87.9041 299.377 86.4435C296.763 84.906 293.957 84.1372 290.959 84.1372C287.961 84.1372 285.193 84.8675 282.656 86.3281C280.119 87.7888 278.044 89.9413 276.429 92.7856C274.892 95.5531 274.123 98.8588 274.123 102.703C274.123 106.546 274.892 109.929 276.429 112.85C278.044 115.694 280.119 117.885 282.656 119.423C285.27 120.96 288.038 121.729 290.959 121.729C293.957 121.729 296.763 120.999 299.377 119.538C301.99 118.001 304.066 115.848 305.603 113.081C307.141 110.236 307.91 106.854 307.91 102.933Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M353.773 49.5435V134.875H337.63V49.5435H353.773Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M229.183 25.3847C229.183 26.2481 229.126 27.0252 229.011 27.716H211.54C211.684 29.4429 212.288 30.7956 213.352 31.7742C214.416 32.7527 215.724 33.242 217.277 33.242C219.52 33.242 221.116 32.2778 222.065 30.3495H228.579C227.889 32.652 226.566 34.5516 224.611 36.0482C222.655 37.5161 220.254 38.25 217.407 38.25C215.106 38.25 213.035 37.7463 211.195 36.739C209.383 35.7028 207.96 34.2494 206.924 32.3786C205.918 30.5078 205.414 28.3492 205.414 25.9028C205.414 23.4275 205.918 21.2545 206.924 19.3837C207.931 17.513 209.34 16.0739 211.152 15.0665C212.964 14.0592 215.048 13.5555 217.407 13.5555C219.679 13.5555 221.706 14.0448 223.489 15.0234C225.301 16.0019 226.696 17.3978 227.673 19.2111C228.68 20.9955 229.183 23.0534 229.183 25.3847ZM222.928 23.6578C222.899 22.1036 222.339 20.866 221.246 19.945C220.153 18.9952 218.816 18.5203 217.234 18.5203C215.739 18.5203 214.473 18.9808 213.438 19.9018C212.431 20.794 211.813 22.046 211.583 23.6578H222.928Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M255.807 25.3847C255.807 26.2481 255.749 27.0252 255.634 27.716H238.164C238.308 29.4429 238.911 30.7956 239.976 31.7742C241.04 32.7527 242.348 33.242 243.901 33.242C246.144 33.242 247.74 32.2778 248.689 30.3495H255.203C254.513 32.652 253.19 34.5516 251.234 36.0482C249.279 37.5161 246.877 38.25 244.03 38.25C241.73 38.25 239.659 37.7463 237.819 36.739C236.007 35.7028 234.583 34.2494 233.548 32.3786C232.542 30.5078 232.038 28.3492 232.038 25.9028C232.038 23.4275 232.542 21.2545 233.548 19.3837C234.555 17.513 235.964 16.0739 237.776 15.0665C239.587 14.0592 241.672 13.5555 244.03 13.5555C246.302 13.5555 248.33 14.0448 250.113 15.0234C251.925 16.0019 253.319 17.3978 254.297 19.2111C255.304 20.9955 255.807 23.0534 255.807 25.3847ZM249.552 23.6578C249.523 22.1036 248.962 20.866 247.87 19.945C246.777 18.9952 245.44 18.5203 243.858 18.5203C242.362 18.5203 241.097 18.9808 240.062 19.9018C239.055 20.794 238.437 22.046 238.207 23.6578H249.552Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M267.346 18.8624V30.5365C267.346 31.3424 267.559 31.8749 267.933 32.249C268.335 32.5944 268.997 32.7671 269.917 32.7671H272.721V37.8614H268.925C263.835 37.8614 261.4 35.258 261.4 30.3076V18.8624H258.197V13.8265H261.4V7.875H267.346V13.8265H272.721V18.8624H267.346Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M287.551 38.25C285.25 38.25 283.18 37.7463 281.339 36.739C279.499 35.7028 278.046 34.2494 276.982 32.3786C275.947 30.5078 275.429 28.3492 275.429 25.9028C275.429 23.4563 275.961 21.2977 277.025 19.4269C278.118 17.5561 279.599 16.1171 281.469 15.1097C283.338 14.0736 285.423 13.5555 287.723 13.5555C290.024 13.5555 292.109 14.0736 293.978 15.1097C295.848 16.1171 297.314 17.5561 298.378 19.4269C299.471 21.2977 300.018 23.4563 300.018 25.9028C300.018 28.3492 299.457 30.5078 298.335 32.3786C297.242 34.2494 295.747 35.7028 293.849 36.739C291.98 37.7463 289.88 38.25 287.551 38.25ZM287.551 32.983C288.644 32.983 289.665 32.724 290.614 32.2059C291.591 31.659 292.368 30.8532 292.943 29.7882C293.518 28.7233 293.806 27.4282 293.806 25.9028C293.806 23.629 293.202 21.8877 291.994 20.6789C290.815 19.4413 289.363 18.8225 287.637 18.8225C285.912 18.8225 284.459 19.4413 283.28 20.6789C282.13 21.8877 281.555 23.629 281.555 25.9028C281.555 28.1765 282.116 29.9322 283.237 31.1698C284.387 32.3786 285.825 32.983 287.551 32.983Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M200.314 7.875H188.72L200.314 25.2653V7.875Z",
    fill: "black",
    "data-dark-mode-color": "true"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M171.562 38.25L171.562 7.875H179.934L200.314 38.25H191.697L178.286 18.541V38.25H171.562Z",
    fill: "black",
    "data-dark-mode-color": "true"
  })));
};

export default NeetoCal;
//# sourceMappingURL=NeetoCal.js.map