import React from "react";

type IconProps = {
	size?: string | number;
	strokeWidth?: string | number;
	color?: string;
} & React.SVGProps<SVGSVGElement>;

export const AccessControl: React.FC<IconProps>;
export const ActivityLog: React.FC<IconProps>;
export const AddCircle: React.FC<IconProps>;
export const AddMenu: React.FC<IconProps>;
export const AddRectangle: React.FC<IconProps>;
export const Address: React.FC<IconProps>;
export const Agents: React.FC<IconProps>;
export const AgentStatus: React.FC<IconProps>;
export const ApiTemplates: React.FC<IconProps>;
export const Apple: React.FC<IconProps>;
export const Approval: React.FC<IconProps>;
export const AppSwitcher: React.FC<IconProps>;
export const Archive: React.FC<IconProps>;
export const Articles: React.FC<IconProps>;
export const Assign: React.FC<IconProps>;
export const Attachment: React.FC<IconProps>;
export const Bank: React.FC<IconProps>;
export const Blockquote: React.FC<IconProps>;
export const BoardView: React.FC<IconProps>;
export const Book: React.FC<IconProps>;
export const Bookmark: React.FC<IconProps>;
export const BookOpen: React.FC<IconProps>;
export const Braces: React.FC<IconProps>;
export const Browser: React.FC<IconProps>;
export const Bug: React.FC<IconProps>;
export const Building: React.FC<IconProps>;
export const Bulb: React.FC<IconProps>;
export const BusinessHour: React.FC<IconProps>;
export const Calendar: React.FC<IconProps>;
export const Camera: React.FC<IconProps>;
export const CannedResponses: React.FC<IconProps>;
export const Captcha: React.FC<IconProps>;
export const CategoriesSettings: React.FC<IconProps>;
export const Category: React.FC<IconProps>;
export const CenterAlign: React.FC<IconProps>;
export const Certificate: React.FC<IconProps>;
export const ChatOffline: React.FC<IconProps>;
export const Chat: React.FC<IconProps>;
export const ChatBubble: React.FC<IconProps>;
export const ChatEmpty: React.FC<IconProps>;
export const ChatNotification: React.FC<IconProps>;
export const ChatQuestions: React.FC<IconProps>;
export const Check: React.FC<IconProps>;
export const Checkbox: React.FC<IconProps>;
export const CheckboxInactive: React.FC<IconProps>;
export const CheckCircle: React.FC<IconProps>;
export const Checkmark: React.FC<IconProps>;
export const Chrome: React.FC<IconProps>;
export const ClearCache: React.FC<IconProps>;
export const Clock: React.FC<IconProps>;
export const Close: React.FC<IconProps>;
export const CloseCircle: React.FC<IconProps>;
export const ClosedPullRequest: React.FC<IconProps>;
export const Code: React.FC<IconProps>;
export const CodeBlock: React.FC<IconProps>;
export const Collapse: React.FC<IconProps>;
export const ColorPicker: React.FC<IconProps>;
export const Column: React.FC<IconProps>;
export const Community: React.FC<IconProps>;
export const CompanyInfo: React.FC<IconProps>;
export const CompanyTags: React.FC<IconProps>;
export const Computer: React.FC<IconProps>;
export const Concat: React.FC<IconProps>;
export const Configure: React.FC<IconProps>;
export const ContactBook: React.FC<IconProps>;
export const ContactField: React.FC<IconProps>;
export const ContactTags: React.FC<IconProps>;
export const Copy: React.FC<IconProps>;
export const CreditCard: React.FC<IconProps>;
export const Css3: React.FC<IconProps>;
export const Cursor: React.FC<IconProps>;
export const CustomDomain: React.FC<IconProps>;
export const Customers: React.FC<IconProps>;
export const CustomField: React.FC<IconProps>;
export const Customize: React.FC<IconProps>;
export const CustomSize: React.FC<IconProps>;
export const Dashboard: React.FC<IconProps>;
export const Database: React.FC<IconProps>;
export const DeleteColumn: React.FC<IconProps>;
export const DeleteRow: React.FC<IconProps>;
export const DeleteTable: React.FC<IconProps>;
export const Delete: React.FC<IconProps>;
export const Dependent: React.FC<IconProps>;
export const Design: React.FC<IconProps>;
export const Divide: React.FC<IconProps>;
export const Divider: React.FC<IconProps>;
export const DocumentationSync: React.FC<IconProps>;
export const Domain: React.FC<IconProps>;
export const DoubleCheck: React.FC<IconProps>;
export const DownArrowCircle: React.FC<IconProps>;
export const Down: React.FC<IconProps>;
export const DownArrow: React.FC<IconProps>;
export const Download: React.FC<IconProps>;
export const Draft: React.FC<IconProps>;
export const Drag: React.FC<IconProps>;
export const Dropdown: React.FC<IconProps>;
export const DropdownClosed: React.FC<IconProps>;
export const Edit: React.FC<IconProps>;
export const EditSchedule: React.FC<IconProps>;
export const Email: React.FC<IconProps>;
export const EmailNotification: React.FC<IconProps>;
export const EmailsBanned: React.FC<IconProps>;
export const EmailSent: React.FC<IconProps>;
export const EmailSync: React.FC<IconProps>;
export const EmailTemplates: React.FC<IconProps>;
export const EntireScreen: React.FC<IconProps>;
export const Equals: React.FC<IconProps>;
export const Error: React.FC<IconProps>;
export const ExcludedDomains: React.FC<IconProps>;
export const Expand: React.FC<IconProps>;
export const ExpandSize: React.FC<IconProps>;
export const ExpenseCategories: React.FC<IconProps>;
export const ExternalLink: React.FC<IconProps>;
export const Eye: React.FC<IconProps>;
export const Facebook: React.FC<IconProps>;
export const Favorite: React.FC<IconProps>;
export const FeatureSettings: React.FC<IconProps>;
export const Field: React.FC<IconProps>;
export const FileDownload: React.FC<IconProps>;
export const File: React.FC<IconProps>;
export const FileGeneric: React.FC<IconProps>;
export const FileUpload: React.FC<IconProps>;
export const FilterAz: React.FC<IconProps>;
export const Filter: React.FC<IconProps>;
export const Flag: React.FC<IconProps>;
export const Flash: React.FC<IconProps>;
export const FlowChart: React.FC<IconProps>;
export const Focus: React.FC<IconProps>;
export const Folder: React.FC<IconProps>;
export const Form: React.FC<IconProps>;
export const FormClosed: React.FC<IconProps>;
export const Forward: React.FC<IconProps>;
export const FullScreen: React.FC<IconProps>;
export const Gif: React.FC<IconProps>;
export const Gift: React.FC<IconProps>;
export const GitMerge: React.FC<IconProps>;
export const Globe: React.FC<IconProps>;
export const Goal: React.FC<IconProps>;
export const Graph: React.FC<IconProps>;
export const Group: React.FC<IconProps>;
export const HamburgerMenu: React.FC<IconProps>;
export const Hash: React.FC<IconProps>;
export const HashChecked: React.FC<IconProps>;
export const HashInSet: React.FC<IconProps>;
export const Header: React.FC<IconProps>;
export const Heart: React.FC<IconProps>;
export const Help: React.FC<IconProps>;
export const Hide: React.FC<IconProps>;
export const Highlight: React.FC<IconProps>;
export const History: React.FC<IconProps>;
export const Home: React.FC<IconProps>;
export const HourFormat: React.FC<IconProps>;
export const HourGlass: React.FC<IconProps>;
export const Hours: React.FC<IconProps>;
export const Html: React.FC<IconProps>;
export const ImageUpload: React.FC<IconProps>;
export const Image: React.FC<IconProps>;
export const ImportTimesheet: React.FC<IconProps>;
export const Inactive: React.FC<IconProps>;
export const Inbox: React.FC<IconProps>;
export const IndeterminateCircle: React.FC<IconProps>;
export const Info: React.FC<IconProps>;
export const InfoRound: React.FC<IconProps>;
export const Input: React.FC<IconProps>;
export const InsertColumn: React.FC<IconProps>;
export const InsertRow: React.FC<IconProps>;
export const IntroPages: React.FC<IconProps>;
export const InvalidUrl: React.FC<IconProps>;
export const Invoice: React.FC<IconProps>;
export const InvoiceSettings: React.FC<IconProps>;
export const IpAddress: React.FC<IconProps>;
export const IpRestriction: React.FC<IconProps>;
export const Keyboard: React.FC<IconProps>;
export const Layers: React.FC<IconProps>;
export const LeftArrowCircle: React.FC<IconProps>;
export const Left: React.FC<IconProps>;
export const LeftAlign: React.FC<IconProps>;
export const LeftArrow: React.FC<IconProps>;
export const Link: React.FC<IconProps>;
export const Linkedin: React.FC<IconProps>;
export const ListDot: React.FC<IconProps>;
export const ListNumber: React.FC<IconProps>;
export const List: React.FC<IconProps>;
export const ListDetails: React.FC<IconProps>;
export const ListView: React.FC<IconProps>;
export const Loading: React.FC<IconProps>;
export const Location: React.FC<IconProps>;
export const Lock: React.FC<IconProps>;
export const LockMessage: React.FC<IconProps>;
export const MailUnread: React.FC<IconProps>;
export const MailSend: React.FC<IconProps>;
export const ManageCalendar: React.FC<IconProps>;
export const ManageTemplates: React.FC<IconProps>;
export const MappedField: React.FC<IconProps>;
export const MarginAll: React.FC<IconProps>;
export const MarginBottom: React.FC<IconProps>;
export const MarginLeft: React.FC<IconProps>;
export const MarginRight: React.FC<IconProps>;
export const MarginTop: React.FC<IconProps>;
export const MarginX: React.FC<IconProps>;
export const MarginY: React.FC<IconProps>;
export const Matrix: React.FC<IconProps>;
export const MatrixDots: React.FC<IconProps>;
export const MatrixDotsClear: React.FC<IconProps>;
export const MediaVideo: React.FC<IconProps>;
export const MeetingLimit: React.FC<IconProps>;
export const MeetingReminder: React.FC<IconProps>;
export const MenuHorizontal: React.FC<IconProps>;
export const MenuVertical: React.FC<IconProps>;
export const MenuLayout: React.FC<IconProps>;
export const MenuSquare: React.FC<IconProps>;
export const MergeSplit: React.FC<IconProps>;
export const Merge: React.FC<IconProps>;
export const MergedPullRequest: React.FC<IconProps>;
export const Message: React.FC<IconProps>;
export const MessageBubble: React.FC<IconProps>;
export const MessageSquare: React.FC<IconProps>;
export const Mic: React.FC<IconProps>;
export const MicOff: React.FC<IconProps>;
export const Minimize: React.FC<IconProps>;
export const Minus: React.FC<IconProps>;
export const Mobile: React.FC<IconProps>;
export const MobileAndDesktopApps: React.FC<IconProps>;
export const Moon: React.FC<IconProps>;
export const MoveToBottom: React.FC<IconProps>;
export const MoveToTop: React.FC<IconProps>;
export const Movie: React.FC<IconProps>;
export const MultipleChoice: React.FC<IconProps>;
export const MyPreferences: React.FC<IconProps>;
export const NavLinks: React.FC<IconProps>;
export const NeetoAnalytics: React.FC<IconProps>;
export const NeetoCal: React.FC<IconProps>;
export const NeetoChangelog: React.FC<IconProps>;
export const NeetoChat: React.FC<IconProps>;
export const NeetoDesk: React.FC<IconProps>;
export const NeetoEngage: React.FC<IconProps>;
export const NeetoForm: React.FC<IconProps>;
export const NeetoIcon: React.FC<IconProps>;
export const NeetoInsights: React.FC<IconProps>;
export const NeetoInterview: React.FC<IconProps>;
export const NeetoInvisible: React.FC<IconProps>;
export const NeetoKb: React.FC<IconProps>;
export const NeetoQuiz: React.FC<IconProps>;
export const NeetoReplay: React.FC<IconProps>;
export const NeetoWireframe: React.FC<IconProps>;
export const NeutralFaceGrey: React.FC<IconProps>;
export const NewChat: React.FC<IconProps>;
export const Notes: React.FC<IconProps>;
export const Notification: React.FC<IconProps>;
export const Os: React.FC<IconProps>;
export const PaddingAll: React.FC<IconProps>;
export const PaddingBottom: React.FC<IconProps>;
export const PaddingLeft: React.FC<IconProps>;
export const PaddingRight: React.FC<IconProps>;
export const PaddingTop: React.FC<IconProps>;
export const PaddingX: React.FC<IconProps>;
export const PaddingY: React.FC<IconProps>;
export const Paragraph: React.FC<IconProps>;
export const Pause: React.FC<IconProps>;
export const Phone: React.FC<IconProps>;
export const PhoneRing: React.FC<IconProps>;
export const Pipeline: React.FC<IconProps>;
export const Play: React.FC<IconProps>;
export const Plus: React.FC<IconProps>;
export const Prepend: React.FC<IconProps>;
export const PreventDuplicate: React.FC<IconProps>;
export const Print: React.FC<IconProps>;
export const ProductSwitcher: React.FC<IconProps>;
export const Puzzle: React.FC<IconProps>;
export const QrCode: React.FC<IconProps>;
export const Quote: React.FC<IconProps>;
export const Radio: React.FC<IconProps>;
export const RadioInactive: React.FC<IconProps>;
export const Rating: React.FC<IconProps>;
export const RatingFilled: React.FC<IconProps>;
export const RecurringInvoice: React.FC<IconProps>;
export const RecurringMeeting: React.FC<IconProps>;
export const Redirect: React.FC<IconProps>;
export const Redirection: React.FC<IconProps>;
export const RedirectUrl: React.FC<IconProps>;
export const Redo: React.FC<IconProps>;
export const Refresh: React.FC<IconProps>;
export const RemoveCircle: React.FC<IconProps>;
export const Reorder: React.FC<IconProps>;
export const Repeat: React.FC<IconProps>;
export const Reply: React.FC<IconProps>;
export const Report: React.FC<IconProps>;
export const Ribbon: React.FC<IconProps>;
export const RightArrowCircle: React.FC<IconProps>;
export const Right: React.FC<IconProps>;
export const RightAlign: React.FC<IconProps>;
export const RightArrow: React.FC<IconProps>;
export const Robot: React.FC<IconProps>;
export const SadFaceGrey: React.FC<IconProps>;
export const Scale: React.FC<IconProps>;
export const Score: React.FC<IconProps>;
export const Search: React.FC<IconProps>;
export const Security: React.FC<IconProps>;
export const Send: React.FC<IconProps>;
export const SendPlane: React.FC<IconProps>;
export const Seo: React.FC<IconProps>;
export const Settings: React.FC<IconProps>;
export const SettingsChecked: React.FC<IconProps>;
export const Setup: React.FC<IconProps>;
export const Shapes: React.FC<IconProps>;
export const Share: React.FC<IconProps>;
export const SidebarClose: React.FC<IconProps>;
export const SidebarOpen: React.FC<IconProps>;
export const SlaPolicies: React.FC<IconProps>;
export const SmileFaceGrey: React.FC<IconProps>;
export const Smiley: React.FC<IconProps>;
export const SmsTemplates: React.FC<IconProps>;
export const Sparkle: React.FC<IconProps>;
export const SpecificWindow: React.FC<IconProps>;
export const Split: React.FC<IconProps>;
export const SplitPayment: React.FC<IconProps>;
export const StartWeekOn: React.FC<IconProps>;
export const Status: React.FC<IconProps>;
export const Subdomain: React.FC<IconProps>;
export const Suitcase: React.FC<IconProps>;
export const Sun: React.FC<IconProps>;
export const Survey: React.FC<IconProps>;
export const Swap: React.FC<IconProps>;
export const Tablet: React.FC<IconProps>;
export const Tabs: React.FC<IconProps>;
export const Tag: React.FC<IconProps>;
export const Tags: React.FC<IconProps>;
export const TaskOutcome: React.FC<IconProps>;
export const TaskTags: React.FC<IconProps>;
export const TaskType: React.FC<IconProps>;
export const Tax: React.FC<IconProps>;
export const TaxDetails: React.FC<IconProps>;
export const Taxonomy: React.FC<IconProps>;
export const Templates: React.FC<IconProps>;
export const Terms: React.FC<IconProps>;
export const TextBold: React.FC<IconProps>;
export const TextCross: React.FC<IconProps>;
export const TextH1: React.FC<IconProps>;
export const TextH2: React.FC<IconProps>;
export const TextItalic: React.FC<IconProps>;
export const Text: React.FC<IconProps>;
export const TextLines: React.FC<IconProps>;
export const TextSize: React.FC<IconProps>;
export const ThankYouPage: React.FC<IconProps>;
export const TicketField: React.FC<IconProps>;
export const Tickets: React.FC<IconProps>;
export const TicketSettings: React.FC<IconProps>;
export const TicketTags: React.FC<IconProps>;
export const TimesheetVerifications: React.FC<IconProps>;
export const TimeTracking: React.FC<IconProps>;
export const ToggleHeaderRow: React.FC<IconProps>;
export const Transaction: React.FC<IconProps>;
export const Translate: React.FC<IconProps>;
export const Twitter: React.FC<IconProps>;
export const Ubuntu: React.FC<IconProps>;
export const Underline: React.FC<IconProps>;
export const Undo: React.FC<IconProps>;
export const Unlink: React.FC<IconProps>;
export const Unlock: React.FC<IconProps>;
export const UpArrowCircle: React.FC<IconProps>;
export const Up: React.FC<IconProps>;
export const UpArrow: React.FC<IconProps>;
export const Upload: React.FC<IconProps>;
export const UserAdd: React.FC<IconProps>;
export const UserCircle: React.FC<IconProps>;
export const UserRemove: React.FC<IconProps>;
export const User: React.FC<IconProps>;
export const UserInfo: React.FC<IconProps>;
export const UserNotification: React.FC<IconProps>;
export const UserRole: React.FC<IconProps>;
export const UserRoundedRect: React.FC<IconProps>;
export const UserSettings: React.FC<IconProps>;
export const UserStar: React.FC<IconProps>;
export const UserTags: React.FC<IconProps>;
export const Video: React.FC<IconProps>;
export const VideoAccessControl: React.FC<IconProps>;
export const VideoOff: React.FC<IconProps>;
export const Views: React.FC<IconProps>;
export const ViewSettings: React.FC<IconProps>;
export const Volume: React.FC<IconProps>;
export const Volume0: React.FC<IconProps>;
export const Volume100: React.FC<IconProps>;
export const Volume25: React.FC<IconProps>;
export const Volume50: React.FC<IconProps>;
export const Volume75: React.FC<IconProps>;
export const VolumeOutline: React.FC<IconProps>;
export const VolumeOutline0: React.FC<IconProps>;
export const WarningFilled: React.FC<IconProps>;
export const Warning: React.FC<IconProps>;
export const Web: React.FC<IconProps>;
export const Whatsapp: React.FC<IconProps>;
export const WidgetModes: React.FC<IconProps>;
export const WidgetVisibility: React.FC<IconProps>;
export const Workflows: React.FC<IconProps>;
export const WorkspaceInfo: React.FC<IconProps>;
export const YesNo: React.FC<IconProps>;
export const Youtube: React.FC<IconProps>;
